_q1 = r"""
Дайте определение случайной величины, которая имеет гамма-распределение $Г(\alpha, \lambda)$, и выведите основные свойства гамма-расределения. Запишите формулы для математичсекого ожидания E(X) и дисперсии Var(X) гамма-распределения. \

---
Пусть распределение случайной величины X задается плотностью вероятности, имеющей вид:


$f_(α, λ) (x) = [α^λ / Г(λ)] * e^{-αx} * x^{λ-1}, x > 0; 0, x \le 0$
α - параметр масштаба, λ - параметр формы. Тогда говорят, что X имеет гамма-распределение


Свойства:
1. При λ = 1, Г(α, 1) = Exp(α)
2. ] X, Y - независимые случайные величины, X ~ Г(α, λ1), Y ~ Г(α, λ2). То (X+Y) ~ Г(α, λ1 + λ2)
3. ] Z ~ N(0, 1); X = $Z^2$ ⇒ X = $Z^2$~Г(½; ½)
4. Если X ~ Г(α,λ), k>0 (k = const), то kX ~ Г(α, kλ) [не с лекции]
5. Гамма распределение бесконечно делимо [не с лекции]


Для X ~ Г(α;λ) E(x) = λ/α; Var(x) = λ/($α^2$)

"""

_q2 = r"""
Дайте определение случайной величины, которая имеет $\chi^2$-распределение с n степенями свободы. Запишите плотность $\chi^2$ - распределения. Выведите формулы для математического ожидания E(X) и дисперсии Var(X) $\chi^2$ -распределение с n степенями свободы. Найдите а) P($\chi^2_{20}$ > 10.9), где $\chi^2_{20}$ – случайная величина, которая имеет $\chi^2$– распределение с 20 степенями свободы; б) найдите 93% (верхнюю) точку $\chi^2_{0,93}(5)$ хи-квадрат распределения с 5 степенями свободы. \
Пусть  $z_1, ..., z_n$ - независимые стандартные случайные величины, то есть  $z_k ~ N(0, 1)$. Тогда случайная величина $x=z^2_1+...+z^2_n$ имеет распределение $χ^2$ (хи-квадрат) с n степенями свободы. $x=Σ(z^2_k)$ ~ $χ^2(n)$


Распределение $χ^2$ является частным случаем гамма-распределения. Плотность распределения имеет вид:
$f_{χ^2}(n) (x)=Г(n/2, 2)=[(½)^{n/2}] / [Г(n/2)] * x^{n/2 - 1} * e^{-x/2}, x>0$


$Z_k \sim N(0;1) ⇒ X_k=Z^2_k \sim Г(½; ½) ⇒ χ^2=Z^2_1+..+Z^2_n=X_1+..+X_n  \sim Г(½;½+..+½) = Г(½; n/2)$


$Е(χ^2)= λ/α = (n/2)/(1/2)=n$ \
$Var(χ^2) = λ/α^2 = (n/2)/(1/4)=2n$


а) #Python
X = scipy.stats.chi2(20)
P_X = X.sf(10.9)
P_X #0.9488


б)#Python
X = scipy.stats.chi2.ppf(1-0.93, 5)
X #1.3472

"""

_q3 = r"""
Дайте определение случайной величины, которая имеет распределение Стьюдента с n степенями свободы Как связаны распределение Коши и распределение Стьюдента? Запишите плотность распределения Стьюдента с четырьмя степенями свободы. Найдите а) $P(−2.5 \le t_5 < −1.7)$, где $t_5$ – случайная величина, которая имеет распределение Стьюдента с 5 степенями свободы; б) найдите 10% (верхнюю) точку $t_{0.1}$(7) распределения Стьюдента 7 степенями свободы.\
Пусть $Y_0, ... ,Y_n$ - независимые случайные величины такие, что $Y_i \sim N(0, 1), i=0, .. n.$ Тогда распределение случайной величины t называется распределением Стьюдента с n степенями свободы. $t \sim t(n)$, где $t = \frac{Y_0}{\sqrt{\frac{1}{n}Σ_{i=1}^n Y_i^2}}$


Распределение Стьюдента со степенями свободы n=1 является стандартным распределением Коши. t(1) = C(0;1), где t(n) - распределение Стьюдента, $C(𝑥_0; γ)$ - распределение Коши.
$f_t(x)=\frac{1}{\sqrt{π}}\cdot{\frac{Г(1)}{Г(1/2)}}\cdot(1+x^2)^{-1} ⇒ f_t(x) = \frac{1}{π\cdot(1+x^2)}=C(0;1)$


Плотность распределения: $f(x|n)=\frac{1}{\sqrt{\pi n}}\frac{Г(\frac{n+1}{2})}{Г(n/2)} (1+\frac{x^2}{n})^{-\frac{n+1}{2}}, Г(х)$ - гамма функция, n - степени свободы \
Плотность с четырьмя степенями свободы (подставим n=4): $f_t(y)=\frac{3}{8*(1+\frac{x^2}{4})^{5/2}}$


а) P(-2.5≤t_5≤-1.7)=F(-1.7)-F(-2.5)=0.0477
#Python scipy.stats.t(5).cdf(-1.7) - scipy.stats.t(5).cdf(-2.5)
б) t_0.1(7)=SF(0.1)^(-1) =1.4149
#Python scipy.stats.t.isf(-0.1, 7)

```
"""

_q4 = r"""
Дайте определение случайной величины, которая имеет распределение Фишера F(n, m) с n и m степенями свободы. Запишите плотность распределения Фишера F(n, m) с n и m степенями свободы. Какой закон распределения имеет случайная величина $\frac{1}{F}$ , если случайная величина F имеет распределение Фишера F(n, m) с n и m степенями свободы? Ответ необходимо обосновать. Найдите а) P(3.1 \le \frac{1}{F} < 10.7), где F – случайная величина, которая имеет распределение Фишера с 3 и 5 степенями свободы, F ∼ F(3; 5); б) найдите 5% (верхнюю) точку $F_{0.05}(13; 4)$ распределения Фишера с 13 и 4 степенями свободы \
Пусть X, Y  — две независимые случайные величины, имеющие распределение $X \sim χ^2(n), Y \sim χ^2(m)$
Тогда распределение случайной величины $F=\frac{\frac{X}{n}}{\frac{Y}{m}}$ называется распределением Фишера со степенями свободы n, m . Записывают F ~ F(n, m)


Плотность распределения Фишера: $\frac{Г(\frac{m+n}{2})}{Г(\frac{m}{2})Г(\frac{n}{2})} \cdot m^{\frac{m}{2}} \cdot n^{\frac{n}{2}} \cdot \frac{x^{n/2-1}}{(m+nx)^{\frac{m+n}{2}}}, x > 0$


Если $F_{n, m} \sim F(n, m)$, то $1/F \sim F(m, n)$, т.к.  $ℱ(1/F) = P((1/F) <x) = P(n/m * Y/X <x) ⇒ 1/F \sim F(m,n)$



а) #Python 
f = scipy.stats.f(3,5)
f_obr = scipy.stats.f(5,3)
f_obr.cdf(10.7) - f_obr.cdf(3.1) #0.1507

б) #Python
scipy.stats.f.ppf(1-0.05, 13, 4) #5.8911

"""

_q5 = r"""
Дайте определения процентной точки и квантили. Укажите связь между процентными точками и квантилями. Сформулируте основные свойтсва процентных точек. Выведите формулу для нахождения процентной точки стандартного нормального закона распределения через функцию Лапласа Φ_0(x). Найдите P(0.3 < Z^2 < 3.7), если случайная величина Z имеет стандартное нормальное распределение, Z ∼ N(0; 1). \
Квантиль уровня q непрерывного распределения - это число $x_q$ такое, что $P(X <= x_q) = q$. То есть q процентов значений случайной величины некоторого распределения принимают значение меньше, чем $x_q$. \


Процентная точка уровня α непрерывного распределения - это число $х_α$ такое, что $P(X > х_α) = х_α$. То есть α процентов случайных значений будут больше $х_α$.


Связь между квантилем и процентной точкой: q=1-α или квантиль уровня q=1-α называется 100*α% процентной точкой.


Св-ва % точек: \
$z_{1-α} = -z_α$, где $z_α$ - процентная точка нормального распределения N(0;1)


$t_{1-α}(k) = -t_α(k)$, где $t_α (k)$ - процентная точка распределения  Стьюдента t(k)


$F_{1-α} (k, l) = 1/ F_α (k, l)$, где $F_α (k, l)$ -процентная точка распределения Фишера $F(n,m)$


$t_α (k) ≈ z_α, k>30$


$χ^2_α (k) ≈ \frac{1}{2}(z_α + \sqrt{2k -1})^2, k>30$, где $χ^2_α$ (k) - процентная точка хи-квадрат распределения χ^2(n)




Формула нахождения процентной точки стандартного нормального закона через функцию Лапласа:


$P(Z > z_α) = 1- P(Z<=z_α)= 1-(½ + Ф_0(z_α))=½ - Ф(\frac{z_α-m}{σ} ) = ½ - Ф(z_α) = α$


$Ф_0 (z_α) = ½ - α ⇒ z_α = Ф_0(½ - α)^{-1}$



Z^2 ~χ^2(1) ⇒ P(0.3 < Z^2 <3.7) на питоне:
#Python scipy.stats.chi2.cdf(3.7, 1) - scipy.stats.chi2.cdf(0.3, 1) #0.52947

"""

_q6 = r"""
Сформулируйте определение случайной выборки из конечной генеральной совокупности. Какие виды выборок вам известны? Перечислите (с указанием формул) основные характеристики выборочной и генеральной совокупностей \
Конечной генеральной совокупностью называют совокупность или коллекцию наблюдений объема N


Случайной выборкой из конечной генеральной совокупности называют последовательность независимых случайных величин $x_1, ..., x_n$, выбранных из генеральной совокупности объема n


По методу отбора выборки делятся на:
- Повторная выборка — совокупность, образованная по схеме: из случайной совокупности выбирается случайным равновероятностным образом извлекается один элемент. Затем он возвращается в генеральную совокупность и все повторяется, пока не будет получено необходимое кол-во элементов. То есть наблюдения могут быть повторены в выборке
- Бесповторной выборкой называется совокупность, образованная по аналогичной схеме, но элементы в генеральную совокупность не возвращаются. То есть все наблюдения в выборке уникальны


Характеристики: \
Для генеральной совокупности: \
$x̄_0 = (Σx_{0i})/N$ — генеральное среднее \
$σ^2=Var(X)=1/N  * Σ(x_{0i}-x̄_0)^2$ — генеральная дисперсия




Для выборочной совокупности: \
$X̄=1/n ΣXi$ — выборочное среднее \
$σ̂ ^2=\hat{Var}(X)=1/n Σ(X_{i}-X̄)^2$ — выборочная дисперсия (случайная величина)

"""

_q7 = r"""
Сформулируйте определение случайной выборки из распределения. Как в этом случае определяются: выборочное среднее, начальные и центральные моменты выборки, функция распределения выборки? Что в данном контексте означает генеральное среднее? \
Случайной выборкой объема n из распределения F(x) называется последовательность из n независимых случайных величин $X_1, ..., X_n$, распределенных по одному и тому же закону, что и F(x). n называют объемом случайной выборки, величины X_i — элементами выборки.


$x̄ = \frac{Σx_i}{n}$ - эмперическое (выборочное) среднее


$σ̂ ^2 = \frac{1}{n} * Σ(x_i-x̄)^2 = \overline{x^2}-(x̄)^2$ — эмперическая (выборочная) дисперсия


$\hat{ν}_k=\overline{x^k}=\frac{1}{n} \cdot Σx_i^k$ — эмпирический (выборочный) начальный момент $k$ порядка


$\hat{μ}_k=\frac{1}{n} \cdot Σ(x_i-x̄)^k$ — эмпирический (выборочный) центральный момент порядка $k$


$\hat{F}_n(x)= \frac{\text{количество } x_ i : x_i \le x }{n}$ — эмпирическая функция распределения


Генеральное среднее $x̄_0$ в данном случае является средним значением всех элементов генеральной совокупности
"""

_q8 = r"""
Запишите формулы для математического ожидания и дисперсии выборочной доли в случае повторной (бесповторной) выборки. Поясните все используемые обозначения.\
Отношение $\hat{p}_i= \frac{n_i}{n}$ и $p_i=\frac{N_i}{N}$ называется выборочной долей значения $x_i$ признака X, где n -объем выборочной совокупности, N - объем генеральной совокупности.


Пусть p-генеральная, а $\hat{p}$ - выборочная доля какого либо значения $x_1$ признака X, q=1-p.


В случае повторной или бесповторной выборки: $E(\hat{p}) = p$


Дисперсия выборочной доли для повторной выборки: $Var(\hat{p}) = \frac{pq}{n}$


для бесповторной выборки: $Var(\hat{p}) = \frac{pq}{n} * \frac{N-n}{N-1}$


где $σ^2$ — генеральная дисперсия, N — объем генеральной совокупности, n  — объем выборки

"""
_q9 = r"""
Сформулируйте определение выборочной функции распределения и докажите ее сходимость по вероятности к теоретической функции распределения. Выведите формулы для математического ожидания и дисперсии выборочной функции распределния.\
Пусть $X=X_1, ..., X_n$ — выборка объема $n$ из неизвестного распределения ℱ с функцией распределения F.
Пусть $F^*_n$ — эмпирическая функция распределения на этой выборке, тогда
∀ y ∊ R, $F^*_n(y) ⟶ F(y), n ⟶ ∞$


Док-во:


По определению $F^*_n(y)= \frac{Σ_{i=1}^n I(X_i < y)}{n}$
Случайные величины $I(X_1<=y), I(X_2 <=y), ...$ независимы и одинаково распределены, их матожидание конечно:


$E(I(X_1 <= y)) = 1\cdot P(X_1 <= y) + 0\cdot P(X_1 > y) = P(X_1 <= y) = F(y) < ∞$, поэтому применим закон больших чисел в форме Хинчина и получим:
$F^*_n(y)=\frac{Σ_{i=1}^nI(X_i <= y)}{n}⟶^p E(I(X_1 <= y))= F(y)$ Таким образом, с ростом объема выборки выборочная функция распределения сходится (по вероятности) к неизвестной теоретической.
"""

_q10 = r"""
Дайте определение k-ой порядковой статистики. Выведение формулы для функций распределений экстремальных статистик. \
Порядковые статистики — это упорядоченная по неубыванию выборки одинаково распределенных независимых случайных величин и её элементы, занимающие строго определенное место в ранжированной совокупности


Пусть $X_1, ..., X_n$ — конечная выборка распределения $P^X$, определенная на некотором вероятностном пространстве (Ω, F, P). Пусть ω принадлежит Ω и $x_i=X_i(ω), i=1, ..., n$
Пронумеруем последовательность в порядке неубывания так, что $x_{(1)} \le x_{(2)} \le ... \le x_{(n)}$


Такая последовательность называется вариационным рядом. Ряд и его члены называются порядковыми статистиками. Случайная величина $X_{(k)}(ω)=x_{(k)}$ называется k-порядковой статистикой исходной выборки.


$X_{(1)} = min\{X_1, X_2, .., X_n\}$ и $Х_{(n)}=max\{X_1, X_2, .., X_n\}$ - экстремальные статистики.


Ф-ция распределения $X_{(1)}$: \
$F_{X_{(1)}} (x) = P(X_{(1)} \le x) = P(min\{X_1, X_2, .., X_n\} \le x) = 1- P(min\{X_1, X_2, .., X_n\} > x) = ... = 1-(1-F(x))^n$


Ф-ция распределения X_{(n)}:
$F_{X_{(n)}} (x) = P(X_{(n)} \le x) = P(max\{X_1, X_2, .., X_n\} \le x) = P(X_1 \le x,  .., X_n \le x) =P(X_1 \le x) \cdot \ ... \ \cdot P(X_n \le x) = F(x)\cdot \ ... \ \cdot F(x) = F^n(x)$
"""

_q11 = r"""
Что такое точечная статистическая оценка? Какие оценки называются несмещенными, состоятельными? Приведите пример оценки с минимальной дисперсией.


Пусть  $X_1, … , X_n$ -  выборка  из  ℒ_𝜃 (X).


Статистика  $𝜃_\hat{n} = 𝑇(X_1, … , X_n)$ (вычисляемая  по  выборочным данным),  предназначенная  для  приближенного  вычисления  параметра  𝜃,  называется  точечной статистической оценкой параметра 𝜃.


Статистическая  оценка  $𝜃_\hat{n}$  параметра  𝜃  называется  несмещенной  в  среднем  (несмещенной),  если $Ε_𝜃 (𝜃_{\hat{n}}) = 𝜃, ∀ 𝜃 𝜖 Θ$.


Статистическая оценка $𝜃_\hat{n}$ параметра 𝜃 называется состоятельной, если $𝜃_\hat{n} → 𝜃$ при $n → ∞$, т. е. $\lim_{𝑛→∞}  P(|\hat{θ}_n  = 𝜃| > 𝜀) = 0, ∀𝜀 > 0 $


Пример: относительная частота $\tilde{p}=\frac{k^{(n)}}{n}$ успехов в серии из n испытаний по схеме Бернулли – эффективная оценка вероятности успеха $р$.
"""

_q12 = r"""
Сформулируйте и докажите достаточное условие состоятельности оценки.


Если $Ε_𝜃(𝜃_\hat{𝑛} ) → 𝜃 (𝜃_\hat{n}$  - асимптотически несмещенная) и $𝑉𝑎𝑟_𝜃(𝜃_\hat{n}) → 0$ при $𝑛 → ∞, ∀𝜃 ∈ Θ$, то $𝜃_\hat{n}$  - состоятельная оценка параметра 𝜃.


Доказательство: $∀𝜀 > 0, 𝑃(|\hat{𝜃_n}  - 𝜃| > 𝜀) = 𝑃 (|\hat{𝜃_n} - 𝜃|^2 > 𝜀^2) ≤ \frac{Ε_𝜃(|\hat{𝜃_n} -𝜃|)}{𝜀^2}= \frac{𝑉𝑎𝑟_𝜃(\hat{𝜃_n} + b^2_n(𝜃))}{𝜀^2} , b_n^2(𝜃) → 0$


Таким образом, правую часть можно сделать сколь угодно маленькой, т. е. $\lim P(|\hat{𝜃_n} = 𝜃| > 𝜀) = 0$, т. е. $\hat{𝜃_n}  → 𝜃, ∀𝜃 ∈ Θ$.
𝑛→∞

"""

_q13 = r"""
Сформулируйте определение среднеквадратичной ошибки оценки. Какая оценка называется оптимальной? В чем заключается среднеквадратический подход к сравнению оценок?


Определим среднеквадратичную ошибку оценки $∆ ≝ Ε_𝜃(|\hat{𝜃_n} - 𝜃|^2)$


Пусть $\hat{θ_n^*}$ и $\hat{θ_n}$ - две несмещенные оценки. Если $Var_θ(\hat{θ_n^*}) ≤ Var_θ(\hat{θ_n}), ∀$ несмещенной оценки $\hat{θ_n}$, то $\hat{θ_n^*}$ называется несмещенной оценкой с равномерно минимальной дисперсией (НОРМД) или оптимальной оценкой.


Оценка $\hat{𝜃}_1$ лучше $\hat{𝜃}_2$, в смысле среднеквадратической ошибки, если $∆_1= Ε_𝜃(|\hat{𝜃}_1 - 𝜃|^2) ≤ ∆_2= E_θ(|\hat{𝜃}_1 - 𝜃|^2) , ∀𝜃 ∈ Θ$

"""

_q14 = r"""
Сформулируйте критерий оптимальности оценки, основанной на неравенстве Рао-Крамера


Пусть $\hat{𝜃_n}$ - несмещенная оценка в параметрической модели ℒ_𝜃 (𝑋) для которой выполнены условия регулярности. Тогда справедливо информационное неравенство Рао-Крамера:


$𝑉𝑎𝑟_𝜃(\hat{𝜃_n}) ≥ \frac{1}{n \cdot I(𝜃)}$


Оценка $\hat{𝜃_n}$, для которой в неравенстве Рао-Крамера имеет место равенство (для ∀𝜃 ∈ Θ )б называется эффективной по Рао-Крамеру.


Таким образом, эффективная оценка (если она существует) является оптимальной (т.е. Н.О.М.Д.), причем ее дисперсия $𝑉𝑎𝑟_𝜃(\hat{𝜃_n}) = \frac{1}{n \cdot I(𝜃)}$

"""

_q15 = r"""
Дайте определение информации по Фишеру и сформулируйте информационное неравенство РаоКрамера.\
Опр: Информация по Фишеру для одного наблюдения X, которая представляет собой с.в. называется
 𝐼(𝜃) = Ε𝜃 (( 𝜕𝑙𝑛𝑓(𝑋,𝜃)/ 𝜕 𝜃 )^2 ), где в выражении для плотности 𝑓(𝑋, 𝜃) 𝑥 заменили на X
Теорема(Информационное неравенство Рао-Крамера):
Пусть 𝜃𝑛̂ - несмещенная оценка в параметрической модели ℒ_𝜃 (𝑋) для которой выполнены условия регулярности. Тогда справедливо информационное неравенство Рао-Крамера:
𝑉𝑎𝑟𝜃(𝜃𝑛̂) >= 1/ (n*I(𝜃) ) 

"""

_q16 = r"""
Сформулируйте определение эффективной оценки по Рао-Крамеру. Найдите эффективную оценку параметра θ для распределения Бернулли Bin(1, θ).\
Опр: Несмещенная оценка 𝜃̂, для которой ∀ 𝜃 ∊ 𝚹 : Var_𝜃(𝜃̂_n) = 1/(n*I(𝜃)), т.е. неравенство Рао-Крамера превращается в равенство для всех параметров 𝜃, называется эффективной оценкой по Рао-Крамеру

Пусть ℒ_𝜃 (𝑋)=Bin(1,𝜃) , 𝜃=p ∊ 𝚹=(0;1). Пусть X_1, X_2, …, X_n -выборка объема n из ℒ_𝜃 (𝑋). Найдем эффективную по Рао-Крамеру оценку параметра 𝜃=p (вероятность успеха).
f(x, 𝜃) = P_𝜃 (X=x) = 𝜃^x (1-𝜃)^(1-x), x∊{0, 1}. Тогда
ln f(X, 𝜃) = X ln(𝜃) + (1-X) ln(1-𝜃)
 𝜕𝑙𝑛𝑓(𝑋,𝜃)/ 𝜕𝜃 = X/𝜃 - (1-X)/(1-𝜃) = (X-𝜃)/(𝜃-𝜃^2)
Информация по Фишеру в этом случае:
𝐼(𝜃) =  E_𝜃 [(X-𝜃)^2] / (𝜃^2(1-𝜃)^2) = 𝜃(1-𝜃)/(𝜃^2(1-𝜃)^2) = 1/(𝜃-𝜃^2)
Таким образом, по неравенству Рао-Крамера для несмещенных оценок Var_𝜃(𝜃̂_n) >= 1/(n*I(𝜃)) = 𝜃(1-𝜃)/n. С другой стороны в классе несмещенных оценок для X~Bin(1,𝜃), E(X) =  𝜃, Var(X) = 𝜃(1-𝜃) выборочное среднее 𝜃𝑛̂=X̄= 1/n * ΣX_k имеет дисперсию
Var(X̄)=σ^2/n=𝜃(1-𝜃)/n=1/n*I(𝜃)
Таким образом, оценка 𝜃̂_n=X̄ параметра 𝜃=p (вероятности успеха) оказалась эффективной по Рао-Крамеру.

"""

_q17 = r"""
Докажите несмещенность, состоятельность и эффективность (в классе всех линейных несмещенных оценок) выборочного среднего X.\
Пусть X1…Xn ~ L_𝜃(X) = {L_𝜃(X): 𝜃 ∊ 𝚹} с генеральными характеристиками μ и σ^2.
Тогда оценка 𝜃^_n = X̄  параметра μ  является несмещенной, состоятельной и эффективной в классе линейных несмещенных оценок

Несмещенность
Проверим выполнение условия E_𝜃(𝜃^_n) = 𝜃 для ∀𝜃 ∊ 𝚹: E_𝜃(𝜃^_n) = E(X̄ ) = (1/n) * Σ(X_i) = 1/n * n * E(X) = E(X) = μ => Оценка 𝜃^_n = X̄ является несмещенной

Состоятельность
По определению оценка 𝜃_n параметра 𝜃 является состоятельной, если 𝜃^_n →^P 𝜃 при n→∞, ∀𝜃 ∊ 𝚹 => lim P(|𝜃^_n - 𝜃| > 𝜀) = 0 при n→∞, ∀𝜀 >0
Из теоремы о достаточном условии состоятельности оценки: (E_𝜃(𝜃^_n)→𝜃 при n→∞ )(пункт 1) ∧ (Var_𝜃(𝜃^_n)→0 при n→∞ )(пункт 2), ∀𝜃 ∊ 𝚹 =>𝜃^_n-состоятельная оценка параметра μ.
Пусть 𝜃^_n=X̄. Тогда условие асимптотической несмещенности (пункт 1) выполняется ввиду просто несмещенности оценки (из док-ва несмещенности). Проверим выполнение пункта 2: Var_𝜃(X̄ )=Var(1/n * Σ(X_i)) = 1/n^2 *Var( Σ(X_i)) = 1/n^2*n*Var(X) = 1/n * Var(X) 
lim 1/ *Var(X) = 0. Таким образом достаточное условие состоятельности выполняется.
𝑛→∞

Эффективность(оптимальность)
В классе линейных оценок любую оценку можно выразить как 𝜃^_n = Σ(a_i*X_i). Из несмещенности (док-во несмещенности выше) следует, что 
Σa_i = 1. Тогда Var(𝜃^_n) = Var(X)*Σa_i^2. По определению оптимальности оценки 𝜃^_n*: Var( 𝜃^_n*) = inf(𝜃 ∊ 𝚹) Var(𝜃^_n), следовательно необходимо решить задачу оптимизации:
Система: Var( 𝜃^_n)→min a_i, i=1,n и Σa_i=1
Составим функцию Лагранжа: L = Σa_i^2 + 𝜆(Σa_i - 1). Почленно продифференцировав по переменным a_i , 𝜆 и приравняв полученные выражения к нулю, получим систему, решив которую найдем a_i* = 1/n, i=1,n. Отсюда 𝜃^_n* = Σa_i*X_i = X̄, т.е. X̄-оптимальная оценка параметра μ в классе линейных несмещенных оценок.

"""

_q18 = r"""
Сформулируйте определение эффективной оценки по Рао–Крамеру. Для распределения Пуассона Π(λ) предлагается оценка параметра λ: λˆ = X. Покажите, что эта оценка является эффективной по Рао-Крамеру. \
Несмещенная оценка 𝜃^, для которой 𝜃 ∊ 𝚹: Var_𝜃(𝜃^_n) = 1/(n*I(𝜃)), т.е. неравенство Рао-Крамера превращается в равенство для всех параметров 𝜃, называется эффективной оценкой по Рао-Крамеру

Пусть X~П(λ), λ = E(X) = Var(X). По определению информации по Фишеру
 𝐼(λ) = Ε_λ [ 𝜕𝑙𝑛𝑓(𝑋,λ)/ 𝜕λ ]^2 ⇒
𝑓(𝑋,λ) = P(X = k) = (λ^k / k!) *e^-λ
ln 𝑓(𝑋,λ) = klnλ - λ - ln(k!)
𝜕𝑙𝑛𝑓(𝑋,λ)/ 𝜕λ = k/λ - 1 = (k-λ)/λ
Ελ ( 𝜕𝑙𝑛𝑓(𝑋,λ)/ 𝜕λ )^2 = E[(X-λ)^2 / λ^2] = 1/λ^2 * Var(X) = 1/λ
𝐼(λ) = 1/λ По неравенству Рао-Крамера Var_λ(λ^_n) >= λ/n. Тогда если в качестве оценки взять λ^_n = X̄ ⇒ Var_λ(λ^_n) = Var(X̄) = Var(X)/n = λ/n. Т.е. для данной оценки неравенство превращается в равенство, следовательно оценка λ^_n = X̄
 является эффективной.

"""

_q19 = r"""
Сформулируйте информационное неравенство Рао–Крамера. Исследуйте на эффективность оценку pb = X m для биномиального распределения Bin(m; p).\
Пусть 𝜃_𝑛̂ - несмещенная оценка в параметрической модели ℒ_𝜃 (𝑋) для которой выполнены условия регулярности. Тогда справедливо информационное неравенство Рао-Крамера:
𝑉𝑎𝑟_𝜃(𝜃𝑛̂) >= 1/ (n*I(𝜃) ),  где I(𝜃) - информация по Фишеру

Пусть X~Bin(m, 𝜃) По определению информации по Фишеру
 𝐼(𝜃) = Ε𝜃 ( 𝜕𝑙𝑛𝑓(𝑋,𝜃)/ 𝜕𝜃 )^2 ⇒
f(X, 𝜃) = P(X=x) = 𝜃^x (1-𝜃)^(1-x)
ln f(X, 𝜃) = X ln(𝜃) + (1-X) ln(1-𝜃)
 𝜕𝑙𝑛𝑓(𝑋,𝜃)/ 𝜕𝜃 = X/𝜃 - (1-X)/(1-𝜃) = (X-𝜃)/(𝜃-𝜃^2)
E_𝜃 [(X-𝜃)^2 / (𝜃^2(1-𝜃)^2)] = 1/( 𝜃^2(1-𝜃)^2 ) * m*𝜃(1-𝜃) = m/(𝜃-𝜃^2)
То 𝐼(𝜃) = m/(𝜃-𝜃^2). Рассмотрим неравенство Рао-Крамера Var_𝜃(𝜃̂_n) >= 1/(m*I(𝜃)) ⇒ Var_𝜃(𝜃̂_n) >= 𝜃(1-𝜃)/m^2. Тогда в качестве оценки 𝜃^ = X̄/m ⇒ Var_𝜃(𝜃̂_n) = Var_𝜃(X̄/m) = 𝜃(1-𝜃)/m^2. Т.е. для данной оценки неравенство превращается в равенство, следовательно оценка 𝜃^ = X̄/m является эффективной 

"""

_q20 = r"""
Дайте определение информации по Фишеру. Вычислите информацию Фишера для нормального закона распределения N(µ; σ 2 ) (дисперсия σ 2 известна) и проверьте, что выборочное среднее X является эффективной оценкой параметра µ = E(X).\
Опр: Информация по Фишеру для одного наблюдения X, которая представляет собой с.в. называется
 𝐼(𝜃) = Ε𝜃 (( 𝜕𝑙𝑛𝑓(𝑋,𝜃)/ 𝜕 𝜃 )^2 ), где в выражении для плотности 𝑓(𝑋, 𝜃) 𝑥 заменили на X

Пусть X~N(𝜃, σ^2), Тогда:
f(X, 𝜃) = P(X=x) = 1/(σ*sqrt(2pi)) * e^-((x-𝜃)^2 / 2σ^2)
ln f(X, 𝜃) = -ln(σ*sqrt(2pi)) - (x-𝜃)^2 / 2σ^2
𝜕𝑙𝑛𝑓(𝑋,𝜃)/ 𝜕𝜃 = (𝜃-X)/σ^2
E[(𝜃-X)^2/σ^4] = 1/σ^4 * Var(X) = 1/σ^2
То 𝐼(𝜃) = 1/σ^2. Рассмотрим неравенство Рао-Крамера Var_𝜃(𝜃̂_n) >= 1/(n*I(𝜃)) ⇒ Var_𝜃(𝜃̂_n) >= σ^2 / n. Тогда в качестве оценки 𝜃^ = X̄ ⇒ Var_𝜃(𝜃̂_n) = Var_𝜃(X̄) =σ^2/n. Т.е. для данной оценки неравенство превращается в равенство, следовательно оценка 𝜃^ = X̄ является эффективной 

"""

_q21 = r"""
Как производится оценка параметров абсолютно непрерывного распределения методом максимального правдоподобия? Какой вероятностный смысл в этом случае имеет функция правдоподобия? Найдите методом максимального правдоподобия оценку параметра θ равномерного распределения U([θ; θ + 5]) \
\
\
Пусть имеется выборка $X_1, ..., X_n$ объема $n$ из некоторого распределения $\mathfrak{L}_\theta(X)$ = {$L_\theta(X) : \theta ∈ \Theta$}. И пусть $f(x, \theta)\ -$ плостность распределения (pdf) наблюдаемой случайной величины $X$. Пусть $(x_1, x_2, . . . , x_n)$ – реализация случайной выборки $X_1, X_2, . . . , X_n$. Составим функцию $L(x, \theta)=f(x_1, \theta)\cdot f(x_2, \theta)\cdot ... \cdot f(x_n, \theta)\ -$ функцию правдоподобия\
Суть метода заключается в нахождении $\hat \theta_n = \hat \theta_{ОМП}(X_1,...,X_n)$ оценки максимального правдоподобия параметра $\theta$, то есть в нахождении такой точки, в которой функция правдоподобия $L(x, \theta)$ достигает своего наибольшего значения $L(x, \hat \theta_{ОМП}(x)) \ge L(x, \theta)$ для $\forall\theta∈\Theta$ \
Если для каждой реализации $x_1, x_2, . . . , x_n$ максимум $L(x, \theta)$ достигается во внутренней точке $\theta$ и функция $L(x, \theta)$ – дифференцируема по $\theta$, то $\hat \theta_{ОМП}(x)$ удовлетворяет уравнению\
$\dfrac{∂  L(x, \theta)}{∂  \theta}=0$ или $\dfrac{∂  \ln L(x, \theta)}{∂  \theta}=0$
\
\
Пусть $X_1,...,X_n$ - выборка объема n из равномерного распределения $U([\theta;\theta+5])$, где $\theta ∈ R$ \
Выпишем плотность распределения и функцию правдоподобия. Плотность: \
$f(x, \theta) =  \begin{cases} \dfrac{1}{5}, &x \in [\theta;\theta+5]\\ 0, &\text{иначе} \end{cases}$ \
Тогда функция правдоподобия: \
$L(X, \theta) = \begin{cases} \left(\dfrac{1}{5}\right)^n, &\text{если все}\ x_i ∈ [\theta;\theta+5]\\ 0, &\text{иначе} \end{cases} = \begin{cases} \left(\dfrac{1}{5}\right)^n, &\theta \le x_{(1)} \le x_{(2)} \le ... \le X_{(n)} \le \theta+5\\ 0, &\text{иначе} \end{cases} = \begin{cases} \left(\dfrac{1}{5}\right)^n, &\text{если} x_{(n)} - 5 \le \theta \le x_{(1)}\\ 0, &\text{иначе} \end{cases}$\
Таким образом $\hat \theta_{ОМП} = [x_{(n)}-5; x_{(1)}]$ или $\hat \theta_{ОМП}=(1-\alpha)(X_{(n)}-5)+\alpha X_{(1)}, \alpha\in[0,1]$ (параметризация отрезка)\
Например, в качестве оценки $\hat \theta_{ОМП}$ параметра $\theta$ можно взять:\
$\hat \theta_{ОМП}=\hat \theta_0 = X_{(n)}-5$;\
$\hat \theta_{ОМП}=\hat \theta_1 = X_{(1)}$,\
то есть концы отрезка $\hat \theta_0$ и $\hat \theta_1$ - тоже оценки максимального правдоподобия.

"""

_q22 = r"""
Как производится оценка параметров распределения методом моментов? Найдите методом моментов оценку параметра θ равномерного распределения U([−θ; θ].  \
Пусть $X_1, …, X_n$ - выборка объема n из $\mathfrak{L}_\theta(X) = {L_\theta(X): \theta ∈ \Theta}$, где $\theta$  - параметр.\
Предположим, что у наблюдаемой случайной величины X  $\exists\nu_k = E_\theta(X^k) = \nu_k(\theta)$, как функции, зависящие от $\theta$.\
Рассмотрим соответствующие эмпирические начальные моменты k-ого порядка: \
$\hat \nu_k = \overline{X^k} = \dfrac{1}{n} \sum\limits_{i=1}^{n}X_i^k$\
Составим систему уравнений относительно $\theta$: \
$\nu_k(\theta) = \hat \nu_k$,  k = 1,...,n  $(*)$ \
Предположим, что $(*)$ однозначно разрешима и обозначим соответствующее решение: \
$\hat \theta_{MM} = T(X_1,...,X_n)$ \
Полученная оценка $\hat \theta_{MM}$ - оценка параметра $\theta$, полученная методом моментов по k-ому порядку.

Найдем методом моментов оценку параметра $\theta$ равномерного распределения $U([-\theta;\theta])$.\
Пусть $X_1, …, X_n$ - выборка объема n из $U([-\theta;\theta])$, тогда\
$\nu_k = E_\theta(X^k) = \int\limits_{-\theta}^{\theta} x^k \dfrac{1}{\theta}dx = \dfrac{1}{\theta} \int\limits_{-\theta}^{\theta} x^k dx = \dfrac{1}{\theta} \dfrac{\theta^{k+1}}{k+1} - \dfrac{1}{\theta} \dfrac{(-\theta)^{k+1}}{k+1} = \begin{cases} 0, &\text{k - нечет.}\\ \dfrac{2\theta^k}{k+1}, &\text{k - чет.} \end{cases}$ \
$\hat \nu_k = \overline{X^k}$ \
Тогда из $(*)$ следует $\hat \theta_{MM} = \sqrt[k]{(k+1)\overline{X^k}}$, $\forall{k}$ - чет. \


"""

_q23 = r"""
Сформулируйте определение доверительной оценки параметра с коэффициентом доверия γ. Какой интервал называется асимптотически доверительным. Что такое точность доверительной оценки?\
Интервальная или доверительная оценка - оценка $\hat\theta_n$, представляемая интервалом значений $(\hat \theta_1; \hat \theta_2)$, внутри которого с вероятностью $\gamma$ находится истинное значение оцениваемого параметра $\theta$.
Пусть $\alpha ∈ (0; 1)$. Будем говорить, что две статистики \
$\hat \theta_1 = T_1(X_1,...,X_n)$\
$\hat \theta_2 = T_2(X_1,...,X_n)$\
определяют границы доверительного интервала $(\hat \theta_1; \hat \theta_2)$ с коэффициентом доверия $\gamma = 1 - \alpha$, если $\forall\theta ∈ \Theta$ для выборки $X_1,X_2,...,X_n$ из $\mathfrak{L}_\theta(X)$ справедливо неравенство $P(\hat \theta_1 < \theta < \hat \theta_2) \ge 1 - \alpha$ $(*)$ \
Коэффициент доверия $\gamma = 1 - \alpha$ иногда называют надежностью. \ Доверительный интервал $(\hat \theta_1; \hat \theta_2)$ называется точным, если $\forall\theta ∈ \Theta$    $P(\theta ∈ (\hat \theta_1; \hat \theta_2)) = \gamma$; \
Доверительный интервал $(\hat \theta_1; \hat \theta_2)$ называется асимптотическим, если в неравенстве $(*)$ левая часть стремится к $\gamma = 1 - \alpha$ при  $n \rightarrow \infty$. \
Часто на практике полагают \ 
$\alpha = 0,05; \alpha = 0,01 \Rightarrow$ \
$\gamma = 0,95; \gamma = 0,99$ \
Величина $\alpha = 1 - \gamma$ иногда называется уровнем значимости и задает вероятность того, что истинное значение параметра $\theta$ окажется вне построенного доверительного интервала. \
Для $\gamma$ - доверительного интервала $(\hat \theta_1; \hat \theta_2)$ его середину $\hat \theta = \dfrac{1}{2} (\hat \theta_2 + \hat \theta_1)$ $(**)$ можно рассматривать как точечную оценку параметра $\theta$. \
Величина $\Delta = \dfrac{1}{2} (\hat \theta_2 - \hat \theta_1)$ называется точностью доверительной оценки, которая показывает для оценки $(**)$ абсолютную ошибку приближенного равенства $\theta \approx \hat \theta$ с вероятностью $\gamma = 1 - \alpha$, то есть $P(|\theta - \hat \theta| < \Delta) \ge \gamma$.


"""

_q24 = r"""
Приведите формулы (с выводом) доверительного точного интервала для параметра сдвига θ = µ нормальной модели N(µ; σ 2 ), когда параметр масштаба σ 2 известен. Является ли такой интервал симметричным по вероятности? Ответ обосновать.\
$\hat θ_n = \dfrac{(\overline{X} - \mu)\sqrt{n}}{\sigma}$ - центральная статистика \
Формулы доверительного точного интервала: \
$\hat θ_{1, n} = \overline{X} - z_{\frac{α}{2}} \cdot \frac{\sigma}{\sqrt{n}}$ \
$\hat θ_{2, n} = \overline{X} + z_{\frac{α}{2}} \cdot \frac{\sigma}{\sqrt{n}}$ \
$\gamma$ - доверительный интервал $(\hat \theta_1; \hat \theta_2)$ называется симметричным по вероятности, если $P(\theta < \hat \theta_2) = P(\theta > \hat \theta_1)$\
Построенный выше $\gamma$ - доверительный интервал $(\hat \theta_1; \hat \theta_2)$ является симметричным по вероятности. \
Док-во: \
$P(\hat θ_{1, n} < \mu) = P(\overline{X} - z_{\frac{α}{2}} \cdot \frac{\sigma}{\sqrt{n}} < \mu) = P(- z_{\frac{α}{2}} < \dfrac{(\overline{X} - \mu)\sqrt{n}}{\sigma}) = P(- z_{\frac{α}{2}} < \hat θ_n) = 1 - F_Z(- z_{\frac{α}{2}}) = 1 - \frac{\alpha}{2}$ \
$P(\hat θ_{2, n} > \mu) = P(\overline{X} + z_{\frac{α}{2}} \cdot \frac{\sigma}{\sqrt{n}} > \mu) = P(z_{\frac{α}{2}} > \dfrac{(\overline{X} - \mu)\sqrt{n}}{\sigma}) = P(z_{\frac{α}{2}} > \hat θ_n) = F_Z(z_{\frac{α}{2}}) = 1 - \frac{\alpha}{2}$

"""

_q25 = r"""
Приведите формулы (с выводом) доверительного точного интервала для параметра масштаба θ = σ 2 нормальной модели N(µ; θ), когда значение параметра сдвига µ известно. Является ли такой интервал симметричным по вероятности? Ответ обосновать\
$T_0 = \dfrac{ns_0^2}{\sigma^2}$ - центральная статистика; $s_0^2 = \dfrac{1}{n} \sum\limits_{k=1}^{n} (X_k - \mu)^2$ \
Формулы доверительного точного интервала: \
$\hat θ_{1, n} = \dfrac{ns^2_0}{\chi^2_{\frac{α}{2}}(n)}$ \
$\hat θ_{2, n} = \dfrac{ns^2_0}{\chi^2_{1 - \frac{α}{2}}(n)}$ \
$\gamma$ - доверительный интервал $(\hat \theta_{1,n}; \hat \theta_{2,n})$ называется симметричным по вероятности, если $P(\sigma^2 < \hat \theta_{2,n}) = P(\sigma^2 > \hat \theta_{1,n})$\
Построенный выше $\gamma$ - доверительный интервал $(\hat \theta_{1,n}; \hat \theta_{2,n})$ является симметричным по вероятности. \
Док-во: \
$P(\sigma^2 > \hat θ_{1, n}) = P(\sigma^2 > \dfrac{ns^2_0}{\chi^2_{\frac{α}{2}}(n)}) = P(\dfrac{ns^2_0}{\sigma^2} > \chi^2_{1 - \frac{α}{2}}(n)) = 1 - F_{\chi^2(n)}(\chi^2_{1 - \frac{α}{2}}(n)) = 1 - (1 - (1 - \frac{α}{2})) = 1 - \frac{α}{2}$ \
$P(\sigma^2 < \hat θ_{2, n}) = P(\sigma^2 < \dfrac{ns^2_0}{\chi^2_{1 - \frac{α}{2}}(n)}) = P(\dfrac{ns^2_0}{\sigma^2} < \chi^2_{\frac{α}{2}}(n)) = F_{\chi^2(n)}(\chi^2_{\frac{α}{2}}(n)) = 1 - \frac{α}{2}$

"""

_q26 = r"""
Приведите формулы (с выводом) доверительного точного интервала для параметра сдвига θ = µ нормальной модели N(µ; σ 2 ), когда параметр масштаба σ 2– неизвестен. Является ли такой интервал симметричным по вероятности? Ответ обосновать. \
$26.$ Приведите формулы (с выводом) доверительного точного интервала для параметра сдвига $θ = µ$ нормальной модели $N(µ; σ^2)$, когда параметр масштаба σ^2 - неизвестен. Является ли такой интервал симметричным по вероятности? Ответ обосновать.

$\text{Интервал} - (\bar{X} - \delta, \bar{X} + \delta), где\\ \delta= t_\alpha(n-1)*\dfrac{s}{\sqrt{n}}, \\ t_p(k) - \text{квантиль распределения Стьюдента с } k \text{ степенями свободы уровня } p,\\ s^2 = \dfrac{1}{n-1}\sum\limits_{i=1}^{n}(X_i-\bar{X})^2.$

$\text{Доказательство: } \\ \text{Известно, что } \dfrac{\bar{X}-\Theta}{\frac{s}{\sqrt{n}}} = T \text{ - случайная величина,}\\ \text{по теореме Фишера подчиняющаяся распределению Стьюдента с } n-1\text{ степенью свободы.} \\\text{Тогда из определения распределения Стьюдента } P(|T|<t)=1-\gamma \Rightarrow \\ \Rightarrow P(|T|>t)=\gamma \Rightarrow \\ \Rightarrow P\left(\left|\dfrac{\bar{X}-\Theta}{\frac{s}{\sqrt{n}}}\right|>t\right)=\gamma \Rightarrow \\ \Rightarrow \bar{X}-\dfrac{s*t}{\sqrt{n}}<\Theta<\bar{X}+\dfrac{s*t}{\sqrt{n}}$

"""

_q27 = r"""
Приведите формулы (с выводом) доверительного точного интервала для параметра масштаба θ = σ 2 нормальной модели N(µ; θ), когда параметр сдвига µ – неизвестен. Является ли такой интервал симметричным по вероятности? Ответ обосновать. \
$27.$ Приведите формулы (с выводом) доверительного точного интервала для параметра масштаба $θ = σ^2$ нормальной модели $N(µ; θ)$, когда параметр сдвига $µ$ –неизвестен. Является ли такой интервал  симметричным по вероятности? Ответ обосновать.

$\text{Интервал} - \left(\dfrac{(n-1)*s^2}{\chi_{\frac{\alpha}{2}}^{2}(n-1)}, \dfrac{(n-1)*s^2}{\chi_{1-\frac{\alpha}{2}}^{2} (n-1)}\right), где\\ \chi^2_{p}(k)- \text{квантиль Хи-квадрат распределения с } k \text{ степенями свободы уровня } p,\\ s^2 = \dfrac{1}{n-1}\sum\limits_{i=1}^{n}(X_i-\bar{X})^2.$

$\text{Вывод формулы: } \\ \text{Известно, что } \dfrac{(n-1)*s^2}{\sigma^2} = \chi^2 \text{ - случайная величина,} \\ \text{по теореме подчиняющаяся Хи-квадрат распределению с } n-1\text{ степенью свободы.} \\ \text{Тогда: } P\left(\hat\Theta_1 < \sigma^2 < \hat\Theta_2\right) =\\= P\left(\dfrac{(n-1)*s^2}{\chi_{\frac{\alpha}{2}}^{2}(n-1)} < \sigma^2 < \dfrac{(n-1)*s^2}{\chi_{1-\frac{\alpha}{2}}^{2}(n-1)}\right) = \\ =P\left(\chi_{\frac{\alpha}{2}}^{2}(n-1)<\dfrac{(n-1)*s^2}{\sigma^2}<\chi_{1-\frac{\alpha}{2}}^{2}(n-1)\right) =\\= P\left(\chi^2 > \chi_{1-\frac{\alpha}{2}}^{2}(n-1)\right) - P\left(\chi^2 > \chi_{\frac{\alpha}{2}}^{2}(n-1)\right) = 1-\dfrac{\alpha}{2} - \dfrac{\alpha}{2}= 1-\alpha = \gamma$

"""

_q28 = r"""
Сформулируйте теорему Фишера. Пусть X1, X2, . . . Xn – выборка объема n из $N(\mu; \sigma^2)$. Найдите а) Cov(Xi − X; X); б) Cov(Xi − X; Xj − X), i != j. \
$28.$ Сформулируйте теорему Фишера. Пусть $X_1, X_2, ..., X_n$ - выборка объема $n$ из $N(µ; σ^2)$. Найдите a) $Cov(X_i - \bar{X}; \bar{X})$; б) $Cov(X_i - \bar{X}; X_j - \bar{X}), i \ne j$.

Теорема Фишера. Пусть $X_{1},\ldots ,X_{n}\sim \mathrm {N} (\mu ,\sigma ^{2})$  — независимая выборка из нормального распределения. Пусть $\overline {X}$ — выборочное среднее, a $S^{2}$ — выборочная дисперсия. Тогда:
*   Случайные величины $\overline {X}$ и $S^{2}$ независимы
*   $ {\sqrt {n}}\cdot {\dfrac {{\overline {X}}-\mu }{\sigma }}\sim \mathrm {N}$ 
*   $\\{\dfrac {(n-1)\cdot S^{2}}{\sigma ^{2}}}\sim \chi^{2}(n-1)$


а) $Cov(X_i-\bar{X}, \bar{X}) =\\= E\left[X_i\cdot\bar{X}-\bar{X}^2\right]-E\left[X_i-\bar{X}\right]\cdot E\left[\bar{X}\right] = \\ = \dfrac{1}{n}\cdot E\left[X_i^2+\sum\limits_{k=2}^{n}X_iX_k\right]-E\left[\bar{X}^2\right]-0=\\=\dfrac{1}{n}\left(\sigma^2+\mu^2+\sum\limits_{k=2}^{n}E[X_i]\cdot E[X_k]\right) - \dfrac{\sigma^2}{n}-\mu^2=\\= \dfrac{\sigma^2}{n}+\dfrac{1}{n}\left(\mu^2+(n-1)\cdot\mu^2\right)-\dfrac{\sigma^2}{n}-\mu^2 = 0$


б) $Cov(X_i - \bar{X}; X_j - \bar{X}) =\\= E\left[\left(X_i-\bar{X}\right)\cdot\left(X_j-\bar{X}\right)\right]-E\left[X_i-\bar{X}\right]\cdot E\left[X_j-\bar{X}\right]=\\= E\left[X_i\cdot X_j\right] - E\left[X_i\cdot\bar{X}\right] - E\left[X_j\cdot\bar{X}\right] + E\left[\bar{X}^2\right]=\\=  E\left[X_i\right]\cdot E\left[X_j\right] - \dfrac{1}{n}\cdot E\left[X_i^2+\sum\limits_{k=2}^{n}X_iX_k\right] - \dfrac{1}{n}\cdot E\left[X_j^2+\sum\limits_{k=2}^{n}X_jX_k\right] + E\left[\bar{X}^2\right] =\\= \mu^2-\dfrac{1}{n}\left(\sigma^2+\mu^2+(n-1)\cdot\mu^2\right)-\dfrac{1}{n}\left(\sigma^2+\mu^2+(n-1)\cdot\mu^2\right)+ \dfrac{\sigma^2}{n}+\mu^2=-\dfrac{\sigma^2}{n}$

"""

_q29 = r"""
Приведите формулы (с выводом) доверительного точного интервала предсказания для Xn+1 по выборке X1, X2, . . . , Xn из нормальной модели N(µ; σ 2 ), когда оба параметр µ и σ 2– неизвестны. Является ли такой интервал симметричным по вероятности? Ответ обосновать. \
$29.$ Приведите формулы (с выводом) доверительного точного интервала предсказания для $X_{n+1}$ по выборке $X_1, X_2, ..., X_n$ из нормальной модели $N(µ; σ^2)$, когда оба параметр $µ$ и $σ^2$ – неизвестны. Является ли такой интервал симметричным по вероятности? Ответ обосновать.

$\text{Интервал} - \left(\bar{X} - s\cdot t_\alpha(n-1)\cdot\sqrt{1+\dfrac{1}{n}}, \bar{X} + s\cdot t_\alpha(n-1)\cdot\sqrt{1+\dfrac{1}{n}}\right), где \\ t_p(k) - \text{квантиль распределения Стьюдента с } k \text{ степенями свободы уровня } p,\\ s^2 = \dfrac{1}{n-1}\sum\limits_{i=1}^{n}(X_i-\bar{X})^2.$

$\text{Доказательство: } \\ \text{Известно, что } \dfrac{X_{n+1}-\bar{X}}{\sigma\cdot\sqrt{1+\dfrac{1}{n}}} = T^* \text{ - случайная величина,}\\ \text{по теореме Фишера подчиняющаяся распределению Стьюдента с } n-1\text{ степенью свободы.} \\\text{Тогда из определения распределения Стьюдента } P(|T^*|<t)=1-\gamma \Rightarrow \\ \Rightarrow P(|T^*|>t)=\gamma \Rightarrow \\ \Rightarrow P\left(\left|\dfrac{X_{n+1}-\bar{X}}{s\cdot\sqrt{1+\dfrac{1}{n}}}\right|>t\right)=\gamma \Rightarrow \\ \Rightarrow \bar{X} - s\cdot t_\alpha(n-1)\cdot\sqrt{1+\dfrac{1}{n}}<X_{n+1}< \bar{X} + s\cdot t_\alpha(n-1)\cdot\sqrt{1+\dfrac{1}{n}}$

"""

_q30 = r"""
Дайте определение асимптотического доверительного интервала и приведите формулы (с выводом) асимптотического доверительного интервала для коэффициента корреляции ρ по выборке (X1; Y1),(X2; Y2), . . .(Xn; Yn) объема n из двумерной нормальной модели N(µ1; µ2; σ 2 1 ; σ 2 2 ; ρ). Является ли такой интервал симметричным по вероятности? Ответ обосновать. \
$30.$ Дайте определение асимптотического доверительного интервала и приведите формулы (с выводом) асимптотического доверительного интервала для коэффициента корреляции $ρ$ по выборке $(X_1; Y_1),(X_2; Y_2), ..., (X_n; Y_n)$ объема $n$ из двумерной нормальной модели $N(µ1; µ2; σ_1^2, σ_2^2, ρ)$. Является ли такой интервал симметричным по вероятности? Ответ обосновать.

Асимптотическим доверительным интервалом параметра $\Theta$ называется такой интервал $\left(\hat\Theta_1, \hat\Theta_2\right)$, что $P\left(\hat\Theta_1<\Theta< \hat\Theta_2\right) \rightarrow \gamma \text{ (при } n\rightarrow\infty)$

$\text{Интервал} - \left(\text{th}\left(\text{arth }\hat\rho_n - \dfrac{1}{\sqrt{n-3}}\cdot u_\gamma\right), \text{th}\left(\text{arth }\hat\rho_n + \dfrac{1}{\sqrt{n-3}}\cdot u_\gamma\right)\right), где\\ \hat\rho_n=\dfrac{\dfrac{1}{n}\cdot\sum\limits_{i=1}^{n}\left(X_i-\bar{X}\right)\cdot\left(Y_i-\bar{Y}\right)}{\sqrt{\left[\dfrac{1}{n}\cdot\sum\limits_{i=1}^{n}\left(X_i-\bar{X}\right)^2\right]\cdot\left[\dfrac{1}{n}\cdot\sum\limits_{i=1}^{n}\left(Y_i-\bar{Y}\right)^2\right]}}, \\ \Phi_0(u_\gamma)=\dfrac{\gamma}{2}.$

"""

_q31 = r"""

"""

_q32 = r"""
Пусть ${X} = (X_{1j} , X_{2j} , . . . , X_{n_jj})$ – выборка объема $n_j$ из $N(µ_j; σ^2)$, где $j = 1, . . . , k$. Приведите формулы (с выводом) доверительного интервала для параметра $µ_j$ , используя в качестве несмещенной
оценки параметра $σ^2$ остаточную дисперсию $\dfrac{1}{n-k} *\sum\limits_{j=1}^{k} \sum\limits_{i=1}^{n_j} (X_{ij} -\bar{X}_j)^2$. Является ли такой интервал
симметричным по вероятности? Ответ обосновать.

Интервал: $\left(\bar{X}_j  - t_{\frac{𝛼}{2}} (n-k) * \sqrt{\dfrac{MSE}{n_j}}, \bar{X}_j  + t_{\frac{𝛼}{2}} (n-k) * \sqrt{\dfrac{MSE}{n_j}}\right) $

Доказательство:

Если гипотеза $Н_0$ о равенстве средних в группах отвергается, то имеет смысл оценить параметры $𝜇_j$ (среднее в каждой группе) по отдельности

В качестве точечной оценки $\hat\mu_j$ параметра $𝜇_j$ можно взять выборочное среднее в $j$-ой выборке, т.е. $\hat\mu_j  = \bar{X}_j.$

Для каждой группы определим статистику  
$Т_j = \sqrt{n_j}* \dfrac{\bar{X}_j - 𝜇 _j}{\sqrt{MSE}}$ и покажем, что она подчиняется распределению Стьюдента:

$Т_j = \sqrt{n_j}\cdot \dfrac{\bar{X}_j - 𝜇 _j}{\sqrt{MSE}} = \dfrac{\sqrt{n_j}\cdot \dfrac{\bar{X}_j - 𝜇 _j}{σ}}{\sqrt{\dfrac{(n-k)\cdot MSE}{σ^2} \cdot \dfrac{1}{n-k}}}=\\
\left[\sqrt{n_j}\cdot \dfrac{\bar{X}_j - 𝜇 _j}{σ}=z_0 \sim N(0;1); \dfrac{(n-k)\cdot MSE}{σ^2} \sim 𝜒^2 (n-k)\right]\\= \dfrac{z_0}{\sqrt{\dfrac{𝜒^2 (n-k)} {n-k}}} \sim t(n-k)$

Тогда для доверительного интервала:

$P(\hatθ_{1j} <\mu_j< \hatθ_{2j}) =\\= P\left(\bar{X}_j  - t_{\frac{𝛼}{2}} (n-k) * \sqrt{\dfrac{MSE}{n_j}} <\mu_j< \bar{X}_j  + t_{\frac{𝛼}{2}} (n-k) * \sqrt{\dfrac{MSE}{n_j}}\right) =\\= P \left(-t_{\frac{𝛼}{2}}(n-k)(n-k) < \sqrt{n_j}\cdot \dfrac{\bar{X}_j - 𝜇 _j}{\sqrt{MSE}}<  t_{\frac{𝛼}{2}}(n-k)(n-k)\right)=\\ \left[\text{выражение посередине является } T_j \sim t(n-k)\right] \\= F_{T_j} (t_{\frac{𝛼}{2}} (n-k)) - F_{T_j} (-t_{\frac{𝛼}{2}}(n-k))= 1- \dfrac{𝛼}{2} - \dfrac{𝛼}{2} = 1- 𝛼 = 𝛾$

$𝛾$-Доверительный интервал $(\hatθ_1, \hatθ_2)$ называется симметричным по вероятности, если $P(θ> \hatθ_1) = P(θ < \hatθ_2).$ 
 
Для нашего случая: 
 
$P(\mu_j> \hatθ_1) = P\left( 𝜇_j  > \bar{X}_j  - t_{\frac{𝛼}{2}} (n-k) * \sqrt{\dfrac{MSE}{n_j}}\right) = P\left(\sqrt{n_j}\cdot \dfrac{\bar{X}_j - 𝜇 _j}{\sqrt{MSE}}<  t_{\frac{𝛼}{2}}(n-k)\right) = 1 - P\left(\sqrt{n_j}\cdot \dfrac{\bar{X}_j - 𝜇 _j}{\sqrt{MSE}}>  t_{\frac{𝛼}{2}}(n-k)\right) = 1 - \dfrac{𝛼}{2}\\ 
P(\mu_j< \hatθ_2) = P\left( 𝜇_j  < \bar{X}_j  + t_{\frac{𝛼}{2}} (n-k) * \sqrt{\dfrac{MSE}{n_j}}\right) = P\left(\sqrt{n_j}\cdot \dfrac{\bar{X}_j - 𝜇 _j}{\sqrt{MSE}}>-  t_{\frac{𝛼}{2}}(n-k)\right) = 1 - \dfrac{𝛼}{2}$ 
$P(θ> \hatθ_1) = P(θ < \hatθ_2) = 1 - \dfrac{𝛼}{2}\Rightarrow$ интервал симметричен по вероятности.

"""

_q33 = r"""
Пусть ${X} = (X_{1j} , X_{2j} , . . . , X_{n_jj})$ – выборка объема $n_j$ из $N(µ_j; σ^2)$, где $j = 1, . . . , k$. Приведите формулы (с выводом и необходимыми пояснениями в обозначениях) дисперсионного тождества.

Дисперсионное тождество:

$SSTOT = SSTR + SSE$, где

$SSE = n\cdot \bar{σ^2}= \sum\limits_{j=1}^{k} \sum\limits_{i=1}^{n_j} (X_{ij} -\bar{X}_j)^2$ - внутригрупповая сумма квадратов или сумма квадратов отклонений внутри группы.

$SSTR = n\cdot\delta^2 = \sum\limits_{j=1}^{k} n_j\cdot(\bar{X}_{j} -\bar{X})^2 $ - межгрупповая сумма квадратов.

$\hat{σ^2} = 𝛿^2+ \bar{σ^2}$ (т.е. Выборочная дисперсия $\hat{σ^2}$ раскладывается на сумму двух слагаемых: межгрупповую дисперсию $𝛿^2$ и среднюю групповую дисперсию $\bar{σ^2}$.

Доказательство:

$SSTOT =\\=\sum\limits_{j=1}^{k} \sum\limits_{i=1}^{n_j} (X_{ij} -\bar{X})^2 =\\=\sum\limits_{j=1}^{k} \sum\limits_{i=1}^{n_j} \left((\bar{X}_{j} -\bar{X})+(X_{ij} -\bar{X}_j)\right)^2=\\=\sum\limits_{j=1}^{k}n_j\cdot (\bar{X}_{j} -\bar{X})^2 +2\cdot \sum\limits_{j=1}^{k} \sum\limits_{i=1}^{n_j} \left((\bar{X}_{j} -\bar{X})\cdot (X_{ij} -\bar{X}_j)\right)+ \sum\limits_{j=1}^{k} \sum\limits_{i=1}^{n_j} (X_{ij} -\bar{X}_j)^2 =\\= SSTR+SSE+2\cdot \sum\limits_{j=1}^{k} \sum\limits_{i=1}^{n_j} \left((\bar{X}_{j} -\bar{X})\cdot (X_{ij} -\bar{X}_j)\right)=\\=SSTR+SSE+2\cdot \sum\limits_{j=1}^{k}(\bar{X}_{j} -\bar{X})\cdot \sum\limits_{i=1}^{n_j} (X_{ij} -\bar{X}_j)=\\=SSTR+SSE+2\cdot \sum\limits_{j=1}^{k}(\bar{X}_{j} -\bar{X})\cdot \left(\sum\limits_{i=1}^{n_j} X_{ij} -n_j\cdot \bar{X}_j\right) =\\= SSTR+SSE+2\cdot \sum\limits_{j=1}^{k}(\bar{X}_{j} -\bar{X})\cdot \left(n_j\cdot \bar{X}_j -n_j\cdot \bar{X}_j\right)^{=0}=\\=SSTR+SSE$

"""

_q34 = r"""
Пусть ${X} = (X_{1j} , X_{2j} , . . . , X_{n_jj})$ – выборка объема $n_j$ из $N(µ_j; σ^2)$, где $j = 1, . . . , k$. Дайте определение факторной дисперсии. Приведите формулу (с выводом и необходимыми пояснениями в обозначениях) математического ожидания факторной дисперсии.

Факторная дисперсия: 

$MSTR=\dfrac{SSTR}{k-1}=\dfrac{1}{k-1}\cdot\sum\limits_{j=1}^k n_j\cdot\left(\bar{X}_j-\bar{X}\right)^2\\E(MSTR)=\sigma^2+\dfrac{1}{k-1}\cdot\sum\limits_{j=1}^k n_j\cdot(\mu_j-\mu)^2, \\\mu=\dfrac1n\cdot\sum\limits_{j=1}^k\mu_j\cdot n_j$

Доказательство:

$SSTR = n\cdot \delta^2=\sum\limits_{j=1}^{k} n_j\cdot(\bar{X}_{j} -\bar{X})^2 =\\=\sum\limits_{j=1}^{k} n_j\cdot\left((\bar{X}_{j}-\mu) -(\bar{X}-\mu)\right)^2=\\=\sum\limits_{j=1}^{k} n_j\cdot(\bar{X}_{j} -\mu)^2 -2\cdot \sum\limits_{j=1}^{k} n_j\cdot(\bar{X}_{j} -\mu)\cdot(\bar{X} -\mu) +\sum\limits_{j=1}^{k} n_j\cdot(\bar{X} -\mu)^2 =\\=\sum\limits_{j=1}^{k} n_j\cdot(\bar{X}_{j} -\mu)^2 -2\cdot n\cdot(\bar{X} -\mu)\cdot(\bar{X} -\mu) + n\cdot(\bar{X} -\mu)^2=\\=\sum\limits_{j=1}^{k} n_j\cdot(\bar{X}_{j} -\mu)^2 - n\cdot(\bar{X} -\mu)^2$

$E(SSTR)=\sum\limits_{j=1}^{k} n_j\cdot E\left[(\bar{X}_{j} -\mu)^2\right] - n\cdot E\left[(\bar{X} -\mu)^2\right]=\\=\sum\limits_{j=1}^{k} n_j\cdot \left(Var(\bar{X}_{j} -\mu)-E\left[(\bar{X}_{j} -\mu)\right]^2\right) - n\cdot Var(\bar X) =\\=\sum\limits_{j=1}^{k} n_j\cdot\left(\dfrac{\sigma^2}{n_j}+(\mu_j-\mu)^2\right)-n\cdot\dfrac{\sigma^2}{n}=\\=k\cdot\sigma^2+\sum\limits_{j=1}^kn_j\cdot(\mu_j- \mu)^2-\sigma^2=\\=(k-1)\cdot\sigma^2+\sum\limits_{j=1}^kn_j\cdot(\mu_j- \mu)^2$

$E(MSTR)=\dfrac{E(SSTR)}{k-1}=\sigma^2+\dfrac{1}{k-1}\cdot\sum\limits_{j=1}^k n_j\cdot(\mu_j-\mu)^2$

"""

mas = []

loc = locals()
count = 1
while True:
    name = f"_q{count}"
    if name not in loc:
        break
    mas.append(loc[name])
    count += 1
