_q1 = r"""
Опишите общую схему проверки статистических гипотез. Определите понятия: критическая область, уровень значимости, мощность критерия. Какие гипотезы называются простыми (сложными)?

Статистической гипотезой называется любое предположение или утверждение о виде или параметрах распределения $L_{\theta}(X)$.
Этапы проверки статических гипотез:
1. Формулировка основной гипотезы $H_0$ и конкурирующей гипотезы $H_1$.
2. Задание (глагол задать) уровня значимости $\alpha$, на котором в дальнейшем и будет сделан вывод о справедливости гипотезы.
3. Расчёт статистики F-критерия.
4. Построение критической области K.
5. Вывод об истинности гипотезы. Если наблюдаемые значения попадают в область, то гипотеза отвергается, если нет - не отвергается.

Статистическим критерием с критической областью $K ⊂ R^n$ называется правило, в соответствии с которым основная гипотеза $H_0$ отвергается, если выборка “попадает” в критическую область K, т.е. $(X_1, X_2, . . . , X_n) \in K$; не отвергается (принимается), если $(X_1, X_2, . . . , X_n) \notin K$.\
Критическая область, как правило, задается при помощи неравенств вида: $K = {(x_1, x_2, . . . , x_n) \in R^n : T(x_1, x_2, . . . , x_n) < c_1}$ – левосторонняя критическая область;\
 $K = {(x_1, x_2, . . . , x_n) \in R^n : T(x_1, x_2, . . . , x_n) > c_2}$ – правосторонняя критическая область;\
  $K = {(x_1, x_2, . . . , x_n) \in R^n : T(x_1, x_2, . . . , x_n) < c_1 \cup T(x_1, x_2, . . . , x_n) > c_2}$ – двусторонняя критическая область.
Здесь $c_1, c_2$ – некоторые константы, $c_1 < c_2$, которые называются критическими значениями.\
\
P–значением (p–value) $pv(x)$ статистического критерия называется наименьшая величина уровня значимости, при котором нулевая гипотеза $H_0$ отвергается:
$pv(x) = min\{α : T(x) \in K\}$.
Предположим, что $pv(x)$ уже каким-либо способом получено. Тогда решение о принятии (отклонении) нулевой гипотезы $H_0$ можно сформулировать следующим образом: если $\alpha < pv(x)$, то гипотеза $H_0$ – не отвергается (принимается); если $\alpha > pv(x)$, то гипотеза $H_0$ отвергается. Чем меньше P–значение, тем сильнее основания отклонить нулевую гипотезу $H_0$.\
\
Вероятность ошибки первого рода называется уровнем значимости критерия и обозначается через $\alpha$. Вероятность ошибки второго рода обозначается через $\beta$, а величина $W = 1 − \beta$ называется мощностью критерия.\
\
Любая гипотеза о значениях параметра $\theta$ называется параметрической гипотезой. Параметрическая гипотеза называется простой, если она имеет вид $\theta = \theta_0$, где $\theta_0$ – некоторое фиксированное значение параметра. Гипотеза вида $\theta \in \Theta$, где $\Theta$ – множество, содержащее по крайней мере два различных элемента, называется сложной.

"""

_q2 = r"""
Приведите вероятностную интерпретацию ошибок первого и второго рода, а также мощности критерия в случае простых нулевой и альтернативной гипотез. Привести пример критерия с выбором критического значения $c_0$, для которого сумма ошибок первого и второго рода $\alpha+\beta$ была бы минимальной.

Уровень значимости ($\alpha$) вероятность ошибки первого рода → отвергается гипотеза $H_0$, когда она верна

$\beta$ вероятность ошибки второго рода → отвергается верная гипотеза $H_1$
Мощность критерия $W = 1 - \beta$

Вероятностная интерпретация: вероятность ошибки и мощность критерия находится в зависимости от вида критической области. 

Правосторонняя:\
$k=\{(x_1, ..., x_n) \in R^n: T(x_1, ..., x_n) > c_2\}$\
$\alpha = P_{H_0}(T(X_1, ..., X_n) > c_2)$\
$\beta = P_{H_1}(T(X_1, ..., X_n) \leq c_2)$\
$W = 1 - \beta =  P_{H_1}(T(X_1, ..., X_n) > c_2)$

Левосторонняя:\
$k=\{(x_1, ..., x_n) \in R^n: T(x_1, ..., x_n) < c_1\}$\
$\alpha = P_{H_0}(T(X_1, ..., X_n) < c_1)$\
$\beta = P_{H_1}(T(X_1, ..., X_n) \geq c_1)$\
$W = 1 - \beta =  P_{H_1}(T(X_1, ..., X_n) < c_1)$

 $P_{H_i}(.)$ - вероятность события, вычисляемая в предположении о справедливости $H_i$

Пусть $X_1, ..., X_n$ выборка объема $n$ из $L_{\theta}(X) = N(\mu; \sigma^2)$, где $\sigma^2 -$ известна.\
Статистические гипотезы\
$H_0$: $\mu=\mu_0$\
$H_1$: $\mu=\mu_1$,\
$\mu_1 > \mu_0$

Для проверки $H_0$ применяем критерий основ на статистике $T(Х_1, ...,Х_n) = \overline{X}. \left(\overline{X} \sim N\left(\mu; \dfrac{\sigma^2}{n}\right)\right)$. Если $H_0$ верна, то $\overline{X} \sim N\left(\mu_0; \dfrac{\sigma^2}{n}\right)$.
Критическая область $k=\{(x_1, ..., x_n): T(x_1, ..., x_n)=\overline{x} > c\}$

$\alpha = P_{H_0}(T(Х_1, ...,Х_n) > c) = P(\overline{X} > c) = P\left(\dfrac{\overline{X} - \mu_0}{\dfrac{\sigma}{\sqrt{n}}} > \dfrac{c - \mu_0}{\dfrac{\sigma}{\sqrt{n}}}\right) = P\left(Z > \dfrac{c - \mu_0}{\dfrac{\sigma}{\sqrt{n}}}\right)$, где $Z \sim N(0; 1)$\
 $\alpha = P\left(Z > \dfrac{c - \mu_0}{\dfrac{\sigma}{\sqrt{n}}}\right)$ $\to$ % точка $\to z_{\alpha} = \dfrac{c - \mu_0}{\dfrac{\sigma}{\sqrt{n}}}$, откуда $с = с_{\alpha} = \mu_0 + \dfrac{\sigma}{\sqrt{n}} \cdot z_{\alpha}$\
Критическая область k имеет вид $k = \{(x_1, ...,x_n) = \overline{x} > с_{\alpha}\}$, где $с_{\alpha} = \mu_0 + \dfrac{\sigma}{\sqrt{n}} \cdot z_{\alpha}$\
\
Если $\overline{x} > с_{\alpha} \to H_0$  отвергается.\
Если $\overline{x} < с_{\alpha} \to H_0$ не отвергается, $P_{H_0}(\overline{X} > с_{\alpha}) = \alpha$\
Может оказаться, что верна $H_1$, поэтому найдем  $\beta$.

$\beta = P_{H_1}(\overline{X} < с_{\alpha}) = F_{\overline{X}}\left(\dfrac{с_{\alpha} - \mu_1}{\dfrac{\sigma}{\sqrt{n}}}\right) \to H_1$ верна $\to \overline{X} \sim N\left(\mu_1; \dfrac{\sigma^2}{n}\right)$

$\beta = \dfrac{1}{2} + \Phi_0\left(\dfrac{с_{\alpha} - \mu_1}{\dfrac{\sigma}{\sqrt{n}}}\right) =  \dfrac{1}{2} + \Phi_0\left(\dfrac{\sqrt{n}(с_{\alpha} - \mu_1)}{\sigma}\right)$, где $\Phi_0(x)\ -$ функция Лапласа

$\beta = \dfrac{1}{2} + \Phi_0\left(z_{\alpha} - \dfrac{\sqrt{n}}{\sigma}\cdot(\mu_1- \mu_0)\right)$

$W(\mu_1) = 1 - \beta = \dfrac{1}{2} - \Phi_0\left(z_{\alpha} - \dfrac{\sqrt{n}}{\sigma}\cdot(\mu_1- \mu_0)\right)$\
\
Найдём $c_0$, для которого $\alpha + \beta \to \min$

$P\left(Z > \dfrac{c_0 - \mu_0}{\dfrac{\sigma}{\sqrt{n}}}\right) + P\left(Z < \dfrac{c_0 - \mu_1}{\dfrac{\sigma}{\sqrt{n}}}\right)$ = $1 - \Phi_0(z_{\alpha}) + \Phi_0\left(z_{\alpha} - \dfrac{\sqrt{n}}{\sigma}\cdot(\mu_1- \mu_0)\right) \to \min$

Возьмем производную по $z_{\alpha}$ и приравняем её к нулю для поиска экстремумов\
\
$-e^{-\frac{z_{\alpha}^2}{2}}+e^{-\frac{(z_{\alpha}-\frac{\sqrt{n}}{\sigma}\cdot(\mu_1-\mu_0))^2}{2}}=0$ \
\
$z_{\alpha}^2=\left(z_{\alpha}-\dfrac{\sqrt{n}}{\sigma}\cdot(\mu_1-\mu_0)\right)^2$\
\
$\dfrac{\sqrt{n}}{\sigma}\cdot(\mu_1-\mu_0)=0$ или $2z_{\alpha}=\dfrac{\sqrt{n}}{\sigma}\cdot(\mu_1-\mu_0)$\
\
$2z_{\alpha}=\dfrac{\sqrt{n}}{\sigma}\cdot(\mu_1-\mu_0)$\
\
Подставим значение верхней процентной точки, выведенное выше:\
\
$\dfrac{c - \mu_0}{\dfrac{\sigma}{\sqrt{n}}}=\dfrac{\sqrt{n}}{\sigma}\cdot(\mu_1-\mu_0)$\
\
$2c-2\mu_0=\mu_1-\mu_0$\
\
$2c=\mu_1+\mu_0$\
\
$c=\dfrac{\mu_1+\mu_0}{2}$
"""

_q3 = r"""
Дайте определение несмещенности и состоятельности критерия. Пусть мощность критерия определяется выражением Если $W(\theta)\geq \alpha\ для\ \forall \theta \in \Theta_1$ (в нашем случае $\theta=\mu_1;\ \Theta_1:\mu_1>\mu_0$), то статистический критерий называется $\textbf{несмещённым}$

Несмещенность критерия означает, что попадание в критическую область $K$ (и, следовательно, отклонение гипотезы $H_0$) при справедливости любой из альтернатив не менее вероятно, чем попадание в неё при выполнении $H_0$

Если для $\forall \theta \in \Theta_1$ функция мощности $W(\theta)\ \xrightarrow[n\to +\infty]{} 1$, то статистический критерий называется $\textbf{состоятельным}$.

$W(\mu)=\dfrac{1}{2}-\Phi_0\left(z_{\alpha}-\dfrac{\sqrt{n}}{\sigma}(\mu-\mu_0)\right),\ \mu \in \Theta_1 = (\mu_0;\ +\infty)$

$W(\mu)\geq \alpha\ \forall \mu \in (\mu_0;\ +\infty)$ для несмещённости

$\dfrac{1}{2}-\Phi_0\left(z_{\alpha}-\dfrac{\sqrt{n}}{\sigma}(\mu-\mu_0)\right) \geq \alpha\ \forall \mu \in (\mu_0;\ +\infty)$

$\Phi_0\left(z_{\alpha}-\dfrac{\sqrt{n}}{\sigma}(\mu-\mu_0)\right) \leq \dfrac{1}{2} - \alpha$

$z_{\alpha}-\dfrac{\sqrt{n}}{\sigma}(\mu-\mu_0) \leq \Phi_0^{-1}\left(\dfrac{1}{2} - \alpha\right)$

$z_{\alpha} = \Phi_0^{-1}\left(\dfrac{1}{2} - \alpha\right)$

$\Phi_0^{-1}\left(\dfrac{1}{2} - \alpha\right) -\dfrac{\sqrt{n}}{\sigma}(\mu-\mu_0) \leq \Phi_0^{-1}\left(\dfrac{1}{2} - \alpha\right)$

$\dfrac{\sqrt{n}}{\sigma}(\mu-\mu_0) \leq 0\ \ \forall \mu \in (\mu_0;\ +\infty)\ \to$ критерий несмещённый

$\forall \theta \in \Theta_1$ функция мощности $W(\theta)\ \xrightarrow[n\to +\infty]{} 1$ для состоятельности
$\lim\limits_{n\to+\infty} W(\mu)=\lim\limits_{n\to+\infty} \dfrac{1}{2}-\Phi_0\left(z_{\alpha}-\dfrac{\sqrt{n}}{\sigma}(\mu-\mu_0)\right)=\dfrac{1}{2}-\lim\limits_{n\to+\infty} \Phi_0\left(z_{\alpha}-\dfrac{\sqrt{n}}{\sigma}(\mu-\mu_0)\right)=|\Phi_0(-\infty)=-\dfrac{1}{2}|=\dfrac{1}{2}-\left(-\dfrac{1}{2}\right)=1\to$ критерий состоятельный

"""

_q4 = r"""
Сформулируйте лемму Неймана-Пирсона в случае проверки двух простых гипотез. Приведите пример построения наиболее мощного критерия.

Лемма Неймана-Пирсона

Пусть имеются две (простые) гипотезы:
$H_0: \theta=\theta_0$\
$H_1: \theta=\theta_1$

Наиболее мощный критерий для проверки простой гипотезы $H_0$ против
простой альтернативной гипотезы $H_1$ с вероятностью ошибки первого
рода $\alpha$ существует и задается критической областью вида:

$K_{\alpha}=\{\vec{x}=(x_1, x_2, ..., x_n):T(\vec{x})=\dfrac{\prod\limits_{k=1}^n f(x_k, \theta_1)}{\prod\limits_{k=1}^n f(x_k, \theta_0)}>c_{\alpha}\}$,\
где критическое значение $c_{\alpha}$ определяется из условия $P_{H_0}(T(\vec{X})>c_{\alpha})=\alpha$.

Здесь $\vec{X}=(X_1, X_2, ..., X_n)\ -$ случайная выборка, $\vec{x}=(x_1, x_2, ..., x_n)\ -$ реализация случайной выборки.

Приведем пример построения наиболее мощного критерия в случае нормальной модели $L_{\theta}(X) = N (\mu; \sigma^2)$, где параметр $\theta = \mu = E(X)$ – неизвестен, а дисперсия $\sigma^2 = Var(X)$ – известна. Здесь \
$H_0: \mu=\mu_0$\
$H_1: \mu=\mu_1,\ \ \mu_1>\mu_0$\

Итак, пусть $(X_1, X_2, ..., X_n)\ -$ выборка объема $n$ из $N(\mu, \sigma^2)$ и пусть $\vec{x}=(x_1, x_2, ..., x_n)\ -$ реализация случайной выборки. Составим, согласно
лемме Неймана–Пирсона, статистику отношения правдоподобия:
$T(\vec{x})=\dfrac{\prod\limits_{k=1}^n f(x_k, \theta_1)}{\prod\limits_{k=1}^n f(x_k, \theta_0)}>c_{\alpha}=\dfrac{\dfrac{1}{\sigma\sqrt{2\pi}}e^{-\dfrac{1}{2\sigma^2}\sum\limits_{k=1}^n (x_k-\mu_1)^2}}{\dfrac{1}{\sigma\sqrt{2\pi}}e^{-\dfrac{1}{2\sigma^2}\sum\limits_{k=1}^n (x_k-\mu_0)^2}}=e^{-\dfrac{1}{2\sigma^2}\sum\limits_{k=1}^n \left[(x_k-\mu_1)^2-(x_k-\mu_0)^2\right]}=e^{\dfrac{n}{\sigma^2}(\mu_1-\mu_0)\overline{x}-\dfrac{n}{2\sigma^2}(\mu_1^2-\mu_0^2)}$

Тогда критическая область $K_{\alpha}$ наиболее мощного критерия, согласно лемме Неймана–Пирсона, задается в виде:

$K_{\alpha}=\{\vec{x}=(x_1, x_2, ..., x_n):T(\vec{x})>c\}$. В данном случае:

$\dfrac{n}{\sigma^2}(\mu_1-\mu_0)\overline{x}-\dfrac{n}{2\sigma^2}(\mu_1^2-\mu_0^2)>\ln{c}$\
$\overline{x} > \dfrac{\sigma^2}{n(\mu_1-\mu_0)}\ln{c} + \dfrac{\mu_1+\mu_0}{2}\ (1)$

Ранее, для проверки таких простых гипотез мы получили критерий с критической областью вида

$K=\left\{(x_1, x_2, ..., x_n):\overline{x}>c_{\alpha},\ \text{где}\ c_{\alpha}=\mu_0+ z_{\alpha}\dfrac{\sigma}{\sqrt{n}}\right\}\ (2).$

Покажем, что (1) и (2) – эквивалентные области. Составим уравнение:

$\dfrac{\sigma^2}{n(\mu_1-\mu_0)}\ln{c} + \dfrac{\mu_1+\mu_0}{2}=c_{\alpha}=\mu_0+ z_{\alpha}\dfrac{\sigma}{\sqrt{n}}.$

$c=e^{-(\mu_1-\mu_0)\left[\dfrac{n}{2\sigma^2}(\mu_1-\mu_0)-\dfrac{\sqrt{n}}{\sigma}z_{\alpha}\right]}$

Таким образом, (1) и (2) – эквивалентные области. А это означает, что критерий, основанный на статистике $T(\vec{X}) = \overline{X}$ с критической областью $K_{\alpha} = \{\vec{x} > c_{\alpha} = \mu_0 + \dfrac{\sigma}{\sqrt{n}}\}$ является наиболее мощным в случае (простой) основной $H_0 : \mu = \mu_0$ против (простой) альтернативной $H_1 : \mu = \mu_1$, где
$\mu_1 > \mu_0$, гипотез.

"""

_q5 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения $N(µ; σ^2 )$, когда $σ^2 = Var(X)$ – известна, проверяется на уровне значимости α основная гипотеза $H_0 : µ = µ_0$ против альтернативной гипотезы $H_1 : µ > µ_0$. 1) Приведите необходимую статистику критерия и критическое множество для проверки $H_0$ против $H_1$. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия 

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:   
$Z = \dfrac{\sqrt{n} \left(\overline{X} - \mu_0 \right)}{\sigma}$

Критическое множество (область) зависит от вида альтернативной гипотезы. В нашем случае, когда $H_1: \mu > \mu_0:$   
$\overline{x} > \mu_0 + \dfrac{\sigma}{\sqrt{n}}z_{\alpha}$ или $z > z_{α}$
Если $H_0$ верна(т.е. $\mu = \mu_0$), то $Z \sim N(0;1)$
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\mu_1) = \frac{1}{2} + Ф_0(z_{\alpha} - \dfrac {\sqrt{n}} {\sigma}(\mu_1 - \mu_0))$  
$W = W(\mu_1) = 1 - \beta = \frac {1}{2} - Ф_0(z_{\alpha} - \dfrac {\sqrt{n}} {\sigma}(\mu_1 - \mu_0)), где  \mu_1 \in \Theta_1 = (\mu_0; +\infty)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $Z$, имеет уровень значимости $\alpha$ (т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$).
Если $H_0$ – верна, то случайная величина $PV$ ∼ $U([0; 1])$, (т.е. распределение с.в. $PV$ является равномерным на отрезке $[0; 1]$)
$pv(\overrightarrow{x}) = P ( Z(\overrightarrow{x})  > Z(\overrightarrow{x}) )= P ( N (0;1) > z_{набл} ) =
 \int\limits_{z_{набл}}^{+\infty} \dfrac 1{\sqrt{2\pi}}e^{-\dfrac{x^2}{2}}dx =
  1 - \int\limits_{-\infty}^{z_{набл}} \dfrac 1{\sqrt{2\pi}}e^{-\dfrac{x^2}{2}}dx =
 \frac{1}{2}$ - $\int\limits_{0}^{z_{набл}} \dfrac 1{\sqrt{2\pi}}e^{-\dfrac{x^2}{2}}dx = \frac{1}{2} - Ф_0(z_{набл})$
$pv=P(Z>z_{\text{набл}})=Z.sf(z_{\text{набл}})$
"""

_q6 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения $N(µ; σ^2 )$, когда $σ^2 = Var(X)$ – известна, проверяется на уровне значимости α основная гипотеза $H_0 : µ = µ_0$ против альтернативной гипотезы $H_1 : µ < µ_0$. 1) Приведите необходимую статистику критерия и критическое множество для проверки $H_0$ против $H_1$. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия. 

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:   
$Z = \dfrac{\sqrt{n} \left(\overline{X} - \mu_0 \right)}{\sigma}$
Критическое множество (область) зависит от вида альтернативной гипотезы. В нашем случае, когда $H_1: \mu > \mu_0:$   
$\overline{x} < \mu_0 - \dfrac{\sigma}{\sqrt{n}}z_{\alpha}$ или $z < -z_{α}$
Если $H_0$ верна(т.е. $\mu = \mu_0$), то $Z \sim N(0;1)$
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\mu_1) = \frac{1}{2} + Ф_0(z_{\alpha} - \dfrac {\sqrt{n}} {\sigma}(\mu_0 - \mu_1))$  
$W = W(\mu_1) = 1 - \beta = \frac {1}{2} - Ф_0(z_{\alpha} - \dfrac {\sqrt{n}} {\sigma}(\mu_0 - \mu_1)), где  \mu_1 \in \Theta_1 = (-\infty; \mu_0)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $Z$, имеет уровень значимости $\alpha$ (т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$).
Если $H_0$ – верна, то случайная величина $PV$ ∼ $U([0; 1])$, (т.е. распределение с.в. $PV$ является равномерным на отрезке $[0; 1]$)
$pv=P(Z<-z_{\text{набл}})=Z.cdf(-z_{\text{набл}})$
"""

_q7 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда σ^2 = Var(X) – известна, проверяется на уровне значимости α основная гипотеза H_0 : µ = µ_0 против альтернативной гипотезы H_1 : $µ \neq µ_0$. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия 

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:   
$Z = \dfrac{\sqrt{n} \left(\overline{X} - \mu_0 \right)}{\sigma}$
Если $H_0$ верна(т.е. $\mu = \mu_0$), то $Z \sim N(0;1)$
Критическое множество (область) зависит от вида альтернативной гипотезы. В нашем случае, когда $H_1: \mu \neq \mu_0:$   $|z| > z_{ \frac {\alpha} {2} }$ или $|\overline{x} - \mu_0| > \dfrac{\sigma}{\sqrt{n}}z_{\alpha}$
$\left[ 
      \begin{gathered} 
        \overline{x} < \mu_0 - \dfrac{\sigma}{\sqrt{n}}z_{\frac{\alpha}{2}} \\ 
        \overline{x} > \mu_0 + \dfrac{\sigma}{\sqrt{n}}z_{\frac{\alpha}{2}}, \\ 
      \end{gathered} 
\right.$
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\mu) = Ф_0(z_{\dfrac {\alpha} {2}} - \dfrac {\sqrt{n}} {\sigma}(\mu - \mu_0)) + Ф_0(z_{\dfrac {\alpha} {2}} + \dfrac {\sqrt{n}} {\sigma}(\mu - \mu_0))$, где $\mu \neq \mu_0$  
$W = W(\mu) = 1 - \beta = 1 - [ Ф_0(z_{\dfrac {\alpha} {2}} - \dfrac {\sqrt{n}} {\sigma}(\mu - \mu_0)) + Ф_0(z_{\dfrac {\alpha} {2}} + \dfrac {\sqrt{n}} {\sigma}(\mu - \mu_0))], где  \mu \in \Theta_1 = (-\infty; \mu_0) \cup (\mu_0; +\infty)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $Z$, имеет уровень значимости $\alpha$ (т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$).
Если $H_0$ – верна, то случайная величина $PV$ ∼ $U([0; 1])$, (т.е. распределение с.в. $PV$ является равномерным на отрезке $[0; 1]$)
$pv(\overrightarrow{x})= 2 min \{p_1; p_2\} = P_{H_0}(|Z| > |z_{набл}|) = 1 - 2Ф_0(|z_{набл}|)$
$pv=P(|Z|>|z_{\text{набл}}|)=2\min(p_1, p_2)$
"""

_q8 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда σ^2 = Var(X) – неизвестна, проверяется на уровне значимости α основная гипотеза H_0 : µ = µ_0 против альтернативной гипотезы H_1 : µ > µ_0. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия. 

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:   
$T = \dfrac{\sqrt{n} \left(\overline{X} - \mu_0 \right)}{s}$, где $s^2 = \dfrac{1}{n-1}\sum\limits_{k=1}^n \left(X_k - \overline{X}\right)^2$ - исправленная выборочная дисперсия.
Если $H_0$ верна(т.е. $\mu = \mu_0$), то $T \sim t(n-1)$
Критическое множество зависит от вида альтернативной гипотезы. В нашем случае, когда $H_1: \mu > \mu_0:$  
$\overline{x} > \mu_0 + \dfrac{s}{\sqrt{n}}t_{\alpha}\left(n-1\right)$ или $t>t_\alpha(n-1)$. 
Здесь $t_{\alpha}\left(n-1\right)$ и $t_{\frac{\alpha}{2}}\left(n-1\right)$ соответствующие верхние процентные точки распределения Стьюдента с $n-1$ степенями свободы.
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\mu; \sigma) = G_{n-1;\delta} (t_\alpha(n-1))$  
$W = W(\mu; \sigma) = 1 - \beta = 1 - G_{n-1;\delta} (t_\alpha(n-1)$
$\delta = \dfrac {\sqrt{n}(\mu-\mu_0)}{\sigma},\delta > 0, \mu \in \Theta_1 =(\mu_0; +\infty)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $T$, имеет уровень значимости $\alpha$ (т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$).
$pv(\overrightarrow{x}) = 2\cdot min({p_1; p_2})$, где $p_1 = P(T < t_{набл})$, $p_2 = P(T > t_{набл})$
$pv=P(t(n-1)>t_{\text{набл}})=t.sf(t_{\text{набл}})$
"""

_q9 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда σ^2 = Var(X) – неизвестна, проверяется на уровне значимости α основная гипотеза H_0 : µ = µ_0 против альтернативной гипотезы H_1 : µ < µ_0. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия.

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:   
$T = \dfrac{\sqrt{n} \left(\overline{X} - \mu_0 \right)}{s}$, где $s^2 = \dfrac{1}{n-1}\sum\limits_{k=1}^n \left(X_k - \overline{X}\right)^2$ - исправленная выборочная дисперсия.
Если $H_0$ верна(т.е. $\mu = \mu_0$), то $T \sim t(n-1)$
Критическое множество зависит от вида альтернативной гипотезы. В нашем случае, когда $H_1: \mu < \mu_0:$  
$\overline{x} < \mu_0 - \dfrac{s}{\sqrt{n}}t_{\alpha}\left(n-1\right) или   t<-t_\alpha(n-1)$. 
Здесь $t_{\alpha}\left(n-1\right)$ и $t_{\frac{\alpha}{2}}\left(n-1\right)$ соответствующие верхние процентные точки распределения Стьюдента с $n-1$ степенями свободы.
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\mu; \sigma) = G_{n-1;\delta} (-t_\alpha(n-1))$  
$W = W(\mu; \sigma) = 1 - \beta = 1 - G_{n-1;\delta} (-t_\alpha(n-1)$
$\delta = \dfrac {\sqrt{n}(\mu-\mu_0)}{\sigma},\delta < 0, \mu \in \Theta_1 =(-\infty; \mu_0)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $T$, имеет уровень значимости $\alpha$ (т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$).
$pv(\overrightarrow{x}) = 2\cdot min({p_1; p_2})$, где $p_1 = P(T < t_{набл})$, $p_2 = P(T > t_{набл})$
$pv=P(t(n-1)<-t_{\text{набл}})=t.cdf(-t_{\text{набл}})$
"""

_q10 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда σ^2 = Var(X) – неизвестна, проверяется на уровне значимости α основная гипотеза H_0 : µ = µ_0 против альтернативной гипотезы $H_1 : µ \neq µ_0$. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия.

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:   
$T = \dfrac{\sqrt{n} \left(\overline{X} - \mu_0 \right)}{s}$, где $s^2 = \dfrac{1}{n-1}\sum\limits_{k=1}^n \left(X_k - \overline{X}\right)^2$ - исправленная выборочная дисперсия.
Если $H_0$ верна(т.е. $\mu = \mu_0$), то $T \sim t(n-1)$
Критическое множество зависит от вида альтернативной гипотезы. В нашем случае, когда $H_1: \mu \neq \mu_0: |t|> t_{\dfrac{\alpha}{2}} (n-1) $ или $|\overline{x} - \mu_0|>\dfrac{s}{\sqrt{n}}t_{\alpha}\left(n-1\right) $
Здесь $t_{\alpha}\left(n-1\right)$ и $t_{\frac{\alpha}{2}}\left(n-1\right)$ соответствующие верхние процентные точки распределения Стьюдента с $n-1$ степенями свободы.
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\mu; \sigma) = G_{n-1;\delta} (t_{\dfrac{\alpha}{2}}(n-1)) - G_{n-1;\delta} (-t_{\dfrac{\alpha}{2}}(n-1))$  
$W = W(\mu; \sigma) = 1 - \beta = 1 - [G_{n-1;\delta} (t_{\dfrac{\alpha}{2}}(n-1)) - G_{n-1;\delta} (-t_{\dfrac{\alpha}{2}}(n-1))]$
$\delta = \dfrac {\sqrt{n}(\mu-\mu_0)}{\sigma},\delta \neq 0, \mu \in \Theta_1 =(-\infty; \mu_0)\cup(\mu_0; +\infty) $
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $T$, имеет уровень значимости $\alpha$ (т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$).
$pv(\overrightarrow{x}) = 2\cdot min({p_1; p_2})$, где $p_1 = P(T < t_{набл})$, $p_2 = P(T > t_{набл})$
$pv=P(|t(n-1)|>|t_{\text{набл}}|)=2 \min{(p_1, p_2)}$
"""

_q11 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^ ), когда µ = E(X) – известно, проверяется на уровне значимости α основная гипотеза H_0 : σ = σ_0 против альтернативной гипотезы H_1 : σ > σ_0. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:
$\chi_0^2 = \dfrac{1}{\sigma_0^2} \sum_{k=1}^n(X_k - \mu)^2 = \dfrac{ns_0^2} {\sigma_0^2}$, 
где $s_0^2 = \dfrac {1}{n} \sum_{k=1}^n(X_k - \mu)^2$ - одна из оценок параметра $\sigma^2$ при известном $\mu = E(X)$.
Если $H_0$ верна (т.е. $\sigma=\sigma_0$), то статистика $\chi_0^2 \sim \chi^2(n)$
Критическая область $K_{\alpha}$правосторонняя:
${(x_1, x_2, …, x_n) : \chi_0^2 > \chi^2_{\alpha}(n)}$
Здесь $\chi_{\alpha}^2(n), \chi_{1 - \alpha}^2(n)$, $\chi_{1 - \frac {\alpha}2}^2(n)$, $\chi_{\frac {\alpha} 2}^2(n)$ соответствующие (верхние) процентные точки $\chi^2$-распределения с n степенями свободы.
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\sigma) = F_{\chi_0^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_\alpha (n) )$  
$W = W(\sigma) = 1 - \beta = 1 - F_{\chi_0^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_\alpha (n) )$
$\sigma \in \Theta_1 =(\sigma_0; +\infty) $
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $\chi_0^2$, имеет уровень значимости $\alpha$, т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$.
$\chi_0^2 = \dfrac {\sum_{i=1}^n(X_i - \mu)^2}{\sigma_0^2} = \sum_{i=1}^n (\dfrac {X_i - \mu}{\sigma_0})^2 = \sum_{i=1}^n Z_i^2 \sim \chi^2(n)$
Критерий для проверки $H_0$ против $H_1$ имеют уровень значимости $\alpha$.
$P_{H_0}(T(X_1, X_2, …, X_n) \in K) = P(\chi_0^2 > \chi_{\alpha}^2(n)) = \alpha$
$pv = P(\chi_0^2 > \chi_{набл}^2) = 1 - F_{\chi^2(n)}(\chi_{набл}^2)$
$pv=P(\chi^2(k)>\chi^2_{\text{набл}})=\chi^2(n).sf(\chi^2_{\text{набл}})$

"""

_q12 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда µ = E(X) – известно, проверяется на уровне значимости α основная гипотеза H_0 : σ = σ_0 против альтернативной гипотезы H_1 : σ < σ_0. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия. 

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:
$\chi_0^2 = \dfrac {1}{\sigma_0^2} \sum_{k=1}^n(X_k - \mu)^2 = \dfrac {ns_0^2} {\sigma_0^2}$, 
где $s_0^2 = \dfrac {1}{n} \sum_{k=1}^n(X_k - \mu)^2$ - одна из оценок параметра $\sigma^2$ при известном $\mu = E(X)$.
Критическая область $K_{\alpha}$ левосторонняя:
${(x_1, x_2, …, x_n) : 0 < \chi_0^2 < \chi^2_{1 - \alpha}(n)}$
Если $H_0$ верна, то статистика $\chi_0^2 \sim \chi^2(n)$.
Здесь $\chi_{\alpha}^2(n)$, $\chi_{1 - \alpha}^2(n)$, $\chi_{1 - \frac {\alpha}2}^2(n)$, $\chi_{\frac {\alpha} 2}^2(n)$ соответствующие (верхние) процентные точки $\chi^2$-распределения с n степенями свободы.
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\sigma) = 1- F_{\chi_0^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{1-\alpha} (n) )$  
$W = W(\sigma) = 1 - \beta = F_{\chi_0^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{1-\alpha} (n) )$
$\sigma \in \Theta_1 =(0; \sigma_0) $
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $\chi_0^2$, имеет уровень значимости $\alpha$, т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$.
$\chi_0^2 = \dfrac {\sum_{i=1}^n(X_i - \mu)^2}{\sigma_0^2} = \sum_{i=1}^n (\dfrac {X_i - \mu}{\sigma_0})^2 = \sum_{i=1}^n Z_i^2 \sim \chi^2(n)$
Критерий для проверки $H_0$ против $H_1$ имеют уровень значимости $\alpha$.
$P_{H_0}(T(X_1, X_2, …, X_n) \in K) = P(0 < \chi_0^2 < \chi_{1 -\alpha}^2(n)) = F_{\chi^2(n)}(\chi_{1-\alpha}^2(n)) - F_{\chi^2(n)}(0) = \alpha$
$p-value = P(\chi_0^2 < \chi_{набл}^2) = F_{\chi^2(n)}(\chi_{набл}^2)$
$pv=P(\chi^2(k)<\chi^2_{\text{набл}})=\chi^2(n).cdf(\chi^2_{\text{набл}})$
"""

_q13 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда µ = E(X) – известно, проверяется на уровне значимости α основная гипотеза H_0 : σ = σ_0 против альтернативной гипотезы $H_1 : σ \neq σ_0$. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия.

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:
$\chi_0^2 = \dfrac {1}{\sigma_0^2} \sum_{k=1}^n(X_k - \mu)^2 = \dfrac {ns_0^2} {\sigma_0^2}$, 
где $s_0^2 = \dfrac {1}{n} \sum_{k=1}^n(X_k - \mu)^2$ - одна из оценок параметра $\sigma^2$ при известном $\mu = E(X)$.
Критическая область $K_{\alpha}$:
${(x_1, x_2, …, x_n) : 0 < \chi_0^2 < \chi_{1 - \frac {\alpha} 2}^2(n) \cup \chi_0^2 > \chi_{\frac {\alpha} 2}^2(n)}$
Если $H_0$ верна, то статистика $\chi_0^2 \sim \chi^2(n)$.
Здесь $\chi_{\alpha}^2(n)$,  $\chi_{1 - \alpha}^2(n)$, $\chi_{1 - \frac {\alpha}2}^2(n)$, $\chi_{\frac {\alpha} 2}^2(n)$ соответствующие (верхние) процентные точки $\chi^2$-распределения с n степенями свободы.
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\sigma) = F_{\chi_0^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{\dfrac{\alpha}{2}} (n) ) - F_{\chi_0^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{1-\dfrac{\alpha}{2}} (n) )$  
$W = W(\sigma) = 1 - \beta = 1 - [F_{\chi_0^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{\dfrac{\alpha}{2}} (n) ) - F_{\chi_0^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{1-\dfrac{\alpha}{2}} (n) )]$
$\sigma \in \Theta_1 =(0; \sigma_0)\cup (\sigma_0; +\infty) $
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий, основанный на статистике $\chi_0^2$, имеет уровень значимости $\alpha$, т.е. вероятность совершить ошибку первого рода (отклонить верную гипотезу $H_0$) в точности равна $\alpha$.
$\chi_0^2 = \dfrac {\sum_{i=1}^n(X_i - \mu)^2}{\sigma_0^2} = \sum_{i=1}^n (\dfrac {X_i - \mu}{\sigma_0})^2 = \sum_{i=1}^n Z_i^2 \sim \chi^2(n)$
Критерий для проверки $H_0$ против $H_1$ имеют уровень значимости $\alpha$.
$P_{H_0}(0 < \dfrac {1}{\sigma_0^2} \sum_{k=1}^n(X_k - \mu)^2 < \chi_{1 - \frac {\alpha} 2}(n)^2) + P_{H_0}(\dfrac {1}{\sigma_0^2} \sum_{k=1}^n(X_k - \mu)^2 > \chi_{\frac {\alpha} 2}(n)^2) = P(\chi^2(n) > 0) - P(\chi^2(n) > \chi^2_{1 - \frac {\alpha} 2}(n)) + \frac {\alpha} 2 = 1 - 1 + \frac {\alpha} 2 + \frac {\alpha} 2 = \alpha$
$pv = 2 * min(P(\chi^2(n) < \chi_{набл}); P(\chi^2(n) > \chi_{набл}) = 2 * min(F_{\chi^2(n)}(\chi_{набл}); 1 - F_{\chi^2(n)}(\chi_{набл})$
$pv=2\min{(p_1, p_2)}$
"""

_q14 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда µ = E(X) – неизвестно, проверяется на уровне значимости α основная гипотеза H0 : σ = σ_0 против альтернативной гипотезы H_1 : σ > σ_0. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия.

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:
$\chi^2 = \dfrac 1 \sigma_0^2 \sum_{k=1}^n(X_k - \bar X)^2 = \dfrac {(n-1)s^2} {\sigma_0^2}$, где $s^2 = \dfrac 1 {n-1} \sum_{k=1}^n(X_k - \bar X)^2$ - исправленная выборочная дисперсия.
Критическая область $K_{\alpha}$:
${(x_1, x_2, …, x_n) : \chi^2 > \chi^2_{\alpha}(n-1)}$
Если $H_0$ верна, то статистика $\chi^2 \sim \chi^2(n-1)$, т.е. статистика $\chi^2$, когда верна основная гипотеза $H_0$, распределена по “хи-квадрат”, что и $\chi^2_0$, но число степеней свободы составляет n - 1 вместо n.
Используя теорему о сложении “хи-квадрат” распределений, и то, что $\chi^2 \sim \chi^2(n)$, а $Z_0 = \dfrac {\sqrt n(\bar X - \mu)}{\sigma_0} \sim N(0,1)$ и $Z_0^2 \sim \chi(1)$ заключаем, что статистика $\chi^2$ имеет “хи-квадрат” распределение с n-1 степенями свободы.
Если $H_0$ верна, то $\chi^2 \sim \chi^2(n-1)$ \
$\chi^2 = \dfrac 1 {\sigma_0^2} \sum_{k=1}^n(X_k - \bar X)^2 = \dfrac {n-1} {\sigma_0^2} * \dfrac 1 {n-1} * \sum_{k=1}^n(X_k - \bar X)^2 = \dfrac {(n-1)s^2}{\sigma_0^2} ~ \chi^2(n-1)$
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\sigma) = F_{\chi^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_\alpha (n-1) )$  
$W = W(\sigma) = 1 - \beta = 1 - F_{\chi^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_\alpha (n-1) )$
$\sigma \in \Theta_1 =(\sigma_0; +\infty) $
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий для проверки $H_0$ против $H_1$ имеют уровень значимости $\alpha$.
$4P_{H_0}(T(X_1, X_2, …, X_n) \in K_{\alpha}) = P_{H_0}(\dfrac 1 {\sigma_0^2} \sum_{k=1}^n(X_k - \bar X)^2 > \chi_{\alpha}^2(n-1)) = P_{H_0}(\chi^2(n-1) > \chi_{\alpha}^2(n-1)) = \alpha$
$pv = P_{H_0}(T(X_1, X_2, …, X_n) > \chi_{набл}^2) =  P_{H_0}(\dfrac 1 {\sigma_0^2} \sum_{k=1}^n(X_k - \bar X)^2 > \chi_{набл}^2) = P_{H_0}(\chi^2(n-1) > \chi_{набл}^2) = 1 - F_{\chi^2(n-1)}(\dfrac 1 {\sigma_0^2} \sum_{k=1}^n(X_k - \bar X)^2)$
$pv=P(\chi^2(k)>\chi^2_{\text{набл}})=\chi^2(n-1).sf(\chi^2_{\text{набл}})$

"""

_q15 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда µ = E(X) – неизвестно, проверяется на уровне значимости α основная гипотеза H_0 : σ = σ_0 против альтернативной гипотезы H_1 : σ < σ_0. 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия. 

Для проверки основной гипотезы $H_0$ против альтернативной гипотезы $H_1$ используется следующая статистика:
$\chi^2 = \dfrac 1 \sigma_0^2 \sum_{k=1}^n(X_k - \bar X)^2 = \dfrac {(n-1)s^2} {\sigma_0^2}$, где $s^2 = \dfrac 1 {n-1} \sum_{k=1}^n(X_k - \bar X)^2$ - исправленная выборочная дисперсия.
Критическая область $K_{\alpha}$:
${(x_1, x_2, …, x_n) : 0 < \chi^2 < \chi^2_{1 - \alpha}(n-1)}$
Если $H_0$ верна, то статистика $\chi^2 \sim \chi^2(n-1)$, т.е. статистика $\chi^2$, когда верна основная гипотеза $H_0$, распределена по “хи-квадрат”, что и $\chi^2_0$, но число степеней свободы составляет n - 1 вместо n.
Используя теорему о сложении “хи-квадрат” распределений, и то, что $\chi^2 \sim \chi^2(n)$, а $Z_0 = \dfrac {\sqrt n(\bar X - \mu)}{\sigma_0} \sim N(0,1)$ и $Z_0^2 \sim \chi(1)$ заключаем, что статистика $\chi^2$ имеет “хи-квадрат” распределение с n-1 степенями свободы.
Если $H_0$ верна, то $\chi^2 \sim \chi^2(n-1)$
$\chi^2 = \dfrac 1 {\sigma_0^2} \sum_{k=1}^n(X_k - \bar X)^2 = \dfrac {n-1} {\sigma_0^2} * \dfrac 1 {n-1} * \sum_{k=1}^n(X_k - \bar X)^2 = \dfrac {(n-1)s^2}{\sigma_0^2} \sim \chi^2(n-1)$
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\sigma) = 1- F_{\chi^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{1-\alpha} (n-1) )$  
$W = W(\sigma) = 1 - \beta = F_{\chi^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{1-\alpha} (n-1) )$
$\sigma \in \Theta_1 =(0; \sigma_0) $
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
Критерий для проверки $H_0$ против $H_1$ имеют уровень значимости $\alpha$.
$P_{H_0}(T(X_1, X_2, …, X_n) \in K_{\alpha}) = P_{H_0}(\dfrac 1 {\sigma_0^2} \sum_{k=1}^n(X_k - \bar X)^2 \in (0; \chi_{1 - \alpha}^2 (n-1)) = P_{H_0}(0 < \chi^2(n-1) < \chi_{1 - \alpha}^2 (n-1)) = P(\chi^2(n-1)>0) - P(\chi^2(n-1) > \chi_{1 - \alpha}^2(n-1)) = 1 - (1 - \alpha) = \alpha$
$pv = P_{H_0}(T(X_1, X_2, …, X_n) < \chi_{набл}^2) =  P_{H_0}(\dfrac 1 {\sigma_0^2} \sum_{k=1}^n(X_k - \bar X)^2 < \chi_{набл}^2) = P_{H_0}(\chi^2(n-1) < \chi_{набл}^2) = F_{\chi^2(n-1)}(\dfrac 1 {\sigma_0^2} \sum_{k=1}^n(X_k - \bar X)^2)$
$pv=P(\chi^2(k)<\chi^2_{\text{набл}})=\chi^2(n).cdf(\chi^2_{\text{набл}})$

"""

_q16 = r"""
По выборке $X_1, X_2, . . . , X_n$ объема n из нормального закона распределения N(µ; σ^2 ), когда µ = E(X) – неизвестно, проверяется на уровне значимости α основная гипотеза H_0 : σ = σ_0 против альтернативной гипотезы $H_1 : σ \neq σ_0$. 1) Приведите необходимую статистику критерия и критическое множество для проверки H0 против H1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия. \
1)Статистика $\chi^2$ = $\dfrac{1}{\sigma_0^2}$ $\sum\limits_{k=1}^{n}(X_k - \overline{X})^2$    
Критическое множество $K_\alpha = \{(x_1, . . ., x_n): 0 < \chi^2 < \chi_{1-\dfrac{\alpha}{2}}^2(n - 1)\cup \chi^2 > \chi_{\dfrac{\alpha}{2}}^2(n - 1)\}$    
2)Если $H_0 - верна, то \chi^2 \sim \chi^2(n - 1)$     
Док-во: $\chi^2 = \dfrac{1}{\sigma_0^2}\sum\limits_{k=1}^{n}(X_k - \overline{X})^2 = \dfrac{n - 1}{\sigma_0^2} \dfrac{1}{n - 1}\sum\limits_{k=1}^{n}(X_k - \overline{X})^2 = \dfrac{(n - 1)S^2}{\sigma_0^2} \sim $(по т. Фишера)$ \chi^2(n - 1)$    
$P_{H_0}(T(X_1, ..., X_n) \in K_\alpha) = P_{H_0}(\dfrac{1}{\sigma_0^2}\sum\limits_{k=1}^{n}(X_k - \overline{X})^2\in (0; \chi_{1-\dfrac{\alpha}{2}}^2(n - 1)) \cup (\chi_{\dfrac{\alpha}{2}}^2(n - 1); +\infty)) = P_{H_0}(0 < \chi^2(n - 1) < \chi_{1-\dfrac{\alpha}{2}}^2(n - 1)) + P_{H_0}(\chi^2(n - 1) > \chi_{\dfrac{\alpha}{2}}^2(n - 1)) = P(\chi^2(n-1)>0) - P(\chi^2(n-1)>\chi_{1-\dfrac{\alpha}{2}}^2(n - 1)) + \dfrac{\alpha}{2} = 1 - 1 + \dfrac{\alpha}{2} + \dfrac{\alpha}{2} = \alpha$  
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\sigma) = F_{\chi^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{\dfrac{\alpha}{2} }(n-1) ) - F_{\chi^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{1-\dfrac{\alpha}{2}} (n-1) )$  
$W = W(\sigma) = 1 - \beta = 1 - [F_{\chi^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{\dfrac{\alpha}{2}} (n-1) ) - F_{\chi^2} (\dfrac {\sigma_0^2}{\sigma^2} \chi^2_{1-\dfrac{\alpha}{2}} (n-1) )]$
$\sigma \in \Theta_1 =(0; \sigma_0)\cup(\sigma_0; +\infty) $
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
3)$PV = 2min\{P_{H_0}(T(X_1, ..., X_n) < \chi_{набл}^2); P_{H_0}(T(X_1, ..., X_n) > \chi_{набл}^2)\} = 2min\{P(\chi^2(n - 1) < \chi_{набл}^2); P(\chi^2(n - 1) > \chi_{набл}^2)\} = 2min\{F_{\chi^2(n-1)}(\dfrac{1}{\sigma_0^2}\sum\limits_{k=1}^{n}(X_k - \overline{X})^2); 1 - F_{\chi^2(n-1)}(\dfrac{1}{\sigma_0^2}\sum\limits_{k=1}^{n}(X_k - \overline{X})^2)\}$
$pv=2\min{(p_1, p_2)}$
"""

_q17 = r"""
По двум независимым выборкам $X_1, X_2, . . . , X_n$ объема n из $N(µ_X; σ^2 _X)$ и $Y_1, Y_2, . . . , Y_m$ объема m из $N(µ_Y ; σ^2_Y )$, когда σ^2_X = Var(X) и σ^2_Y = Var(Y ) – известны, проверяется на уровне значимости α основная гипотеза H_0 : µ_X = µ_Y против альтернативной гипотезы H_1 : µ_X > µ_Y . 1) Приведите необходимую статистику критерия и критическое множество для проверки H_0 против H_1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия. 

1)Статистика $Z=\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}$    
Критическое множество $K_\alpha = \{(x_1, x_2, ..., x_n, y_1, y_2, ..., y_m) \in \mathbb{R}^{n+m}: \overline{x} - \overline{y} > z_\alpha\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}\}$   или $z > z_\alpha$  
2)a)Если $H_0$ - верна, то статистика Z $\sim$ Norm(0; 1)    
Док-во: 1)$\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}$ - линейная комбинация от нормальных независимых с.в. $X_1, ..., X_n, Y_1, ..., Y_m$    
2)$E(\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}) = \dfrac{1}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}E(\overline{X} - \overline{Y}) = \dfrac{\mu_x - \mu_y}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}} = (т.к. H_0$ верна, то есть$ \mu_x = \mu_y) = 0$  
3)$Var(\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}) = \dfrac{1}{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}(Var(\overline{X}) + Var(\overline{Y})) = \dfrac{1}{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}(\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}) = 1$  
Из 1,2,3 => $\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}} \sim Norm(0;1)$  
b)$P_{H_0}((X_1, ..., Y_m) \in K_{\alpha}) = P_{H_0}(\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}} > z_{\alpha}) = P(z>z_{\alpha}) = \alpha$  
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\Delta) = \dfrac {1}{2} + Ф_0(z_\alpha - \dfrac {\sqrt{nm}}{\sqrt{m\sigma_X^2+n\sigma_Y^2}}\Delta)$  
$W = W(\Delta) = 1 - \beta = \dfrac {1}{2} - Ф_0(z_\alpha - \dfrac {\sqrt{nm}}{\sqrt{m\sigma_X^2+n\sigma_Y^2}}\Delta) $
$\Delta = \mu_X - \mu_Y, \Delta \in \Theta_1 =(0; +\infty)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
3)$PV = P_{H_0}((X_1,..., Y_m) > z_{набл}) = P_{H_0}(\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}} > z_{набл}) = P(Z > z_{набл}) = 1 - P(Z <= z_{набл}) = 1/2 - Ф_0(\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}})$  
$Z \sim Norm(0;1)$
"""

_q18 = r"""
По двум независимым выборкам $X_1, X_2, . . . , X_n$ объема n из $N(µ_X; σ^2_X)$ и $Y_1, Y_2, . . . , Y_m$ объема m из $N(µ_Y ; σ^2_Y )$, когда $σ^2_X = Var(X)$ и $σ^2_Y = Var(Y )$ – известны, проверяется на уровне значимости α основная гипотеза $H_0 : µ_X = µ_Y$ против альтернативной гипотезы $H_1 : µ_X \neq µ_Y$ . 1) Приведите необходимую статистику критерия и критическое множество для проверки H0 против H1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия.

1)Статистика $Z=\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}$    
Критическое множество $K_\alpha = \{(x_1, x_2, ..., x_n, y_1, y_2, ..., y_m) \in \mathbb{R}^{n+m}: |\overline{x} - \overline{y}| > z_{\dfrac{\alpha}{2}}\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}\}$  или $|z| >z_{\dfrac {\alpha}{2}} $
2)a)Если $H_0$ - верна, то $\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}$ $\sim$ Norm(0; 1)    
Док-во: 1)$\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}$ - линейная комбинация от нормальных независимых с.в. $X_1, ..., X_n, Y_1, ..., Y_m$    
2)$E(\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}) = \dfrac{1}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}E(\overline{X} - \overline{Y}) = \dfrac{\mu_x - \mu_y}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}} = (т.к. H_0$ верна, то есть$ \mu_x = \mu_y) = 0$  
3)$Var(\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}}) = \dfrac{1}{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}(Var(\overline{X}) + Var(\overline{Y})) = \dfrac{1}{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}(\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}) = 1$  
Из 1,2,3 => $\dfrac{\overline{X} - \overline{Y}}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}} \sim Norm(0;1)$  
b)$P_{H_0}((X_1,..., Y_m) \in K_{\alpha}) = P_{H_0}(\dfrac{|\overline{X} - \overline{Y}|}{\sqrt{\dfrac{\sigma_X^2}{n} + \dfrac{\sigma_Y^2}{m}}} > z_{\dfrac{\alpha}{2}}) = P(|z|>z_{\dfrac{\alpha}{2}}) = P(z>z_{\dfrac{\alpha}{2}}) + P(z<-z_{\dfrac{\alpha}{2}}) = \dfrac{\alpha}{2} + \dfrac{\alpha}{2} = \alpha$  
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\Delta) = Ф_0(z_{\dfrac{\alpha}{2}} - \dfrac {\sqrt{nm}}{\sqrt{m\sigma_X^2+n\sigma_Y^2}}\Delta) + Ф_0(z_{\dfrac{\alpha}{2}} + \dfrac {\sqrt{nm}}{\sqrt{m\sigma_X^2+n\sigma_Y^2}}\Delta)$  
$W = W(\Delta) = 1 - \beta = 1-[Ф_0(z_{\dfrac{\alpha}{2}} - \dfrac {\sqrt{nm}}{\sqrt{m\sigma_X^2+n\sigma_Y^2}}\Delta) + Ф_0(z_{\dfrac{\alpha}{2}} + \dfrac {\sqrt{nm}}{\sqrt{m\sigma_X^2+n\sigma_Y^2}}\Delta)] $
$\Delta = \mu_X - \mu_Y, \Delta \in \Theta_1 =(-\infty; 0)\cup(0; +\infty)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
3)$PV = 2min\{P(Z < Z_{набл}); P(Z > Z_{набл})\} = P_{H_0}(|Z| > |z_{набл}|) = 1 - P_{H_0}(|Z| <= |z_{набл}|) = 1 - P_{H_0}(-|z_{набл}|<= Z <= |z_{набл}|) = 1 - Ф_0(|z_{набл}|) - Ф_0(|z_{набл}|) = 1 - 2Ф_0(|z_{набл}|) = 2(1 - Ф(|z_{набл}|))$
"""

_q19 = r"""
По двум независимым выборкам $X_1, X_2, . . . , X_n$ объема n из $N(µ_X; σ^2_X)$ и $Y_1, Y_2, . . . , Y_m$ объема m из $N(µ_Y ; σ^2_Y )$ c неизвестными, но равными дисперсиями $σ^2_X = σ^2_Y = σ^2$ , проверяется на уровне значимости α основная гипотеза $H_0 : µ_X = µ_Y$ против альтернативной гипотезы $H_1 : µ_X > µ_Y$ . 1) Приведите необходимую статистику критерия и критическое множество для проверки H0 против H1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия. 

1)Статистика $T=\dfrac{\overline{X} - \overline{Y}}{s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}}$ , где $s_p^2=\dfrac{\sum\limits_{k=1}^{n}(X_k - \overline{X})^2 + \sum\limits_{k=1}^{n}(Y_k - \overline{Y})^2}{n + m - 2}$  
Критическое множество $K_{\alpha} = \{(x_1,...,y_m) \in \mathbb{R}^{n+m}: \overline{x} - \overline{y} > s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}t_{\alpha}(n + m - 2)\}$  
2)a)Если H0 верна, то статистика T $\sim t(n + m - 2)$  
Док-во: 1)$T = \dfrac{\overline{X} - \overline{Y}}{s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}} = \dfrac{\dfrac{\overline{X} - \overline{Y}}{\sigma\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}}}{\dfrac{s_p}{\sigma}} = \dfrac{z_0}{\sqrt{\dfrac{(n+m-2)s_p^2}{\sigma^2(n+m-2)}}} $  
2)$z_0 \sim Norm(E(z_0), Var(z_0)); E(z_0) = \dfrac{\mu_x - \mu_y}{\sigma\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}}=(\mu_x = \mu_y)=0; Var(z_0)=1; z_0 \sim Norm(0, 1)$  
3)$\dfrac{(n+m-2)s_p^2}{\sigma^2} = \sum\limits_{k=1}^{n}(\dfrac{X_k - \overline{X}}{\sigma})^2 + \sum\limits_{k=1}^{n}(\dfrac{Y_k - \overline{Y}}{\sigma})^2 = \chi^2(n - 1) + \chi^2(m - 1) = \chi^2(n + m - 2)$  
из 1, 2, 3: $T = \dfrac{Norm(0;1)}{\sqrt{\dfrac{\chi^2(n+m-2)}{n+m-2}}} \sim t(n + m - 2)$  
б)$P_{H_0}((X_1, ..., Y_m) \in K_{\alpha}) = P_{H_0}(\dfrac{\overline{X} - \overline{Y}}{s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}} > t_{\alpha}(n+m-2)) = P(T>t_{\alpha}(n+m-2)) = \alpha$  
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\Delta) =G_{n+m-2, \delta}(t_\alpha(n+m-2)) $  
$W = W(\Delta) = 1 - \beta = 1-G_{n+m-2, \delta}(t_\alpha(n+m-2))$
$\delta = \dfrac{\mu_X - \mu_Y}{\sigma \sqrt{1/n + 1/m}} > 0, \Delta = \mu_X - \mu_Y, \Delta \in \Theta_1 =(0; +\infty) $
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
3)$PV = P_{H_0}((X_1,...,Y_m) > (x_1,...,y_m)) = P(\dfrac{\overline{X} - \overline{Y}}{s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}} > t_{набл}) = P(t(n + m - 2) > t_{набл}) = 1 - F_{t(n + m - 2)}(\dfrac{\overline{x} - \overline{y}}{s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}})$

"""

_q20 = r"""
По двум независимым выборкам $X_1, X_2, . . . , X_n$ объема n из $N(µ_X; σ 2_X)$ и $Y_1, Y_2, . . . , Y_m$ объема m из $N(µ_Y ; σ^2_Y )$ c неизвестными, но равными дисперсиями $σ^2_X = σ^2_Y = σ^2$ , проверяется на уровне значимости α основная гипотеза $H_0 : µ_X = µ_Y$ против альтернативной гипотезы $H1 : µ_X \neq µ_Y$ . 1) Приведите необходимую статистику критерия и критическое множество для проверки H0 против H1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия

1)Статистика $T=\dfrac{\overline{X} - \overline{Y}}{s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}}$ , где $s_p^2=\dfrac{\sum\limits_{k=1}^{n}(X_k - \overline{X})^2 + \sum\limits_{k=1}^{n}(Y_k - \overline{Y})^2}{n + m - 2}$  
Критическое множество $K_{\alpha} = \{(x_1,...,y_m) \in \mathbb{R}^{n+m}: |\overline{x} - \overline{y}| > s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}t_{\dfrac{\alpha}{2}}(n + m - 2)\}$  
2)a)Если H0 верна, то статистика T $\sim t(n + m - 2)$  
Док-во: 1)$T = \dfrac{\overline{X} - \overline{Y}}{s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}} = \dfrac{\dfrac{\overline{X} - \overline{Y}}{\sigma\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}}}{\dfrac{s_p}{\sigma}} = \dfrac{z_0}{\sqrt{\dfrac{(n+m-2)s_p^2}{\sigma^2(n+m-2)}}} $  
2)$z_0 \sim Norm(E(z_0), Var(z_0)); E(z_0) = \dfrac{\mu_x - \mu_y}{\sigma\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}}=(\mu_x = \mu_y)=0; Var(z_0)=1; z_0 \sim Norm(0, 1)$  
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\Delta) =  G_{n+m-2, \delta}(t_{\dfrac{\alpha}{2}}(n+m-2)) - G_{n+m-2, \delta}(-t_{\dfrac{\alpha}{2}}(n+m-2))$  
$W = W(\Delta) = 1 - \beta = 1 - [G_{n+m-2, \delta}(t_{\dfrac{\alpha}{2}}(n+m-2)) - G_{n+m-2, \delta}(-t_{\dfrac{\alpha}{2}}(n+m-2))]$
$\delta = \dfrac{\mu_X - \mu_Y}{\sigma \sqrt{1/n + 1/m}} > 0, \Delta = \mu_X - \mu_Y, \Delta \neq 0$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
3)$\dfrac{(n+m-2)s_p^2}{\sigma^2} = \sum\limits_{k=1}^{n}(\dfrac{X_k - \overline{X}}{\sigma})^2 + \sum\limits_{k=1}^{n}(\dfrac{Y_k - \overline{Y}}{\sigma})^2 = \chi^2(n - 1) + \chi^2(m - 1) = \chi^2(n + m - 2)$  
из 1, 2, 3: $T = \dfrac{Norm(0;1)}{\sqrt{\dfrac{\chi^2(n+m-2)}{n+m-2}}} \sim t(n + m - 2)$  
б)$P_{H_0}((X_1, ..., Y_m) \in K_{\alpha}) = P_{H_0}(\dfrac{|\overline{X} - \overline{Y}|}{s_p\sqrt{\dfrac{1}{n} + \dfrac{1}{m}}} > t_{\dfrac{\alpha}{2}}(n+m-2)) = P(T<-t_{\dfrac{\alpha}{2}}(n+m-2))+ P(T>t_{\dfrac{\alpha}{2}}(n+m-2)) = \dfrac{\alpha}{2} + \dfrac{\alpha}{2} = \alpha$  
3)$PV=2min\{P(T < t_{набл}); P(T > t_{набл})\} = P_{H_0}(|T| > |t|) = 1 - P_{H_0}(|T| <= |t|) = 1 - P_{H_0}(-|t| <= T <= |t|) = 1 - (F_{T}(|t|) - F_{T}(-|t|)) = 1 - 2P(0<=T<=|t|) = 1 - 2(F_{T}(|t|) - F_{T}(0)) = 2(1 - F_{t(n+m-2)}(|t|))$

"""

_q21 = r"""
По двум независимым выборкам  $X_1, X_2, . . . , X_n$ объема n из $N(µ_X; σ 2_X)$ и $Y_1, Y_2, . . . , Y_m$ объема m из $N(µ_Y ; σ^2_Y )$ c неизвестными и не равными дисперсиями, проверяется на уровне значимости α основная гипотеза $H_0 : µ_X = µ_Y $против альтернативной гипотезы $H_1 : µ_X \neq µ_Y$ (проблема БеренсаФишера). 1) Приведите статистику критерия Уэлча и критическое множество для проверки H0 против H1. 2) Приведите основное свойство статистики критерия. 3) Приведите (с выводом) выражение для P-значения критерия. 

1. Рассмотрим статистику Уэлча: $T_w = \frac{\bar{X} - \bar{Y}}{\sqrt{\frac{Σ^n(X_k - \bar{X})^2}{n(n-1)} + \frac{Σ^m(Y_k - \bar{Y})^2}{m(m-1)}}}$
$K_α: |t_w| > s_w t_{\dfrac{\alpha}{2}}(\hat{df}) или |\overline{x} - \overline{y}| > s_w t_{\dfrac{\alpha}{2}}(\hat{df})$, где $t_{\frac{α}{2}}(\hat{f})$ - процентная точка Стьюдента с дробным числом степеней свободы
$s_w^2 = \dfrac{s_x^2}{n} + \dfrac {s_Y^2}{m}$, где числители это несмещенные оценки $\sigma_X^2$ и $\sigma_Y^2$соответственно.
$\hat{df} = \frac{(\frac{s^2_x}{s^2_y} + \frac{n}{m})^2}{\frac{s^4_x}{s^4_y}\frac{1}{n-1} + (\frac{n}{m})^2\frac{1}{m-1}}$
2. Если H0 верна, то $T_w ≈ t(df)$. То есть статистика приближенно распределена по закону Стьюдента с числом степеней свободы df.
$df = \frac{(\frac{σ^2_x}{σ^2_y} + \frac{n}{m})^2}{\frac{σ^4_x}{σ^4_y}\frac{1}{n-1} + (\frac{n}{m})^2\frac{1}{m-1}}$
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta  = G_{f, \delta} (t_{\dfrac{\alpha}{2}}(f)) - G_{f, \delta} (-t_{\dfrac{\alpha}{2}}(f))  $  
$W = 1 - \beta = 1 - [G_{f, \delta} (t_{\dfrac{\alpha}{2}}(f)) - G_{f, \delta} (-t_{\dfrac{\alpha}{2}}(f)) ]$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1 $\beta(H_0) = \beta^\prime(H_0)$
2 $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
3. \
$t_w$ - наблюдаемое знач.
$PV = P_{H_0} (|T_w| > |t_w|) = 1 - P_{H_0} (|T_w| \le |t_w|) = | T_w ≈ t(\hat{df})| = 1 - P(-|t_w|\le T_w \le |t_w|) = 1 - [F_{T_w}(|t_w|) - F_{T_w}(-|t_w|) ] = 2[1- F_{T_w}(|t_w|)]= 2- [1 - stats.t.cdf(|t_w|)]$  
$F_{T_w}(x) = P(T_w \le x)$

"""

_q22 = r"""
По двум независимым выборкам $X_1, X_2, . . . , X_n$ объема n из $N(µ_X; σ 2_X)$ и $Y_1, Y_2, . . . , Y_m$ объема m из $N(µ_Y ; σ^2_Y )$ проверяется на уровне значимости α основная гипотеза $H_0 : σ^2_X = σ^2_Y$ против альтернативной гипотезы $H_1 : σ^2_X > σ^2_Y$ . 1) Приведите необходимую статистику критерия и критическое множество для проверки H0 против H1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия. 

1. Рассмотрим F-статистику: $t(X_1, …, X_n, Y_1, …, Y_m) = \frac{\frac{Σ^n(X_k - \bar{X})^2}{n-1}}{\frac{Σ^m(Y_k - \bar{Y})^2}{m-1}}$ 
Числитель и знаменатель являются исправленными выборочными дисперсиями.
$K_α = \{(x_1, …,y_m) \in R^{n+m}:\frac{s^2_1}{s^2_2}> f_α(k_1-1; k_2-1) \}$
$s^2_1 = max\{s^2_x;s^2_y\}, s^2_2 = min\{s^2_x;s^2_y\}$
2. Свойства
(1) Если H0 - верна, то $\frac{s^2_x}{s^2_y} \sim F(n-1; m-1)$.
Док-во: $\frac{s^2_x}{s^2_y}=\frac{\frac{n-1}{σ}s^2_x\frac{1}{n-1}}{\frac{m-1}{σ}s^2_y\frac{1}{m-1}}=\frac{\chi^2(n-1)}{\chi^2(m-1)} \cdot \frac{m-1}{n-1} =^{def}F ∼ F(n-1;m-1)$
(2) $P_{H0} (F(X_1, …, X_n, Y_1, …, Y_m) ∊ K_α) = α$
Док-во: $P( \frac{s^2_x}{s^2_y} > f_α(n-1; m-1) ) = P(F_{n-1; m-1} > f_α(n-1; m-1)) = α$
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\lambda) = F_\eta (\lambda f_\alpha(n-1; m-1)) $  
$W = W(\lambda) = 1 - \beta = 1 - F_\eta (\lambda f_\alpha(n-1; m-1))$
$\lambda = \dfrac {\sigma_Y^2}{\sigma_X^2} <1, \eta \sim F(n-1; m-1), \lambda \in \Theta_1 = (0;1)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
3. $PV = P_{H0} (F > F_{набл}) = 1 - P(F <= F_{набл}) = 1 - F_{F(n-1; m-1)} (\frac{s^2_x}{s^2_y})$

"""

_q23 = r"""
По двум независимым выборкам  $X_1, X_2, . . . , X_n$ объема n из $N(µ_X; σ 2_X)$ и $Y_1, Y_2, . . . , Y_m$ объема m из $N(µ_Y ; σ^2_Y )$ проверяется на уровне значимости α основная гипотеза $H_0 : σ^2_X = σ^2_Y$ против альтернативной гипотезы $H_1 : σ^2_X 6= σ^2_Y$ . 1) Приведите необходимую статистику критерия и критическое множество для проверки H0 против H1. 2) Приведите (с доказательством) основные свойства критерия. 3) Приведите (с выводом) выражение для P-значения критерия.

1. Рассмотрим F-статистику: $t(X_1, …, X_n, Y_1, …, Y_m) = \frac{\frac{Σ^n(X_k - \bar{X})^2}{n-1}}{\frac{Σ^m(Y_k - \bar{Y})^2}{m-1}}$Числитель и знаменатель являются исправленными выборочными дисперсиями.
$K_α = \{(x_1, …,y_m) \in R^{n+m}:\frac{s^2_1}{s^2_2}> f_{\dfrac{\alpha}{2}}(k_1-1; k_2-1) \}$
$s^2_1 = max\{s^2_x;s^2_y\}, s^2_2 = min\{s^2_x;s^2_y\}$
2.
(1) Если H0 верна, то $\frac{s^2_x}{s^2_y} \sim F(n-1; m-1)$.
$\frac{s^2_x}{s^2_y}=\frac{\frac{n-1}{σ}s^2_x\frac{1}{n-1}}{\frac{m-1}{σ}s^2_y\frac{1}{m-1}}=\frac{\chi^2(n-1)}{\chi^2(m-1)} \cdot \frac{m-1}{n-1} =^{def}F ∼ F(n-1;m-1)$
(2) $P_{H0} (F(X_1, …, X_n, Y_1, …, Y_m) ∈ K_α) = α$
$P(\frac{s^2_x}{s^2_y} ∈ (0, f_{1-α/2}(n-1; m-1) \lor (f_{α/2}(n-1; m-1), +∞)) = P(F < f_{1-α/2}) + P(F > f_{α/2}) = 1 - P(F > f_{1-α/2}) + P(F > f_{α/2}) = 1 - 1 + α/2 + α/2 = 2α/2 = α$
Свойства:
1) Мощность критерия - вероятность отклонить гипотезу $H_0$, если на самом деле верна альтернативная гипотеза.
В нашем случае вероятность ошибки второго рода и мощность критерия:
$\beta = \beta(\lambda) = F_\eta (\lambda f_{\dfrac{\alpha}{2}}(n-1; m-1)) - F_\eta (\lambda f_{1-\dfrac{\alpha}{2}}(n-1; m-1)) $  
$W = W(\lambda) = 1 - \beta = 1 - [F_\eta (\lambda f_{\dfrac{\alpha}{2}}(n-1; m-1)) - F_\eta (\lambda f_{1-\dfrac{\alpha}{2}}(n-1; m-1))]$
$\lambda = \dfrac {\sigma_Y^2}{\sigma_X^2} \neq 1, \eta \sim F(n-1; m-1), \lambda \in \Theta_1 = (0;1)\cup (1; +\infty)$
2) Несмещенный критерий: $1 - \beta (H) \geq \alpha$ для всех альтернатив H
3) Состоятельный критерий: $\beta(H) → 0$ при $m→ \infty$ для всех альтернатив Н
4) Равномерно более мощный критерий. Критерий с мощностью $1 - \beta(H)$ является равномерно более мощным, чем критерий с мощностью $1 - \beta^\prime(H)$, если выполняются 2 условия:
1. $\beta(H_0) = \beta^\prime(H_0)$
2. $\beta(H_1) \le \beta^\prime(H_1)$ для всех рассматриваемых альтернатив $H_1 \neq H_0$, причем хотя бы для одной альтернативы неравенство строгое.
3.
$F(...) = F (X_1, …, X_n, Y_1, …, Y_m)
PV = 2 min\{ P_{H0} (F(...) > F_{набл}); P_{H0} (F(...) < F_{набл}) \} = 2 min\{ 1 - P(F \le F_{набл}); P(F \le F_{набл})\} = 2min\{ 1 - F_{F(n-1; m-1)} (\frac{s^2_x}{s^2_y}); F_{F(n-1; m-1)} (\frac{s^2_x}{s^2_y})\}$
"""

_q24 = r"""
По двум независимым выборкам  $X_1, X_2, . . . , X_n$ объема n из $N(µ_X; σ 2_X)$ и $Y_1, Y_2, . . . , Y_m$ объема m из $N(µ_Y ; σ^2_Y )$ c неизвестными, но равными дисперсиями $σ^2_X = σ^2_Y = σ^2$ , проверяется на уровне значимости α основная гипотеза $H_0 : µ_X = µ_Y$ против альтернативной гипотезы $H_1 : µ_X \neq µ_Y$ Приведите необходимую статистику F – критерия однофакторного дисперсионного анализа и критическое множество для проверки H0 против H1. 2) Приведите (с выводом и необходимыми пояснениями в обозначениях) обоснование равенства процентных точек fα(1; n + m − 2) распределения Фишера и t 2 α 2 (n + m − 2) распределения Стьюдента с n + m − 2 свободы.


1. При данных условиях F-критерий однофакторного дисперсионного анализа эквивалентен T-критерию для проверки $H_0$ против $H_1$ 
При $k=2; n_1=n; n_2=m$
 $F-отношение = \frac{SSTR/(k-1)}{ SSE / (n_1+n_2-k)} = \frac{SSTR}{ SSE / (n+m-2)}$
 $SSTR = n_1(\overline{X_1} - \overline{X})^2 + n_2(\overline{X_2} - \overline{X})^2 = n(\overline{X} - \dfrac {1} {n+m}(n\overline{X}+ m\overline{Y}))^2+m(\overline{Y} - \dfrac {1} {n+m}(n\overline{X}+ m\overline{Y}))^2 = n(\dfrac {m(\overline{X}-\overline{Y})}{n+m})^2+m(\dfrac {n(\overline{X}-\overline{Y})}{n+m})^2 = \dfrac{nm}{n+m}(\overline{X}-\overline{Y})^2$
 $SSE = (n_1-1)s_1^2 +(n_2-1)s_2^2=(n+m-2)s_p^2$, где 
 $s^2_p= \frac{(n-1)s^2_x + (m-1)s^2_y}{n+m-2}$
$=> F= \frac{(\bar{X} - \bar{Y})^2}{s^2_p (1/n + 1/m)} = T^2$ - T-статистика в квадрате.
$K_α^\prime = \{x_{ij} = (x_1, …, x_n, y_1, …, y_m):F > f_α(1; n+m-2) \}$
2.  Пусть Q=n+m-2
$P(F > f_α(1; n+m-2)) = P(\frac{χ^2(1) \cdot Q}{χ^2(Q)} > f_α(1; Q))=$
 = $P (\frac{Z^2}{\frac{1}{Q}Σ(Z^2_k)} > f_α(1; Q))$ =
 $=P(\frac{|Z|}{\sqrt{\frac{1}{Q}Σ(Z^2_k)}}) > \sqrt{f_α(1, Q)})=$
 
 = $P(-\sqrt{f_α(1, Q)} < \frac{Z}{\sqrt{\frac{1}{Q}Σ(Z^2_k)}}) < \sqrt{f_α(1, Q)})=$
 
 = $P( -\sqrt{f_α(1, Q)} < t \sim t(Q) < \sqrt{f_α(1, Q)}) =\alpha  ⇒ \text{в силу монотонности } F_t^{-1}(x),  
 \sqrt{f_α(1, Q)}= t_{\dfrac{\alpha}{2}}(Q)=> $
 
 $t_{α/2}(Q) ⇒ P(-t_{α/2}(Q) < t < t_{α/2}(Q)) = α$
$=> f_α (1; n+m-2) = t^2_{\dfrac{α}{2}} (n+m-2)$
"""

mas = []

loc = locals()
count = 1
while True:
    name = f"_q{count}"
    if name not in loc:
        break
    mas.append(loc[name])
    count += 1
