_q1 = r"""
Пусть $X_1, X_2, . . . , X_6$ – выборка из равномерного распределения на отрезке [5; 8], $\hat F(x)$ – соответствующая выборочная функция распределения. Найдите: а) вероятность $P(\hat F(6) = \hat F(8))$ ; б) вероятность $P(\hat F(7) = \frac 1 2)$  

а) Если вероятность значения быть меньше 6 и меньше 8 одинакова, значит нужно найти вероятность, при которой х ни в одном из 6 испытаний не принимает значения в интервале [6;8]

$P({\hat F(6) = \hat F(8)}) = [P(X \notin [6;8])]^6 = [1 - P(X \in [6;8])]^6 = (1 - \dfrac{8 - 6}{8 - 5})^6 = (\frac 1 3)^6 = 0,0013717421124828627$

б) Рассмотрим с.в. $Y = 6 \cdot \hat F(7)$ \
$n = 6$  
$p = \dfrac{7-5}{8-5} = \frac 2 3$ \
$Y \sim Bin(6,\frac 2 3)$

Таким образом, 
$P(\hat F(7) = \frac 1 2) = P( 6 \cdot \hat F(7) = 6 \cdot \frac 1 2) = P(Y = 3) = C_n^k * p^k * (1-p)^{n-k}$

n = 6 \
p = 2/3 \
k = 3 \
P_b = math.comb(n, k) * p ** k * (1 - p) ** (n - k) \
P_b  
или  
Y = sts.binom(n, p) \
Y.pmf(k)
"""

_q2 = r"""
Имеется выборка $X_1, X_2, . . . , X_n$ объема n из генеральной совокупности с функцией распределения F(x). Найдите функции распределения экстремальных статистик $X_{(1)}$ и $X_{(n)}$ 

$X_{(1)} = min(X_1, ..., X_n)$ и $X_{(n)} = max(X_1, ..., X_n)$ - экстремальные статистики

Функция распределения $X_{(n)}$:
$F_{X_{(n)}}(x) = P(X_{(n)} \le x) = P(max(X_1, ..., X_n) \le x) = P(X_1 \le x, ..., X_n \le x) = P(X_1 \le x) *  ...  * P(X_n \le x) = F(x) * ... * F(x) = F^n(x)$

Функция распределения X_{(1)}:
$F_{X_{(1)}}(x) = P(X_{(1)} \le x) = P(min(X_1, ..., X_n) \le x) = 1 -P(min(X_1, ..., X_n) > x) = 1 - (1 - F(x))^n$

"""

_q3 = r"""
Пусть X и Y – две независимые несмещенные оценки параметра $\theta$ с дисперсиями $σ^2$ и $4σ^2$ соответственно. a) Является ли $X^2$ несмещенной оценкой параметра $θ^2$? б) Является ли Z = X · Y несмещенной оценкой параметра $θ^2$? 

а) $E(X^2) = Var(X) + E^2(X) = \sigma^2 + \theta^2 \Rightarrow E_{X^2}(\hat \theta) = E(X^2) = \theta^2 + \sigma^2 \Rightarrow X^2$ не является несмещенной оценкой параметра $\theta^2$ 
б) $E(Z) = E(X \cdot Y) = E(X) \cdot E(Y) = \theta \cdot \theta = \theta^2 \Rightarrow Z$ является  несмещенной оценкой параметра $\theta^2$

"""

_q4 = r"""
Пусть $\hat θ = T(X_1, ..., X_n)$ оценка параметра $θ$, а $b = (E[\hat θ] − θ)$ – смещение. Доказать формулу $\Delta = Var(\hat θ) + b^2$ , где $\Delta = E[(\hat θ − θ)^2]$ – среднеквадратичная ошибка оценки.

$E[(\hat \theta - \theta)^2] = E[\hat \theta^2 - 2\hat \theta \theta + \theta^2] = E[\hat \theta^2] - 2 \theta E[\hat \theta] + \theta^2 = Var(\hat \theta) + (E[\hat \theta] - \theta)^2 =Var(\hat \theta) + b^2 = \Delta$ чтд

или
$Var(\hat{\theta}) = E(\theta^2) - E^2(\hat{\theta})$
$Var(\hat{\theta}) + b^2 = E(\hat{\theta^2}) - E^2(\hat{\theta}) + (E(\hat{\theta}) - \theta)^2 = E(\hat{\theta^2}) - E^2(\hat{\theta}) +E^2(\hat{\theta}) - 2 \theta E(\hat{\theta}) + \theta^2 = E(\hat{\theta^2}) - 2 \theta E(\hat{\theta}) + E(\theta^2) = E(\hat{\theta^2} - 2 \theta \hat{\theta} + \theta^2) = E((\hat{\theta} - \theta)^2) $

"""

_q5 = r"""
Пусть $X_1, X_2$ – выборка объема 2 из некоторого распределения с генеральным средним $θ = E(X)$ и дисперсией $σ^2 = Var(X)$. В качестве оценки параметра $θ$ используется оценка вида $\hat θ = aX_1+2aX_2$. Известно отношение $\frac {σ^2}{θ^2} = \frac 3 5$. Найдите оценку с наименьшей среднеквадратической ошибкой. Является ли эта оценка несмещенной? 
$E(aX_1+2aX_2) = aE(X_1) + 2aE(x_2) = 3a\theta$
$Var(\hat \theta) = Var(aX_1+ 2aX_2) = 5a^2Var(X) = 5a^2\sigma^2 = 3a\theta^2$ \
$E(\hat \theta) = 3aE(x) = 3a\theta$ \
1) $ \Delta = E[(\hat \theta - \theta)^2] = Var(\hat \theta) + [E(\hat \theta) - \theta]^2 = 3a^2\theta^2 + (3a\theta - \theta)^2 = (3a^2+ 9a^2 - 6a + 1) \cdot \theta^2 = (12a^2- 6a + 1) \cdot \theta^2 \rightarrow min$
$f = 12a^2- 6a + 1 \rightarrow min$ \
$f’ = 24a - 6 = 0$; $f_{min} = f(\frac 1 4) = 12 \cdot \frac 1 {16} - \frac 6 4 + 1 = \frac 1 4$ \
$\hat \theta = \frac {X_1} 4 + \frac {X_2} 2$ 
2) $\hat \theta = \frac {X_1} 4 + \frac {X_2} 2 \Rightarrow E(\hat \theta) = \frac 3 4 \cdot E(X_2) = \frac {3\theta} 4 \Rightarrow$  оценка с наименьшей среднеквадратической ошибкой не является несмещенной
"""

_q6 = r"""
Пусть X1, X2, . . . , Xn – выборка объема n из распределения L с моментами ν_1 = ν_1(X) = E(X), μ_2 = μ_2(X) = σ^2 = Var(X), μ_k = μ_k(X) = E[(X − E(X))^k], k = 3, 4. Покажите, что
a) $μ3(\bar X) = \dfrac{μ_3(X)}{n^2}\
b) μ_4(\bar X) = \dfrac{μ_4(X)}{n^3} + \dfrac{3(n − 1)}{n^3}μ_2^2(X)$


$\bar X = \dfrac{1}{n}\sum X_n - \text{с.в.}, Var(\bar X) = \dfrac{\sigma^2}{n}$
Т.к. $Var(\dfrac{1}{n}(X_1 + .. + X_n)) = \dfrac{1}{n^2} \sum Var(X_n) = \dfrac{\sigma^2}{n}$


$\mu_3(\dfrac{1}{n}(X_1 + .. + X_n))$


Th: X и Y - независимые с.в.


1) $\mu_3(X+Y) = \mu_3(X) + \mu_3(Y)$


2) $\mu_4(X+Y) = \mu_4(X) + \mu_4(Y) + 6Var(X)Var(Y)$


$\mu_3(X) = E[(X - E(X))^3](def)$


$\mu_3(\bar X) = \mu_3(\dfrac{1}{n}(X_1 + .. + X_n)) = \dfrac{1}{n^3}\sum \mu_3(X_n) = \dfrac{n\mu_3(X)}{n^3} = \dfrac{\mu_3(X)}{n^2}$


$\mu_4(\bar X) = \mu_4(\dfrac{1}{n}\sum X_n) = \dfrac{1}{n^4}\mu_4(\sum X_n) = \dfrac{1}{n^4}[n \mu_4(X) + 6 \mu_2^2(X)C_n^2] = \dfrac{1}{n^4}[n\mu_4(X) + 3n(n-1) - \mu_2^2(X)]$
"""

_q7 = r"""
Пусть $X_1, X_2, X_3$ – выборка из генерального распределения с математическим ожиданием µ и дисперсией $θ = σ^2$ . Рассмотрим две оценки параметра θ: a) $\hat θ_1 = c_1(X_1 − X_2)^2$ ; б) $\hat θ_2 = c_2[(X_1 − X_2)^2 + (X_1−X_3)^2+(X_2−X_3)^2 ]$. Найдите значения c_1 и c_2 такие, что оценки $\hat θ_1$ и $\hat θ_2$ являются несмещенными оценками параметра дисперсии σ^2 . 
а) $\hat\theta_1 = c_2 (X_1 - X_2)^2$  
$E[\hat\theta_{1}] = E[c_{1}(X_{1} - X_{2})^{2}] = c_{1}E[(X_{1} - X_{2})^{2}] = c_1(E[(X_1-X_2)^2] - E^2(X_1-X_2)) +c_1E^2(X_1-X_2)= c_1Var(X_1-X_2) + c_1\cdot 0 = c_1(\sigma^2+\sigma^2)\Rightarrow c_{1}=\dfrac{1}{2}$
б) $\hat{\theta_2} = c_2 [(X_1 - X_2)^2 + (X_1 - X_3)^2 + (X_2 - X_3)^2$  
$E(\hat{\sigma_2^2} = E(c_2[(X_1 - X_2)^2 + (X_1 - X_3)^2 + (X_2 - X_3)^2]) =^{\text{из пункта а}} \
с_2*[Var(X_1 - X_2) + Var(X_1 - X_3) + Var(X_2 - X_3)] = c_2 * [(\sigma^2 + \sigma^2) + (\sigma^2 + \sigma^2) + (\sigma^2 + \sigma^2)] = 6\sigma^2 c_2 => c_2 = \dfrac{1}{6}$

"""

_q8 = r"""
Пусть $X_1, X_2, X_3, X_4$ – выборка из N(θ; σ^2 ). Рассмотрим две оценки параметра θ: $\hat θ_1 = \dfrac {X_1+2X_2+3X_3+4X_4} {10} $,$\hat θ_2 = \dfrac {X_1+4X_2+4X_3+1X_4} {10} $. a) Покажите, что обе оценки являются несмещенными для параметра θ; б) Какая из этих оценок является оптимальной?
$1) \hat{\theta_1} = \dfrac{x_1+2x_2 + 3x_3 + 4x_4}{10}$  
$2) \hat{\theta_2} = \dfrac{x_1+4x_2 + 4x_3 + x_4}{10}$  
a) $E(\hat{\theta_1}) = E(\dfrac{x_1+2x_2 + 3x_3 + 4x_4}{10}) = \dfrac{1}{10}(E(X_1) + 2E(X_2) + 3E(X_3) + 4E(X_4)) = \dfrac{10}{10} * \theta = \theta => \text{несмещ. оценка параметра } \theta$  
$E(\hat{\theta_2}) = E(\dfrac{x_1+4x_2 + 4x_3 + x_4}{10}) = \dfrac{1}{10}(E(X_1) + 2E(X_2) + 3E(X_3) + 4E(X_4)) = \dfrac{10}{10} * \theta = \theta => \text{несмещ. оценка параметра } \theta$  
б) $\text{т.к. } \hat{\theta_1} \text{ и } \hat{\theta_2} \text{ несмещ. } => \text{ оптим. } \hat{\theta_i} = min$  
1) $Var_{\theta}(\hat{\theta_1}) = Var(\dfrac{x_1+2x_2 + 3x_3 + 4x_4}{10}) = \dfrac{1}{100}(Var(X_1) + 4Var(X_2) + 9Var(X_3) + 16Var(X_4) = \dfrac{3\sigma^2}{10}$  
2) $Var_{\theta}(\hat{\theta_2}) = Var(\dfrac{x_1+4x_2 + 4x_3 + x_4}{10}) = \dfrac{1}{100}(Var(X_1) + 16Var(X_2) + 16Var(X_3) + Var(X_4) = \dfrac{34\sigma^2}{100}$  
$\text{т.к. } Var(\hat{\Theta_1}) < Var(\hat{\Theta_2}) => \hat{\Theta_1} \text{- оптим. оценка}$

"""

_q9 = r"""
Пусть $X_1, X_2, . . . , X_n$ – выборка из генерального распределения и пусть θ = E(X), σ^2 = Var(X) – математическое ожидание и дисперсия. Рассмотрим следующие оценки параметра $\theta: \hat θ_1 = \dfrac{X_1+X_2} {2}$ ,
$\hat{θ_2} = \dfrac{X_1+X_n} 4 + \dfrac {X_2+...+X_{n−1}} {2(n−2)}$ , 
$\hat θ_3 = \overline X$. 
а) Будут ли эти оценки несмещенными для параметра θ? б) Какая из них является состоятельной для параметра θ? 
a) $E[\hat{\theta_1}] = \dfrac{1}{2}E[X_1 + X_2] = \dfrac{1}{2}[E[X_1]+E[X_2]] = \dfrac{2 \theta}{2} = \theta \text{ - несмещен. оценка}$ 
$E[\hat{\theta_2}] = \dfrac{1}{4}E[X_1 + X_n] + \dfrac{1}{2(n-2)}E[X_2 + \cdots  + X_{n-1}] = \dfrac{1}{4}*2*\theta + \dfrac{1}{2(n-2)} * (n-2) * \theta = \dfrac{\theta}{2} + \dfrac{\theta}{2} = \theta \text{ - несмещен.}$  
$E[\hat{\theta_3}] = \dfrac{1}{n}E[\sum_{k=1}^{n} X_k] = \dfrac{1}{n} * n * \theta \text{ - несмещ.}$  
б) $Var(\hat{\theta_1}) = \dfrac{1}{4} * Var(X_1 + X_2) = \text{ независимость } = \dfrac{1}{4} * 2 * \sigma^2 = \dfrac{\sigma^2}{2}$  
$Var({\hat{\theta_1}}) \underset{n-> ∞}{\rightarrow} \dfrac{\sigma^2}{2} \ne 0 \text{ => оценка не состоятельная} $  
$Var(\hat{\theta_2}) = \dfrac{1}{16}Var(X_1 + X_2) + \dfrac{1}{4(n-2)^2}Var(X_2 + \cdots + X_{n-1}) = \text{ независимость = } \dfrac{1}{16}*2 \sigma^2 + \dfrac{1}{4(n-2)^2} * (n-2) * \sigma^2$  
$\lim\limits_{n \to \infty}(Var(\hat{\theta_2})) = \lim\limits_{n \to \infty}(\dfrac{\sigma^2}{8} + \dfrac{\sigma^2}{4(n-2)}) = \dfrac{\sigma^2}{8} \ne 0 \text{ - не сост.}$  
$Var(\hat{\theta_3}) = \dfrac{1}{n^2} * Var(\sum_{k=1}^{n} X_k) = независиомсть =\dfrac{1}{n^2}*n*\sigma^2=\dfrac{\sigma^2}{n}$  
$Var(\hat{\theta_3}) = \dfrac{\sigma^2}{n} \underset{n-> ∞}{\rightarrow}0$, а также $E[\hat{\theta_3}] = \theta$ => оценка состоятельная.  
Ответ: $\hat\theta_3$

"""

_q10 = r"""
Пусть $X_1, X_2, . . . , X_n$ – выборка из равномерного распределения U([0; θ]) c неизвестным параметром θ > 0. Требуется оценить параметр θ. В качестве оценка параметра θ рассматриваются: $\hat θ_1 = 2\bar X$, $\hat θ_2 = \dfrac{n+1} n X_{(n)}$ . а) Будут ли оценки несмещенными?; б) состоятельными? в) найдите среди них оптимальную.
$E(X) = \theta / 2; Var(X) = \theta^2 / 12$
а) $E[\hat{\theta_1}] = E[2\overline{X}] = 2E[X] = 2\dfrac{\theta - 0}{2}=\theta$ - несмещен.  
$X_{(n)}: F_{X(n)}(X) = P(X_{(n)} \le x) = P(X_1 \le x; \cdots; X_n \le x) = P(X_1 \le x) * \cdots * P(X_n \le x) = \dfrac{(x-0)^n}{\theta^n} = \dfrac{x^n}{\theta^n}$  
$f_{X_(n)}X = \dfrac{d}{dx}F_{X_(n)}(X) = n* \dfrac{X^{n-1}}{\theta^n}$  
 $E[\hat{\theta_2}] = \dfrac{n+1}{n}E[X_{(n)}] = \dfrac{n+1}{n}* \int\limits_0^\theta X*n*\dfrac{x^{n-1}}{\theta^n}dx = \dfrac{n+1}{\theta^n}\int\limits_0^\theta x^ndx = \dfrac{n+1}{\theta^n}*\dfrac{1}{n+1}*x^{n+1}\left|_\text{0}^\theta\right. = \theta$ - несмещенная  
 б) $Var(\hat\theta_1) = Var(2\overline{X}) = 4Var(\overline{X}) = \dfrac{4}{n}Var(X) = \dfrac{4\theta^2}{12n}=\dfrac{\theta^2}{3n} * Var(\hat\theta_1) = \dfrac{\theta^2}{3n}\underset{n-> ∞}{\rightarrow}0$ а также $E[\hat{\theta_1}] = \theta$ => $\hat\theta_1$ состоятельная  
 $Var(\hat\theta_2) = Var(\dfrac{n+1}{n}*X_{(n)})=\dfrac{(n+1)^2}{n^2}Var(X_{(n)})= \{ E[X_{(n)}] = \int\limits_0^\Theta x* \dfrac{nx^{n+1}}{(n+1)\theta^n}dx = \dfrac{nx^{n+1}}{(n+1)*\theta^n}\left|_\text{0}^\theta\right. = \dfrac{n\theta}{n+1}$  
$E[X_{(n)}^2] = \int\limits_0^\theta X^2*n*\dfrac{x^{n-1}}{\theta^n}dx = \dfrac{nx^{n+2}}{(n+2)\theta^n}\left|_\text{0}^\theta\right. = \dfrac{n\theta^2}{n+2}$  
$Var(X_{(n)}) = \dfrac{n\theta^2}{n+2}-\dfrac{n^2\theta^2}{(n+1)^2} = \dfrac{\theta^2n((n+1)^2-n^2-2n)}{(n+2)(n+1)^2} = \dfrac{\theta^2n}{(n+2)(n+1)^2}$  
$\dfrac{(n+1)^2}{n^2} * \dfrac{\theta^2n}{(n+2)(n+1)^2} \}$
$= \theta^2 * \dfrac{1}{n(n+2)}\underset{n-> ∞}{\rightarrow}0$  
$E[\hat\theta_2] = \theta$ а также $Var(\hat\theta_2)\underset{n-> ∞}{\rightarrow}0$ => оценка состоятельная
$\text{Т.к. } \theta >0, \text{то } \dfrac{1}{3n} \vee \dfrac {1}{n(n+2)}$
$ \text{При} n>1, \dfrac{1}{3n} > \dfrac {1}{n(n+2)} =>$
$Var(\hat{\theta_1}) > Var(\hat{\theta_2}) => \hat{\theta_2} \text{-оптимальная оценка}$

"""

_q11 = r"""
Пусть $X_1, X_2, . . . , X_n$ – выборка из равномерного распределения U([0; θ]) c неизвестным параметром θ > 0. Требуется оценить параметр θ. В качестве оценка параметра θ рассматриваются: $\hat θ_1 = 2\bar X$, $\hat θ_2 =(n+1) X_{(1)}$. а) Будут ли оценки несмещенными?; б) Состоятельными? в) Найти среди них оптимальную.
a) $E(\hat θ_1) = E(2 \overline{X}) = 2E(\overline{X}) = 2 E(X) = 2\frac{θ}{2} = θ$ - несмещённ.
$X_{(1)}: F_{X(1)}(X) = P(X_{(1)} \le x) = 1 - P(X_1 \geq x)= 1 - [P(X_1 \geq x) * \cdots * P(X_n \geq x)] = 1 - (1 - \dfrac{x}{\theta})^n$ 
$f_{X_(1)}X = \dfrac{d}{dx}F_{X_(1)}(X) = \dfrac{n}{\theta} * (1 - \dfrac{x}{\theta})^{n-1}$  
$E(X_1) = \int\limits_0^\theta \dfrac{n}{\theta}(1-\dfrac{x}{\theta})^{n-1} x = \{ u = x; du = dx; dv =(1-\dfrac{x}{\theta})^{n-1}; v = \dfrac{\theta}{n}(1-\dfrac{x}{\theta})^{n} \} = \dfrac{n}{\theta} (\dfrac {x\theta}{n} (1-\dfrac{x}{\theta})^{n} \left|_\text{0}^\theta\right. - \int\limits_0^\theta \dfrac{\theta}{n} (1-\dfrac{x}{\theta})^{n}dx) = \dfrac{n}{\theta} \cdot \dfrac{\theta^2}{n(n+1)} = \dfrac {\theta}{n+1} $
 $E[\hat{\theta_2}] = E((n+1) X_1) = (n+1) \dfrac{\theta}{n+1} = \theta$ - несмещенная 
б) $Var(\hat θ_1) = Var(2 \overline{X}) = 4Var(\overline{X}) = \frac{4}{n}Var(X) = \frac{4θ^2}{12n} = \frac{θ^2}{3n} \rightarrow_{n→∞} 0$ - состоятельная
$Var(\hat θ_2) = (n+1)^2 \int\limits _0^\theta {\dfrac{x^2n}{\theta} (1 - \dfrac{x}{\theta})^{n-1}} - \theta^2 = \dfrac{n(n+1)^2}{\theta} \cdot \dfrac{2\theta^3}{n(n+1)(n+2)}-\theta^2 = \dfrac{2(n+1)\theta^2}{n+2} - \theta^2 = \dfrac{\theta^2 n}{n+2}$
$\int\limits_0^\theta x^2 (1-\dfrac{x}{\theta})^{n-1} = \{t = 1 - \dfrac{x}{\theta}; dt = -\dfrac {1}{\theta}dx \} = -\theta^3 \int\limits_0^\theta {(t^{n-1} - 2t^n + t^{n+1})dt} = \theta^3 (\dfrac{1}{n} - \dfrac{2}{n+1} +\dfrac{1}{n+2})  = \dfrac {2\theta^3}{n(n+1)(n+2)}$
$\dfrac{θ^2n}{(n+2)} \rightarrow_{n→∞} θ^2$ - не состоятельна
в) Оптимальной оценкой является оценка с наименьшей дисперсией $⇒ т.к. \dfrac{θ^2n}{(n+2)} > \dfrac{θ^2}{3n} ⇒$ оптимальной является $\hat θ_1 (\hat θ_2 -\text{не состоятельная}) $

"""

_q12 = r"""
Пусть X – случайная величина, которая имеет равномерное распределение на отрезке [0, θ]. Рассмотрим выборку объема 3 и класс оценок вида $\hat θ = c \bar X$ неизвестного параметра θ. Найдите такое c, чтобы: a) оценка $\hat θ$ – несмещенная; б) оценка $\hat θ$– эффективная в рассматриваемом классе.
$X_1, X_2, \dots, X_n$ из $U([0, θ])$, $\hat θ = c·\overline{X}$
a) $E(\hat θ) = c·E(\overline{X}) = c\cdot \dfrac{0+\theta}{2} = c·\frac{θ}{2} \Rightarrow$ при с = 2, $\hat θ$ - несмещённая
б) $Var(\overline{X}) = \frac{\sigma^2}{3} = \frac{\theta^2}{12·3} = \frac{\theta^2}{36}$
$E(\overline{X^2}) = \frac{\theta^2}{36} + \frac{\theta^2}{4} = \theta^2(\frac{1}{36} + \frac{1}{4}) = \theta^2\frac{5}{18}$$Δ = E[(\hat θ - θ)^2] = E(\hat θ^2) - 2θE(\hat θ) + θ^2 = c^2·E(\overline{X^2}) - c·θ^2 + θ^2 = c^2·\theta^2\frac{5}{18} - c·θ^2 + θ^2 = θ^2(c^2\frac{5}{18} - c + 1) \rightarrow min$
В нашем случае нужно найти вершину параболы: с = 5/9 или 1,8.
$⇒$ при $c = \frac{5}{9}$ оценка эффективная в рассм. классе

"""

_q13 = r"""
Пусть $X_1, X_2, . . . , X_n$ – выборка объема n из равномерного закона распределения на отрезке [−θ; θ], где θ > 0 – неизвестный параметр. В качестве оценки параметра $θ^2$ рассмотрим статистику $\hat θ = \frac 3 n (X^2_1 + X^2_2 + . . . + X^2_n$  . Является ли статистика $\hat θ$ несмещенной оценкой параметра $θ^2$? Является статистика $\sqrt{\hat θ}$ несмещенной оценкой параметра $\sqrt{θ^2}$ = θ? Ответ обосновать
1) $E(X^2) = Var(X) + E(X)^2 = \frac{(θ + θ)^2}{12} + \frac{-θ + θ}{2} = \frac{θ^2}{3}$
2) $E(\hat θ) = \frac{3}{n}E(\Sigma{X^2_i}) = \frac{3}{n}\Sigma{E(X^2_i)} = \frac{3}{n}n\frac{θ^2}{3} = θ^2 \Rightarrow$ несмещённая
3) $-\sqrt{E(\hat θ)} \le E(-\sqrt{\hat θ})$ - неравенство Йенсена $-\sqrt{t}$-выпуклая функция
$-\sqrt{E(\hat θ)} \le -E(\sqrt{θ})$
$E(\sqrt{\hat θ}) \le \sqrt{E(\hat θ)} = \sqrt{θ^2} = θ$
$E(\sqrt{\hat θ}) \le θ$ Необходимо чтобы $E(\sqrt{\hat θ}) = θ^2$, но $θ^2 \le θ$, при $0 \le θ \le 1$, но не для всех θ => смещённая

"""

_q14 = r"""
Пусть $Y_k = βx_k + ε_k$, k = 1, . . . n, где x_k – некоторые константы, а ε_k – независимые одинаково распределенные случайные величины, ε_k ∼ N(0; σ^2 ). Является ли оценка $\hat β = \dfrac{\sum_{k=1}^n Y_k}{\sum_{i=1}^n x_i} $ несмещенной оценкой параметра β? Ответ обосновать
$Y_k = \beta x_k + ε_k$
$E(\hat \beta) = E(\dfrac{\Sigma{Y_k}}{\Sigma{x_k}}) = \frac{1}{\Sigma{x_k}}⋅E(\Sigma\beta x_k + \Sigma{ε_k}) = \dfrac{E(\Sigma\beta {x_k})}{\Sigma{x_k}} + \dfrac{E(\Sigma{ε_k})}{\Sigma{x_k}} = \dfrac{\beta \cdot \Sigma{x_k}}{\Sigma{x_k}} = \beta$ - несмещённая

"""

_q15 = r"""
Пусть $Y_k = βx_k + ε_k$, k = 1, . . . n, где x_k – некоторые константы, а ε_k – независимые одинаково распределенные случайные величины, ε_k ∼ N(0; σ^2 ). Является ли оценка $\hat β =\frac 1n \sum_{k=1}^n \left(\frac{Y_k}{x_k}\right)$ несмещенной оценкой параметра β? Ответ обосновать
$Y_k = \beta x_k + ε_k$

$\hat \beta = \frac{1}{n} \Sigma{(\frac{Y_k}{x_k})} = \frac{1}{n} \Sigma{(\beta + \frac{ε_k}{x_k})}$

$E(\hat θ) = E(\frac{1}{n} \Sigma{(\beta + \frac{ε_k}{x_k})}) = \frac{1}{n}E(n \cdot \beta) + \frac{1}{n}E(\Sigma{\frac{ε_k}{x_k}}) = \beta + \frac{1}{n} \Sigma{\frac{1}{x_k} \cdot E(ε_k)} = \beta$ - несмещённая

"""

_q16 = r"""
В таблице представлены данные по числу сделок на фондовой бирже за квартал для 400 инвесторов:      В предположении, что случайное число сделок описывается распределением Пуассона, оцените параметр λ методом моментов. Определите вероятность того, что число сделок за квартал будет не менее трех, применяя: а) метод моментов; б) непосредственно по таблице.\

$X \sim П(\lambda)$

$\nu_k = \hat \nu_k = \overline{X} - \text{Метод Моментов}$

$\hat{\nu_n} = \bar X^n = 1/n \cdot \sum X^k$

$E(X) = \sum k\cdot \dfrac{\lambda^k}{k!}\cdot e^{-\lambda} = \lambda$

$\hat{\lambda_{MM}} = \overline{X}$

$\hat{\lambda} = \dfrac{x_1 n_1+..+x_k n_k}{k} = 1/400 \cdot (97+146+ 102+92+ 50+36 +21 +24 + 27+ 20) = 1,5375$

a) $P(X = k) = \dfrac{λ^k \cdot e^{-λ}}{k!}$

$P(X \ge 3) = 1 - P(X \le 3) = 1 - (P(X=0) + P(X=1) + P(X=2)) = 1 - \dfrac{\lambda^2}{2} e^{-\lambda} - \lambda e^{-\lambda} - e^{-\lambda} = 0,2 = 0,2007%$

б) $P(X \ge 3) = 1 - P(X<3) = 1 - P(X=0) - P(X=1) - P(X=2) = 1 - \dfrac{146+97+73}{400} = 0,21$


"""

_q17 = r"""
Пусть случайная величина X равномерно распределена на отрезке [0; 4θ]. Найдите методом моментов оценку для параметра θ. Является ли оценка а) несмещенной; б) состоятельной? Ответ обосновать.

$X \sim U([0, 4θ])$

$\nu_1 = \hat \nu_1$

$\nu_1= E(X) = \overline{X} = 2θ =>$

$\hat θ_{MM} = \frac{\overline{X}}{2}$

a) $E(\hat θ_{MM}) = E(\frac{\overline{X}}{2}) = \frac{1}{2} \cdot 2θ = θ$ - несмещённая

б) $Var(\hat θ_{MM}) = Var(\frac{\overline{X}}{2}) = \frac{(4θ)^2}{4n \cdot 12} = \frac{θ^2}{3n} \rightarrow_{n→∞} 0$ - состоятельна

"""

_q18 = r"""
Пусть случайная величина X равномерно распределена на отрезке [a; b]. Найти методом моментов оценки для параметров a и b.


$ν_1 = \hat{\nu}_1$


$M_1 = \bar X, M_2 = \bar X^2 - \text{эмперические моменты 1 и 2 порядка}$


$\nu_1 = E(X) = \frac{a+b}{2} = \bar{x} ⇒ a+b = 2\bar{x} = 2M_1$



$\nu_2 = E(x^2)=\overline{x^2}$


$Var(X) = E(x^2) -[E(x)]^2 ⇒ E(X^2)=\frac{(b-a)^2}{12} + \frac{(a+b)^2}{4}=\frac{4b^2+4ab+4a^2}{12}=\frac{b^2+ab+a^2}{3}=\overline{x^2}=M_2$



\begin{cases}
a = 2M_1-b \\
b^2+(2M_1-b)b+(2M_1-b)^2=3M_2
\end{cases}
$b^2+2M_1b-b^2+4M_1^2-4M_1b+b^2-3M_2=0$


$b^2-2M_1b+4M_1^2-3M_2=0$


$D = 4M^2_1-4(4M_1^2-3M_2)=12M_2-12M_1^2$ 


$b = \frac{2M_1+\sqrt{12M_2-12M_1^2}}{2}=M_1+\sqrt{3(M_2-M_1^2)}$


$a=M_1-\sqrt{3(M_2-M_1^2)}$


\begin{cases}
\hat{a} = \bar{x} - \sqrt{3(\overline{x^2}-(\bar{x})^2)}\\
\hat{b} = \bar{x} + \sqrt{3(\overline{x^2}-(\bar{x})^2)}\\
\end{cases}
"""

_q19 = r"""
Случайная величина X (срок службы изделия) имеет распределение, плотность которого задается формулой $f(x) = λe^{−λ(x−\tau)} , x \ge \tau , λ > 0$. В таблице приведены сгруппированные данные по срокам службы (в часах) для n = 423 изделий:    Найдите методом моментов точечные оценки неизвестных параметров λ и $\tau$ распределения. Используя полученные оценки, оцените время, которое изделие прослужит с вероятностью 90,66%.
$X \sim Exp(\lambda)$, $\nu_1 = E(X) = \dfrac{1}{\lambda}$
$\nu_1 = \bar x => \dfrac{1}{\lambda} = \bar x => \hat{\lambda} = \dfrac 1 {\bar x}$
$\bar x = \dfrac{4,55*219 + 11,55*98 + 18,55*50+25,55*25 + 32,55*17+ 39,55*7 + 46,55*2 + 53,55*4+60,55*1}{423} = 11,57 $
$\hat{\lambda} = \dfrac{1}{11,57} = 0,086$
$P(X<T) = 0,9066 => F(T) = 0,9066$
$1 - e^{-\lambda \cdot T} = 0,9066, \text{где }T>0$
$1 - e^{-0,086 T} = 0,9066$
$T \approx 27,56$
$E(x) = \int^{+∞}_τxλe^{-λ(x-τ)}dx=τ+\frac{1}{λ}=\bar{x}$
$E(x^2) = \int^{+∞}_τx^2λe^{-λ(x-τ)}dx=τ^2+\frac{2τ}{λ}+\frac{2}{λ^2}=\overline{x^2}$
\begin{cases}
τ + \frac{1}{λ} = \bar{x} \\
τ^2 + \frac{2τ}{λ} + \frac{2}{λ^2} = \overline{x^2} (1)
\end{cases}
$(1) (τ + \frac{1}{λ})^2 + \frac{1}{λ^2} = \overline{x^2}$
$\frac{1}{λ^2} = \overline{x^2} - (\bar{x})^2$
$λ = \frac{1}{\sqrt{\overline{x^2} - (\bar{x})^2}}$
$τ=\bar{x} - \sqrt{ \overline{x^2} - (\bar{x})^2}$
from scipy.stats import *
from sympy import *
import numpy as np
import math
n = 423
sample = np.array([4.55]*219 + [11.55]*98 + [18.55]*50 + [25.55]*25 + [32.55]*17  + [39.55]*7 + [46.55]*2 + [53.55]*4 + [60.55])
sample_2 = sample**2
x = Symbol('x')
t = Symbol('t')
lamda_hat = 1/sqrt(sample_2.mean() - (sample.mean())**2)
tau_hat = sample.mean() - 1/lamda_hat
print(lamda_hat, tau_hat)

"""

_q20 = r"""
Известно, что доля возвратов по кредитам в банке имеет распределение $F(x) = x^β$ , $0 \le x \le 1$. Наблюдения показали, что в среднем она составляет 78%. Методом моментов оцените параметр β и вероятность того, что она опуститься ниже 67%.
$\nu_1=\hat{\nu_1}; f(x)=F'(x)=\beta x^{\beta-1}$
$\nu_1=E(x)=\int^1_0x f(x) dx = \beta \int^1_0x^\beta dx = \frac{\beta x^{\beta+1}}{\beta+1} |^1_0 = \frac{\beta}{\beta+1}=\bar{x}=0.78$
⇒ $\beta = 3.54545$
$P(x < 0.67) = F(0,67) =  0.67^{3.54545}=0.2417$

"""

_q21 = r"""
Пусть $X_1, X_2, . . . , X_n$ – выборка объема n из распределения Пуассона с параметром λ: $P(X = k) = \frac {λ^k e^{−λ}} {k!}$ , k = 0, 1, 2, . . . Найдите методом максимального правдоподобия по выборке $x_1, x_2, . . . , x_n$ точечную оценку неизвестного параметра λ распределения Пуассона.
$X \sim П(λ)$
$P(X = k) = \frac{λ^ke^{-λ}}{k!}, k = 0,1,2,...$
$L(\vec{x}, λ) = П^n_{i=1}\frac{λ^{x_i}e^{-λ}}{x_i!}$
$\ln L = ∑^n_{i=1}[x_i\ln λ - λ - \ln(x_i!)] = \ln(λ) n \bar{x} - nλ - ∑\ln(x_i!)$
$\frac{∂L}{∂λ} = \frac{n\bar{x}}{λ} - n = 0$
$\text{Ответ: }\hat{λ_{ОМП}}  = \bar{x}$
"""

_q22 = r"""
Найдите методом максимального правдоподобия по выборке $x_1, x_2, . . . , x_n$ точечную оценку $\hat λ$ неизвестного параметра λ показательного закона распределения, плотность которого $f(x) = λe^{−λx}, x \ge 0$.
$X \sim Exp(λ)$
$L = λe^{-λx_1} ⋅ ... ⋅ λe^{-λx_n}=λ^n e^{-λ(x_1+...+x_n)}=λ^n\cdot e^{-λn\bar{x}}$
$\ln L = n lnλ - λn\bar{x}$
$(\ln L)'_λ = \frac{n}{λ} - n\bar{x} = 0 | : n$
$\frac{1}{λ} - \bar{x} = 0$
$\hat{λ}_{ОМП}=\frac{1}{\bar{x}}$
"""

_q23 = r"""
Найдите оценки параметров a и b по методу максимального правдоподобия для равномерного распределения U([a, b]). 
$f(x) =  \begin{cases} \frac 1 {b-a}, &\text{$x \in [a,b]$}\\ 0, &\text{иначе} \end{cases}$ 
$L(\vec{x}, a, b)=\left(\dfrac 1 {b-a}\right)^n \rightarrow max \Leftrightarrow \begin{cases} a \le min(X_1,...,X_n)\\ b \ge max(X_1,...,X_n) \end{cases}$ 
$\dfrac{\partial{ln(x, a, b)}}{\partial{a}} = \dfrac{\partial{ln(L(x, a, b))}}{\partial{a}} = (-n \cdot ln(b-a))’_a = \dfrac n {b-a}$\
Аналогично $(-n \cdot ln(b-a))’_b = -\dfrac n {b-a}$
a - монотонно убывает для max знач 
$\hat a_{MLE} = min(X_1,...,X_n)$
b - монотонно возрастает для min знач 
$\hat b_{MLE} = max(X_1,...,X_n)$
"""

_q24 = r"""
Пусть $X_1, X_2, . . . , X_n$ – выборка из дискретного распределения $P(X = −1) = \theta$, $P(X = 1) = 4\theta$, $P(X = 2) = 2\theta$, $P(X = 0) = 1 − 7\theta$, $\theta∈ (0; \frac{1}{7})$. Найдите оценку параметра $\theta$ по методу максимального правдоподобия. Является ли полученная оценка: а) несмещенной; б) состоятельной. Ответ обосновать.
Пусть a, b, c, n-a-b-c - кол-во появлений каждого значения x
$L = \theta^a \cdot (4\theta)^b \cdot (2\theta)^{n-a-b-c} \cdot (1 - 7\theta)^c$
$lnL = a \ln \theta + b\ln 4\theta + (n-a-b-c)\ln 2\theta - c\ln (1-7\theta)$
$\dfrac{\partial{lnL}}{\partial{\theta}} = \dfrac{a+b+(n-a-b-c)}{\theta} - \dfrac{7c}{1 - 7\theta} = 0$
$\hat \theta = \dfrac{n-c}{7n}, c \sim Bin(n;p = 1-7\theta), E(c) = np, Var(c) = npq$
a) $E(\hat \theta) = E(\dfrac{n-c}{7n}) = \dfrac{1}{7} - \dfrac{1}{7n}\cdot E(c) = \theta$ - несмещённая
б) $Var(\hat \theta) = Var(\frac{1}{7} - \frac{c}{7n}) = \frac{1}{49n^2}Var(c) = \frac{pq}{49n} →_{n→∞} 0$ - состоят.

"""

_q25 = r"""
"""

_q26 = r"""
Пусть $f_\alpha(1;m)$ – (верхняя) процентная точка распределения Фишера с 1 и m степенями свободы,
$t_{\frac{\alpha}{2}}(m)$ – (верхняя) процентная точка распределения Стьюдента с m степенями свободы. Покажите,
что $f_\alpha(1;m) = t_{\frac{\alpha}{2}}^2(m)$
$P(F > f_\alpha(1;m)) = P\left(\dfrac{\chi^2(1)\cdot m}{\chi^2(m)} > f_\alpha(1;m)\right) = P\left(\dfrac{Z^2}{\frac{\chi^2(m)}{m}} > f_\alpha(1;m)\right) = P\left(\dfrac{|Z|}{\sqrt{\frac{\chi^2(m)}{m}}} > {\sqrt{f_\alpha(1;m)}}\right) = P\left(-\sqrt{f_\alpha(1;m)} < \dfrac{Z}{\sqrt{\frac{\chi^2(m)}{m}}} < \sqrt{f_\alpha(1;m)}\right)= P\left(-\sqrt{f_\alpha(1;m)} < t(m) < \sqrt{f_\alpha(1;m)}\right) = {\alpha}\ (1)$
$P(-t_{\frac{\alpha}{2}}(m) < t(m) < t_{\frac{\alpha}{2}}(m)) = {\alpha}$ (2)
В силу монотоности $F^{-1}_t(x)\ и \ \text{из (1) и (2)} \Rightarrow \sqrt{f_\alpha(1;m)} = t_{\frac{\alpha}{2}}(m) \Rightarrow f_\alpha(1;m) = t_{\frac{\alpha}{2}}^2(m)$

"""

_q27 = r"""
Инвестор наблюдает за колебаниями котировок акций компаний A и B в течение 100 торговых дней (по закрытию торгов). В результате наблюдений получена следующая статистика: количество дней, когда обе котировки падали – 26;обе котировки росли – 25; котировки падали, а котировки при этом росли – 29; наоборот, котировки росли, а котировки падали – 20. При 1% -м уровне значимости проверьте гипотезу о равновероятности указанных четырех комбинаций падения и роста. 

$H_0$: все четыре комбинации равновероятны \
$H_1$: комбинации не равновероятны

Событие: $(A<0, B>0) ; (A>0, B<0) ; (A<0; B>0) ; (A>0, B<0)$ \
$\nu_i: \text{ 26 } ; \text{ 25 } ; \text{ 29 } ; \text{ 20 }$ 

$\chi^2 = \sum \dfrac {(\nu_i-np_i)^2}{np_i}$
Равновероятно: $p=\frac 1 4$

$\chi^2 = \dfrac{(26-100\cdot \frac 14)^2}{100\cdot \frac 14} + \dfrac{(25-100\cdot \frac 14)^2}{100\cdot \frac 14} + \dfrac{(29-100\cdot \frac 14)^2}{100\cdot \frac 14} + \dfrac{(20-100\cdot \frac 14)^2}{100\cdot \frac 14} = \dfrac {(26-25)^2}{25} + \dfrac {(25-25)^2}{25} + \dfrac {(29-25)^2}{25} + \dfrac {(20-25)^2}{25} = \dfrac 1{25}+0+\dfrac {16}{25}+\dfrac {25}{25}=\dfrac{42}{25}=1,68$

chi2(3).isf(0.01) = 11.345 $\rightarrow \chi_{0,01}^2=11,345$

$11,345 > 1,68 \rightarrow H_0$ не отвергается
"""

_q28 = r"""
В десятичной записи числа $\pi$ среди $10002$ первых десятичных знаков после запятой цифры $0; 1; . . . ; 9$ встречаются соответственно $968; 1026; 1021; 974; 1012; 1047; 1022; 970; 948;1014$ раз. На $5$%-ом уровне значимости проверить гипотезу о равновероятности «случайных» чисел $0; 1; . . . ; 9$, т.е. согласуются ли данные с гипотезой $H_0 : p_0 = p_1 = . . . p_9 = \dfrac{1}{10}$? Найдите P-значение критерия.
Объём выборки больше $50$, а также частота каждого наблюдения больше $5$, это значит что для проверки выдвинутой гипотезы может быть использован критерий $\chi^2_П$ Пирсона.
$\chi^2_П =\sum\limits_{i=1}^l\dfrac{(\nu_i-n\cdot p_i)^2}{n\cdot p_i}$, где
$l$ - количество признаков
$\nu_i$ - эмпирическая частота события $A_i$
$n\cdot p_i$ - ожидаемая частота события $A_i$
В нашей задаче:
$\chi^2_П = \dfrac{\left(968-10002\cdot \dfrac{1}{10}\right)^2}{10002\cdot \dfrac{1}{10}}+\dfrac{\left(1026-10002\cdot \dfrac{1}{10}\right)^2}{10002\cdot \dfrac{1}{10}}+...+\dfrac{\left(1014-10002\cdot \dfrac{1}{10}\right)^2}{10002\cdot \dfrac{1}{10}}=9.4517$
Для проверки гипотезы сравним полученное тестовое значение $\chi^2_П$ с табличным $\chi^2_\alpha(l-1)$:
$\chi^2_\alpha(9)=16,91898$
$\chi^2_П$ < $\chi^2_\alpha(l-1)\Rightarrow$ при уровне значимости 0.05  гипотеза $H_0$ не отвергается, то есть случайные числа в числе $\pi$ равновероятны.
$pv = P(X>\chi^2_П) = 1- F_{\chi^2_{9}} (9.4517)=1-stats.chi2.cdf(9.4517, 9) = 0,3967$
$pv >\alpha=> \text{Нет оснований отвергать нулевую гипотезу}, \alpha=0.05$
"""

_q29 = r"""
Среди $10 000$ «случайных чисел» $0, 1, . . . , 9$, числа, не превосходящие $4$, встретились $k = 5089$ раз. Проверить на уровне значимости $α = 0.1$, согласуются ли эти данные с гипотезой $H_0$ о равновероятности чисел. При каком уровне значимости эта гипотеза отвергается.
Объём выборки больше $50$, а также частота каждого наблюдения больше $5$, это значит что для проверки выдвинутой гипотезы может быть использован критерий $\chi^2_П$ Пирсона.
$\chi^2_П =\sum\limits_{i=1}^l\dfrac{(\nu_i-n\cdot p_i)^2}{n\cdot p_i}$, где
$l$ - количество признаков
$\nu_i$ - эмпирическая частота события $A_i$
$n\cdot p_i$ - ожидаемая частота события $A_i$
В нашей задаче:
$\chi^2_П = \dfrac{\left(5089-10000\cdot \dfrac{1}{2}\right)^2}{10000\cdot \dfrac{1}{2}}+\dfrac{\left(4911-10000\cdot \dfrac{1}{2}\right)^2}{10000\cdot \dfrac{1}{2}}=3.1684$
Для проверки гипотезы сравним полученное тестовое значение $\chi^2_П$ с табличным $\chi^2_\alpha(l-1)$:
$\chi^2_\alpha(1)=2.706$
$\chi^2_П$ > $\chi^2_\alpha(l-1)\Rightarrow$ при уровне значимости $\alpha=0.1$ гипотеза $H_0$ отвергается, то есть случайные числа в числе $\pi$ не равновероятны.
Гипотеза отвергается, к примеру, при уровне значимости $\alpha>0.1$.
"""

_q30 = r"""
При 8002 независимых испытаний события A, B и C, составляющие полную группу, осуществились 2014, 5008 и 980 раз соответственно. Верна ли на уровне значимости 0, 05 гипотеза $p(A)=0,5-2\theta$; $p(B)=0,5+\theta$; $p(C)=\theta$; $(0 < \theta < 0,25)$?

n = 8002, $A_1$ = {произошло A}, $m_1$ = 2014; $A_2$ = {произошло B}, $m_2$ = 5008; $A_3$ = {произошло C}, $m_3$ = 980. α = 0.05.




$H_0$: p(A) = 0.5 * 2θ; p(B) = 0.5 + θ; p(C) = θ. 0 < θ < 0.25




$χ^2_Ф = \dfrac{(\nu_1 - np(A))^2}{np(A)} + \dfrac{(\nu_2 - np(B))^2}{np(B)} + \dfrac{(\nu_3 - np(C))^2}{np(C)}$


Произведём оценку $\hat\Theta_{омп}$ для расчета значения $χ^2_Ф$:


$\sum\limits_{i=1}^l k_i\cdot\ln{p_i(\Theta)}\longrightarrow max$


$2014\cdot \ln(0.5-2\Theta)+5008\cdot\ln(0.5+\Theta)+980\cdot\ln\Theta\longrightarrow max\Leftrightarrow\hat\Theta_{омп}=0.1237$


$χ^2_Ф=\dfrac{(2014-8002(0.5-2\hat\Theta_{омп}))^2}{8002(0.5-2\hat\Theta_{омп})} + \dfrac{(5008-8002(0.5+\hat\Theta_{омп}))^2}{8002(0.5+\hat\Theta_{омп})} + \dfrac{(980-8002(\hat\Theta_{омп}))^2}{8002(\hat\Theta_{омп})}=0.183$


Для проверки гипотезы сравним полученное тестовое значение $\chi^2_Ф$ с табличным $\chi^2_\alpha(l-1-m), где$ $m$ - количество параметров, от которых зависят вероятности


 $\chi^2_{0.05}(1)=3.84$


$\chi^2_Ф$ < $\chi^2_\alpha(l-1-m)\Rightarrow$ при уровне значимости $\alpha=0.05$ гипотеза $H_0$ не отвергается.
"""

_q31 = r"""
Пусть таблица сопряженности двух признаков имеет вид… Показать, что статистика критерия $\chi^2$ Пирсона для проверки гипотезы независимости X и Y можно найти по формуле $\chi^2 = \dfrac{n(ad-bc)^2}{(a+d)(a+c)(b+d)(c+d)}$
$α_1 = a+b; α_2 = c+d; β_1=a+c; β_2=b+d$
$\hat{p_1} = \frac{α_1}{n}; \hat{p_2} = \frac{α_2}{n}; \hat{q_2} = \frac{β_1}{n}; \hat{q_1} = \frac{β_2}{n};$
$χ^2 = \sum^k_{i=1}\sum^m_{j=1}\frac{(V_{ij}-\frac{α_iβ_j}{n})^2}{\frac{α_iβ_j}{n}} = \frac{(V_{11}-\frac{α_1β_1}{n})^2}{\frac{α_1β_1}{n}} + \frac{(V_{12}-\frac{α_1β_2}{n})^2}{\frac{α_1β_2}{n}} + \frac{(V_{21}-\frac{α_2β_1}{n})^2}{\frac{α_2β_1}{n}} + \frac{(V_{22}-\frac{α_2β_2}{n})^2}{\frac{α_2β_2}{n}} = $
$= n (\frac{(a - \frac{(a+b)(a+c)}{n})^2}{(a+b)(a+c)} + \frac{(b - \frac{(a+b)(b+d)}{n})^2}{(a+b)(b+d)} + \frac{(c - \frac{(c+d)(a+c)}{n})^2}{(c+d)(a+c)} + \frac{(d - \frac{(b+d)(d+c)}{n})^2}{(b+d)(d+c)}) =$
$=n(\frac{a^2}{(a+b)(a+c)} + \frac{b^2}{(a+b)(b+d)} + \frac{c^2}{(c+d)(a+c)} + \frac{d^2}{(c+d)(d+b)} - 1) = n\frac{a^2d^2-2abcd+b^2c^2}{(a+b)(a+c)(b+d)(c+d)}=\frac{n(ad-bc)^2}{(a+b)(a+c)(b+d)(c+d)}$
или
$\chi_H^2 = n[(\sum^k_{i=1}\sum^m_{j=1} \dfrac{v^2_{ij}}{\alpha_i \beta_j}) -1 ]$
Числитель дробей внутри квадратных скобок:
$a^2(b+d)(c+d) +b^2(a+c)(c+d) + c^2(a+b)(b+d) + d^2(a+b)(a+c) - (bc + cd+ bd+ d^2)(a^2 + ab + ac+ bc) = (a^2(bc+cd+bd+d^2) + b^2(ac+c^2+ ad+cd)+c^2(ab+b^2+ad+bd) + d^2(a^2+ab+ac+bc)) - (bc+ cd+ bd+ d^2)(a^2 + ab+ ac+ bc)= (a^2(bc+cd+bd+d^2) + b^2(ac+c^2+ ad+cd)+c^2(ab+b^2+ad+bd)) - (bc+cd+bd)(a^2+ab+ac+bc)= (a^2d^2+b^2(ac+c^2+ad+cd)+c^2(ab+b^2+ad+bd))- (bc(ab+ac+bc)+cd(ab+ac+bc)+(bd(ab+ac+bc)) = a^2d^2-sabcd+b^2c^2 = (ad-bc)^2$ Соединить с общим знамен и умножить на n.
"""

_q32 = r"""
Число π до 30 знака после запятой имеет вид, Число e до 30 знака после запятой имеет вид. Используя критерий однородности $\chi^2$ , проверьте на уровне значимости α = 0, 05 гипотезу H_0 о том, что последовательности цифр после запятой для обоих чисел принадлежат одной генеральной совокупности. 

$H_0:$ Принадлежат одной генеральной совокупности
$H_1:$ Принадлежат разным совокупностям

Проверим $H_0$, составим статистику: $\sum^2_{i=1}\sum^m_{j=1}\frac{n_{ij}-n_ip_j}{n_ip_j}$. Она стремиться к $χ^2$ с ν=m-1 степеням свободы. 

$H_0: p_j^*=\frac{ν_j}{n}; ν_j = \frac{1}{n}\sum^2_{i=1}n_{ij}; n=n_1+n_2$. 

Тогда $χ^2 = n \sum^2_{i=1}\sum^m_{j=1}\frac{(n_{ij}-\frac{n_iν_j}{n})^2}{n_iν_j}=n_1n_2\sum^m_{j=1}\frac{1}{n_{1j}+n_{2j}}(\frac{n_{1j}}{n_1}-\frac{n_{2j}}{n_2})^2; n_1 = n_2 = 30$ ⇒ $\sum^m \frac{1}{n^2}\frac{(n_{1j} - n_{2j})^2}{n_{1j}+n_{2j}} = $ (посчитать на питоне сумму).

Тогда $χ^2=41.2458; χ^2_{\text{табл}}=43.773; χ^2 < χ^2_{\text{табл}} ⇒ H_0$ не принимается

python code
digits = 30 # чисел после запятой
str_pi = format(np.pi, f'.{digits}f')[2:] # пи после запятой
str_exp = format(np.exp(1), f'.{digits}f')[2:] # e после запятой


m = digits
s = 0
for i in range(m):
    # приводим к int
    n_1j = int(str_pi[i])
    n_2j = int(str_exp[i])


    # считаем числ. и знам.
    up = (n_1j - n_2j)**2
    down = n_1j + n_2j
    s += up / down


chi = s # по формуле * m^2 и / m^2, то есть ничего не делаем
chi_tabl = chi2(m-1).isf(0.05) # табличное значение хи-квадрат
pi_ = [int(x) for x in str_pi]
exp_ = [int(x) for x in str_exp]
statistics, p_value, _, _ = chi2_contingency([pi_, exp_]) # аналог рассчетного
statistics # расчетное значение. Если statistics < chi_tabl принимается h0
"""

_q33 = r"""
Из таблицы случайных чисел выбрано n = 150 двузначных чисел. Частоты $n_i$ чисел, попавших в интервал [10i; 10i + 9],(i = 0, 1, . . . , 9) равны: (16; 15; 19; 13; 14; 19; 14; 11; 13; 16). Проверить, используя критерий Колмогорова, гипотезу $H_0$ о согласии выборки с законом равномерного распределения. Уровень значимости $\alpha$ принять равным 0,01. 

интервал $x_i$ при i=0,...,9: $\text{[0;9]}$ ; $\text{[10;19]}$ ; $\text{[20;29]}$ ; $\text{[30;39]}$ ; $\text{[40;49]}$ ; $\text{[50;59]}$ ; $\text{[60;69]}$ ; $\text{[70;79]}$ ; $\text{[80;89]}$ ; $\text{[90;99]}$    

$F(x_i)=\frac{x_i} 9$при i=0,...,9: $\text{ 0 }$ ; $\text{ $\frac 1 9$ }$ ; $\text{ $\frac 2 9$ }$ ; $\text{ $\frac 3 9$ }$ ; $\text{ $\frac 4 9$ }$ ; $\text{ $\frac 5 9$ }$ ; $\text{ $\frac 6 9$ }$ ; $\text{ $\frac 7 9$ }$ ; $\text{ $\frac 8 9$ }$ ; $\text{ 1 }$ 

$\text{ $x_{n_i}$ }$при i=0,...,9: $\text{ 16 }$ ; $\text{ 15 }$ ; $\text{ 19 }$ ; $\text{ 13 }$ ; $\text{ 14 }$ ; $\text{ 19 }$ ; $\text{ 14 }$ ; $\text{ 11 }$ ; $\text{ 13 }$ ; $\text{ 16 }$ 

$\text{ $F_n(x_i)$ }$при i=0,...,9: $\text{ 0,16 }$ ; $\text{ 0,31 }$ ; $\text{ 0,5 }$ ; $\text{ 0,63 }$ ; $\text{ 0,77 }$ ; $\text{ 0,96 }$ ; $\text{ 1,1 }$ ; $\text{ 1,21 }$ ; $\text{ 1,34 }$ ; $\text{ 1,5 }$  

$\text{ $|F(x_i)-F_n(x_i)|$ }$при i=0,...,9: $\text{ 0,16 }$ ; $\text{ 0,199 }$ ; $\text{ 0,278 }$ ; $\text{ 0,297 }$ ; $\text{ 0,326 }$ ; $\text{ 0,404 }$ ; $\text{ 0,433 }$ ; $\text{ 4,322 }$ ; $\text{ 4,511 }$ ; $\text{ 0,50 }$

max($\text{ $|F(x_i)-F_n(x_i)|$ }$) = 4,511  $\Rightarrow$  $\lambda = 4,511$

$F(x) =  \begin{cases} 0, &\text{x < 10i}\\ \frac{x} 9, &\text{$10i \le x \le 10i+9$}\\ 1, &\text{x > 10i+9} \end{cases}$

$\text{ $F_n(x_i)$ }$ - берем $x_{n_i}$ делим на 100 и прибавляем $x_{n_{i-1}}$, деленное на 100 

По таблице критических точек распределения Колмогорова находим $\lambda_{табл}$ при $\alpha=0,01$ $\rightarrow$ $\lambda_{табл} = 1,63$

Так как $\lambda > \lambda_{табл}$, то $H_0$ отвергается
"""

_q34 = r"""
Число $\pi$ до 30 знака после запятой имеет вид: 3, 141592653589793238462643383279. \
Число e до 30 знака после запятой имеет вид: 2, 718281828459045235360287471352.\
Используя критерий однородности Колмогорова–Смиронова, проверьте на уровне значимости $\alpha$ = 0, 05 гипотезу $H_0$ о том, что последовательности цифр после запятой для обоих чисел принадлежат одной генеральной совокупности. 

Определим гипотезы $H_0$ и $H_1$:\
$H_0$: последовательность цифр после запятой для обоих чисел принадлежат одной генеральной совокупности \
$H_1$: не принадлежат одной генеральной совокупности \
1) Определим интервал [1, 30] знаков после запятой

$\text{ $x_i$ }$: 1, 2, 3, ..., 29, 30 

$\text{ $F(x_i) = \frac{x_i} {29}$ }$: $\text{ $\frac 1 {29}$ }$ ; $\text{ $\frac 2 {29}$ }$ ; $\text{ $\frac 3 {29}$ }$ ; ... ; $\text{ $\frac {29} {29}$ }$ ; $\text{ $\frac {30} {29}$ }$   

$\text{ $x_{n_i}$ }$ (те 30 цифр после запятой у $\pi$): 1, 4, 1, ..., 7, 9

$\text{ $F_n(x_i)$ }$: $\text{ 0,1 }$ ; $\text{ 0,5 }$ ; $\text{ 0,6 }$ ; $\text{ 1,1 }$ ; $\text{ 2 }$ ; $\text{ 2,2 }$ ; $\text{ 2,8 }$ ; $\text{ 3,3 }$ ; $\text{ 3,6 }$ ; $\text{ 4,1 }$ ; $\text{ 4,9 }$ ; $\text{ 5,8 }$ ; $\text{ 6,5 }$ ; $\text{ 7,4 }$ ; $\text{ 7,7 }$ ; $\text{ 7,9 }$ ; $\text{ 8,2 }$ ; $\text{ 9 }$ ; $\text{ 9,4 }$ ; $\text{ 10 }$ ; $\text{ 10,2 }$ ; $\text{ 10,8 }$ ; $\text{ 11,2 }$ ; $\text{ 11,5 }$ ; $\text{ 11,8 }$ ; $\text{ 12,6 }$ ; $\text{ 12,9 }$ ; $\text{ 13,1 }$ ; $\text{ 13,8 }$ ; $\text{ 14,7 }$ 

$\text{$D_n$} = \text{ $|F(x_i)-F_n(x_i)|$ }$: $\text{ 0,066 }$ ; $\text{ 0,431 }$ ; $\text{ 0,497 }$ ; $\text{ 0,962 }$ ; $\text{ 1,828 }$ ; $\text{ 1,993 }$ ; $\text{ 2,559 }$ ; $\text{ 3,024 }$ ; $\text{ 3,289 }$ ; $\text{ 3,755 }$ ; $\text{ 4,521 }$ ; $\text{ 5,386 }$ ; $\text{ 6,052 }$ ; $\text{ 6,917 }$ ; $\text{ 7,183 }$ ; $\text{ 7,348 }$ ; $\text{ 7,614 }$ ; $\text{ 8,379 }$ ; $\text{ 8,745 }$ ; $\text{ 9,310 }$ ; $\text{ 9,476 }$ ; $\text{ 10,041 }$ ; $\text{ 10,407 }$ ; $\text{ 10,672 }$ ; $\text{ 10,938 }$ ; $\text{ 11,703 }$ ; $\text{ 11,969 }$ ; $\text{ 12,134 }$ ; $\text{ 12,8 }$ ; $\text{ 13,666 }$

$\text{ $x_{m_i}$ }$ (те 30 цифр после запятой у e): 7, 1, 8, ..., 5, 2

$\text{ $F_m(x_i)$ }$: $\text{ 0,7 }$ ; $\text{ 0,8 }$ ; $\text{ 1,6 }$ ; $\text{ 1,8 }$ ; $\text{ 2,6 }$ ; $\text{ 2,7 }$ ; $\text{ 3,5 }$ ; $\text{ 3,7 }$ ; $\text{ 4,5 }$ ; $\text{ 4,9 }$ ; $\text{ 5,4 }$ ; $\text{ 6,3 }$ ; $\text{ 6,3 }$ ; $\text{ 6,7 }$ ; $\text{ 7,2 }$ ; $\text{ 7,4 }$ ; $\text{ 7,7 }$ ; $\text{ 8,2 }$ ; $\text{ 8,5 }$ ; $\text{ 9,1 }$ ; $\text{ 9,1 }$ ; $\text{ 9,3 }$ ; $\text{ 10,1 }$ ; $\text{ 10,8 }$ ; $\text{ 11,2 }$ ; $\text{ 11,9 }$ ; $\text{ 12 }$ ; $\text{ 12,3 }$ ; $\text{ 12,8 }$ ; $\text{ 13 }$ 

$\text{$D_n$} = \text{ $|F(x_i)-F_n(x_i)|$ }$: $\text{ 0,066 }$ ; $\text{ 0,431 }$ ; $\text{ 0,497 }$ ; $\text{ 0,962 }$ ; $\text{ 1,828 }$ ; $\text{ 1,993 }$ ; $\text{ 2,559 }$ ; $\text{ 3,024 }$ ; $\text{ 3,289 }$ ; $\text{ 3,755 }$ ; $\text{ 4,521 }$ ; $\text{ 5,386 }$ ; $\text{ 6,052 }$ ; $\text{ 6,917 }$ ; $\text{ 7,183 }$ ; $\text{ 7,348 }$ ; $\text{ 7,614 }$ ; $\text{ 8,379 }$ ; $\text{ 8,745 }$ ; $\text{ 9,310 }$ ; $\text{ 9,476 }$ ; $\text{ 10,041 }$ ; $\text{ 10,407 }$ ; $\text{ 10,672 }$ ; $\text{ 10,938 }$ ; $\text{ 11,703 }$ ; $\text{ 11,969 }$ ; $\text{ 12,134 }$ ; $\text{ 12,8 }$ ; $\text{ 13,666 }$

$\text{$D_m$} = \text{ $|F(x_i)-F_m(x_i)|$ }$: $\text{ 0,6655 }$ ; $\text{ 0,7310 }$ ; $\text{ 1,4966 }$ ; $\text{ 1,6621 }$ ; $\text{ 2,4276 }$ ; $\text{ 2,4931 }$ ; $\text{ 3,2586 }$ ; $\text{ 3,4241 }$ ; $\text{ 4,1897 }$ ; $\text{ 4,5552 }$ ; $\text{ 5,0207 }$ ; $\text{ 5,8862 }$ ; $\text{ 5,8517 }$ ; $\text{ 6,2172 }$ ; $\text{ 6,6828 }$ ; $\text{ 6,8483 }$ ; $\text{ 7,1138 }$ ; $\text{ 7,5793 }$ ; $\text{ 7,8448 }$ ; $\text{ 8,4103 }$ ; $\text{ 8,3759 }$ ; $\text{ 8,5414 }$ ; $\text{ 9,3069 }$ ; $\text{ 9,9724 }$ ; $\text{ 10,3379 }$ ; $\text{ 11,0034 }$ ; $\text{ 11,0689 }$ ; $\text{ 11,3345 }$ ; $\text{ 11,8 }$ ; $\text{ 11,9655 }$

$\text{$|D_n - D_m|$}$: $\text{ 0,5995 }$ ; $\text{ 0,3 }$ ; $\text{ 0,9996 }$ ; $\text{ 0,7001 }$ ; $\text{ 0,5996 }$ ; $\text{ 0,5001 }$ ; $\text{ 0,6996 }$ ; $\text{ 0,4001 }$ ; $\text{ 0,9007 }$ ; $\text{ 0,8002 }$ ; $\text{ 0,4997 }$ ; $\text{ 0,5002 }$ ; $\text{ 0,2003 }$ ; $\text{ 0,6998 }$ ; $\text{ 0,5002 }$ ; $\text{ 0,4997 }$ ; $\text{ 0,5002 }$ ; $\text{ 0,7997 }$ ; $\text{ 0,9002 }$ ; $\text{ 0,8997 }$ ; $\text{ 1,1001 }$ ; $\text{ 1,4996 }$ ; $\text{ 1,1001 }$ ; $\text{ 0,6996 }$ ; $\text{ 0,6001 }$ ; $\text{ 0,6996 }$ ; $\text{ 0,9001 }$ ; $\text{ 0,7995 }$ ; $\text{ 1 }$ ; $\text{ 1,7005 }$

max($\text{ $|D_n - D_m|$ }$) = 1,7005  $\Rightarrow$  $\lambda = 1,7005$

$F(x) =  \begin{cases} 0, &\text{x < 1}\\ \frac{x} {29}, &\text{$1 \le x \le 30$}\\ 1, &\text{x > 30} \end{cases}$

$\text{ $F_n(x_i)$ }$ - берем $x_{n_i}$ делим на 10 и прибавляем $x_{n_{i-1}}$, деленное на 10 

$\text{ $F_m(x_i)$ }$ - берем $x_{m_i}$ делим на 10 и прибавляем $x_{m_{i-1}}$, деленное на 10 

По таблице критических точек распределения Колмогорова находим $\lambda_{табл}$ при $\alpha=0,05$ $\rightarrow$ $\lambda_{табл} = 1,36$

Так как $\lambda > \lambda_{табл}$, то $H_0$ отвергается
"""

_q35 = r"""
Случайная выборка из 395 человек была разделена по возрастному признаку, а также по тому, переключают ли люди телевизионные каналы во время просмотра передачи. Данные исследования представлены в следующей таблице: \*таблица\*
Используя приведенные данные, проверьте гипотезу о том, что переключение каналов и возраст являются независмимыми признаками в случае, когда a) $α = 5$%; б) $α = 2.5$%. Найдите P-значение критерия.
Данные имеют дискретную структуру, поэтому воспользуемся критерием независимости $\chi^2_H$:
$\chi^2_H=n\cdot\left[\left(\sum\limits_{i=1}^{k}\sum\limits_{j=1}^{m}\dfrac{\nu_{ij}^2}{\alpha_i\cdot\beta_j}\right)-1\right]$, 
$\nu_{ij}$ - количество наблюдений пары $(x_i, y_i)$, взятое из таблицы
$\alpha_i=\sum\limits_{i=1}^{k}\nu_{ij}\\\beta_i=\sum\limits_{j=1}^{m}\nu_{ij}\\n=\sum\limits_{i=1}^{k}\alpha_i=\sum\limits_{j=1}^{m}\beta_i$
В нашем случае:
$\chi^2_H=n\cdot\left[\left(\sum\limits_{i=1}^{k}\sum\limits_{j=1}^{m}\dfrac{\nu_{ij}}{\alpha_i\cdot\beta_j}\right)-1\right]=395\cdot\left[\dfrac{60^2}{(60+40)\cdot(60+54+46+41)}+...+\dfrac{57^2}{(41+57)\cdot(40+44+53+57)}-1\right]=8.006$
Для проверки гипотезы сравним полученное тестовое значение $\chi^2_H$ с табличным $\chi^2_\alpha((k-1)\cdot(m-1)), k=4, m=2$:
a) $\chi^2_{0.05}(3)=7.8$
$\chi^2_H$ > $\chi^2_\alpha((k-1)\cdot(m-1))\Rightarrow$ при уровне значимости $\alpha=0.025$ гипотеза $H_0$ отвергается, то есть признаки зависимы.
б) $\chi^2_{0.025}(3)=9.4$
$\chi^2_H$ < $\chi^2_\alpha((k-1)\cdot(m-1))\Rightarrow$ при уровне значимости $\alpha=0.05$ нет оснований отвергать гипотезу $H_0$, то есть признаки независимы.
$pv = P(X>\chi^2_H) = 1- F_{\chi^2_{(4-1)(2-1)}} (8,006)=1-stats.chi2.cdf(8.006, 3) = 0,0458$
$pv <\alpha => H_0 - \text{отвергается}, \alpha=0.05$
$pv >\alpha=> \text{Нет оснований отвергать нулевую гипотезу}, \alpha=0.025$

"""

mas = []

loc = locals()
count = 1
while True:
    name = f"_q{count}"
    if name not in loc:
        break
    mas.append(loc[name])
    count += 1
